import{s as cw,n as pw,o as hw}from"../chunks/scheduler.b108d059.js";import{S as uw,i as gw,g as s,s as i,p as h,A as mw,h as l,f as t,c as n,j as c,q as u,m as p,k as a,v as d,a as r,r as g,d as m,t as f,u as v}from"../chunks/index.505cd174.js";import{I as _}from"../chunks/IconCopyLink.74cd415a.js";function fw(Mf){let L,Yn,_t,Zn,b,Le,Yi,Lt,Mm,Zl,Cf="utils/generation",ea,bt,Sf="Classes, functions, and utilities for generation.",ta,wt,Ef="<strong>Todo</strong>",oa,Tt,Nf="<li>Describe how to create a custom <code>GenerationConfig</code>.</li>",ra,kt,Rf='<li><a href="#module_utils/generation">utils/generation</a><ul><li><em>static</em><ul><li><a href="#module_utils/generation.LogitsProcessorList">.LogitsProcessorList</a> ⇐ <code>Callable</code><ul><li><a href="#new_module_utils/generation.LogitsProcessorList_new"><code>new LogitsProcessorList()</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+push"><code>.push(item)</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+extend"><code>.extend(items)</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+_call"><code>._call(input_ids, batchedLogits)</code></a></li></ul></li> <li><a href="#module_utils/generation.LogitsProcessor">.LogitsProcessor</a> ⇐ <code>Callable</code><ul><li><em><a href="#module_utils/generation.LogitsProcessor+_call"><code>._call(input_ids, logits)</code></a></em></li></ul></li> <li><a href="#module_utils/generation.ForceTokensLogitsProcessor">.ForceTokensLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForceTokensLogitsProcessor_new"><code>new ForceTokensLogitsProcessor(forced_decoder_ids)</code></a></li> <li><a href="#module_utils/generation.ForceTokensLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Tensor</code></li></ul></li> <li><a href="#module_utils/generation.ForcedBOSTokenLogitsProcessor">.ForcedBOSTokenLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForcedBOSTokenLogitsProcessor_new"><code>new ForcedBOSTokenLogitsProcessor(bos_token_id)</code></a></li> <li><a href="#module_utils/generation.ForcedBOSTokenLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.ForcedEOSTokenLogitsProcessor">.ForcedEOSTokenLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForcedEOSTokenLogitsProcessor_new"><code>new ForcedEOSTokenLogitsProcessor(max_length, forced_eos_token_id)</code></a></li> <li><a href="#module_utils/generation.ForcedEOSTokenLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a></li></ul></li> <li><a href="#module_utils/generation.SuppressTokensAtBeginLogitsProcessor">.SuppressTokensAtBeginLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.SuppressTokensAtBeginLogitsProcessor_new"><code>new SuppressTokensAtBeginLogitsProcessor(begin_suppress_tokens, begin_index)</code></a></li> <li><a href="#module_utils/generation.SuppressTokensAtBeginLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.WhisperTimeStampLogitsProcessor">.WhisperTimeStampLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.WhisperTimeStampLogitsProcessor_new"><code>new WhisperTimeStampLogitsProcessor(generate_config)</code></a></li> <li><a href="#module_utils/generation.WhisperTimeStampLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Tensor</code></li></ul></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor">.NoRepeatNGramLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.NoRepeatNGramLogitsProcessor_new"><code>new NoRepeatNGramLogitsProcessor(no_repeat_ngram_size)</code></a></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+getNgrams"><code>.getNgrams(prevInputIds)</code></a> ⇒ <code>Map.&lt;string, Array&lt;number&gt;&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+getGeneratedNgrams"><code>.getGeneratedNgrams(bannedNgrams, prevInputIds)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+calcBannedNgramTokens"><code>.calcBannedNgramTokens(prevInputIds)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.RepetitionPenaltyLogitsProcessor">.RepetitionPenaltyLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.RepetitionPenaltyLogitsProcessor_new"><code>new RepetitionPenaltyLogitsProcessor(penalty)</code></a></li> <li><a href="#module_utils/generation.RepetitionPenaltyLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.MinLengthLogitsProcessor">.MinLengthLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.MinLengthLogitsProcessor_new"><code>new MinLengthLogitsProcessor(min_length, eos_token_id)</code></a></li> <li><a href="#module_utils/generation.MinLengthLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.MinNewTokensLengthLogitsProcessor">.MinNewTokensLengthLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.MinNewTokensLengthLogitsProcessor_new"><code>new MinNewTokensLengthLogitsProcessor(prompt_length_to_skip, min_new_tokens, eos_token_id)</code></a></li> <li><a href="#module_utils/generation.MinNewTokensLengthLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li> <li><a href="#module_utils/generation.GenerationConfig">.GenerationConfig</a><ul><li><a href="#new_module_utils/generation.GenerationConfig_new"><code>new GenerationConfig([kwargs])</code></a></li></ul></li> <li><a href="#module_utils/generation.Sampler">.Sampler</a><ul><li><a href="#new_module_utils/generation.Sampler_new"><code>new Sampler(generation_config)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/generation.Sampler+_call"><code>._call(logits, index)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/generation.Sampler+sample"><code>.sample(logits, index)</code></a></li> <li><a href="#module_utils/generation.Sampler+getLogits"><code>.getLogits(logits, index)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/generation.Sampler+randomSelect"><code>.randomSelect(probabilities)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/generation.Sampler.getSampler"><code>.getSampler(generation_config)</code></a> ⇒ <code>Sampler</code></li></ul></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/generation..GreedySampler">~GreedySampler</a> ⇐ <code>Sampler</code><ul><li><a href="#module_utils/generation..GreedySampler+sample"><code>.sample(logits, [index])</code></a> ⇒ <code>Array</code></li></ul></li> <li><a href="#module_utils/generation..MultinomialSampler">~MultinomialSampler</a> ⇐ <code>Sampler</code><ul><li><a href="#module_utils/generation..MultinomialSampler+sample"><code>.sample(logits, index)</code></a> ⇒ <code>Array</code></li></ul></li> <li><a href="#module_utils/generation..BeamSearchSampler">~BeamSearchSampler</a> ⇐ <code>Sampler</code><ul><li><a href="#module_utils/generation..BeamSearchSampler+sample"><code>.sample(logits, index)</code></a> ⇒ <code>Array</code></li></ul></li></ul></li></ul></li>',sa,la,ia,Pt,na,w,be,Zi,yt,Cm,ei,Bf="utils/generation.LogitsProcessorList ⇐ <code>Callable</code>",aa,xt,jf=`A class representing a list of logits processors. A logits processor is a function that modifies the logits
output of a language model. This class provides methods for adding new processors and applying all processors to a
batch of logits.`,da,$t,Of='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>Callable</code>',ca,Ht,Gf='<li><a href="#module_utils/generation.LogitsProcessorList">.LogitsProcessorList</a> ⇐ <code>Callable</code><ul><li><a href="#new_module_utils/generation.LogitsProcessorList_new"><code>new LogitsProcessorList()</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+push"><code>.push(item)</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+extend"><code>.extend(items)</code></a></li> <li><a href="#module_utils/generation.LogitsProcessorList+_call"><code>._call(input_ids, batchedLogits)</code></a></li></ul></li>',pa,ha,ua,At,ga,T,we,en,Mt,Sm,ti,qf="<code>new LogitsProcessorList()</code>",ma,Ct,If="Constructs a new instance of <code>LogitsProcessorList</code>.",fa,va,_a,St,La,k,Te,tn,Et,Em,oi,Ff="<code>logitsProcessorList.push(item)</code>",ba,Nt,Df="Adds a new logits processor to the list.",wa,Rt,zf='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.LogitsProcessorList"><code>LogitsProcessorList</code></a>',Ta,Bt,Kf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>item</td><td><code>LogitsProcessor</code></td><td><p>The logits processor function to add.</p></td></tr></tbody>",ka,Pa,ya,jt,xa,P,ke,on,Ot,Nm,ri,Wf="<code>logitsProcessorList.extend(items)</code>",$a,Gt,Uf="Adds multiple logits processors to the list.",Ha,qt,Jf='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.LogitsProcessorList"><code>LogitsProcessorList</code></a>',Aa,It,Qf="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>items</td><td><code>Array.&lt;LogitsProcessor&gt;</code></td><td><p>The logits processor functions to add.</p></td></tr></tbody>",Ma,Ca,Sa,Ft,Ea,y,Pe,rn,Dt,Rm,si,Vf="<code>logitsProcessorList._call(input_ids, batchedLogits)</code>",Na,zt,Xf="Applies all logits processors in the list to a batch of logits, modifying them in-place.",Ra,Kt,Yf='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.LogitsProcessorList"><code>LogitsProcessorList</code></a>',Ba,Wt,Zf=`<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;number&gt;</code></td><td><p>The input IDs for the language model.</p></td> </tr><tr><td>batchedLogits</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>A 2D array of logits, where each row corresponds to a single
                                               input sequence in the batch.</p></td></tr></tbody>`,ja,Oa,Ga,Ut,qa,x,ye,sn,Jt,Bm,li,ev="utils/generation.LogitsProcessor ⇐ <code>Callable</code>",Ia,Qt,tv="Base class for processing logits.",Fa,Vt,ov='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>Callable</code>',Da,za,Ka,Xt,Wa,$,xe,ln,Yt,jm,ii,rv="*<code>logitsProcessor._call(input_ids, logits)</code>*",Ua,Zt,sv="Apply the processor to the input logits.",Ja,eo,lv='<strong>Kind</strong>: instance abstract method of <a href="#module_utils/generation.LogitsProcessor"><code>LogitsProcessor</code></a><br/> <strong>Throws</strong>:',Qa,to,iv="<li><code>Error</code> Throws an error if `_call` is not implemented in the subclass.</li>",Va,oo,nv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input ids.</p></td> </tr><tr><td>logits</td><td><code>Tensor</code></td><td><p>The logits to process.</p></td></tr></tbody>",Xa,Ya,Za,ro,ed,H,$e,nn,so,Om,ni,av="utils/generation.ForceTokensLogitsProcessor ⇐ <code>LogitsProcessor</code>",td,lo,dv="A logits processor that forces a specific token to be generated by the decoder.",od,io,cv='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',rd,no,pv='<li><a href="#module_utils/generation.ForceTokensLogitsProcessor">.ForceTokensLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForceTokensLogitsProcessor_new"><code>new ForceTokensLogitsProcessor(forced_decoder_ids)</code></a></li> <li><a href="#module_utils/generation.ForceTokensLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Tensor</code></li></ul></li>',sd,ld,id,ao,nd,A,He,an,co,Gm,ai,hv="<code>new ForceTokensLogitsProcessor(forced_decoder_ids)</code>",ad,po,uv="Constructs a new instance of <code>ForceTokensLogitsProcessor</code>.",dd,ho,gv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>forced_decoder_ids</td><td><code>Array</code></td><td><p>The ids of tokens that should be forced.</p></td></tr></tbody>",cd,pd,hd,uo,ud,M,Ae,dn,go,qm,di,mv="<code>forceTokensLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Tensor</code>",gd,mo,fv="Apply the processor to the input logits.",md,fo,vv='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.ForceTokensLogitsProcessor"><code>ForceTokensLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Tensor</code> - The processed logits.',fd,vo,_v="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input ids.</p></td> </tr><tr><td>logits</td><td><code>Tensor</code></td><td><p>The logits to process.</p></td></tr></tbody>",vd,_d,Ld,_o,bd,C,Me,cn,Lo,Im,ci,Lv="utils/generation.ForcedBOSTokenLogitsProcessor ⇐ <code>LogitsProcessor</code>",wd,bo,bv="A LogitsProcessor that forces a BOS token at the beginning of the generated sequence.",Td,wo,wv='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',kd,To,Tv='<li><a href="#module_utils/generation.ForcedBOSTokenLogitsProcessor">.ForcedBOSTokenLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForcedBOSTokenLogitsProcessor_new"><code>new ForcedBOSTokenLogitsProcessor(bos_token_id)</code></a></li> <li><a href="#module_utils/generation.ForcedBOSTokenLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',Pd,yd,xd,ko,$d,S,Ce,pn,Po,Fm,pi,kv="<code>new ForcedBOSTokenLogitsProcessor(bos_token_id)</code>",Hd,yo,Pv="Create a ForcedBOSTokenLogitsProcessor.",Ad,xo,yv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>bos_token_id</td><td><code>number</code></td><td><p>The ID of the beginning-of-sequence token to be forced.</p></td></tr></tbody>",Md,Cd,Sd,$o,Ed,E,Se,hn,Ho,Dm,hi,xv="<code>forcedBOSTokenLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",Nd,Ao,$v="Apply the BOS token forcing to the logits.",Rd,Mo,Hv='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.ForcedBOSTokenLogitsProcessor"><code>ForcedBOSTokenLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The logits with BOS token forcing.',Bd,Co,Av="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",jd,Od,Gd,So,qd,N,Ee,un,Eo,zm,ui,Mv="utils/generation.ForcedEOSTokenLogitsProcessor ⇐ <code>LogitsProcessor</code>",Id,No,Cv="A logits processor that forces end-of-sequence token probability to 1.",Fd,Ro,Sv='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',Dd,Bo,Ev='<li><a href="#module_utils/generation.ForcedEOSTokenLogitsProcessor">.ForcedEOSTokenLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.ForcedEOSTokenLogitsProcessor_new"><code>new ForcedEOSTokenLogitsProcessor(max_length, forced_eos_token_id)</code></a></li> <li><a href="#module_utils/generation.ForcedEOSTokenLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a></li></ul></li>',zd,Kd,Wd,jo,Ud,R,Ne,gn,Oo,Km,gi,Nv="<code>new ForcedEOSTokenLogitsProcessor(max_length, forced_eos_token_id)</code>",Jd,Go,Rv="Create a ForcedEOSTokenLogitsProcessor.",Qd,qo,Bv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>max_length</td><td><code>number</code></td><td><p>Max length of the sequence.</p></td> </tr><tr><td>forced_eos_token_id</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><p>The ID of the end-of-sequence token to be forced.</p></td></tr></tbody>",Vd,Xd,Yd,Io,Zd,B,Re,mn,Fo,Wm,mi,jv="<code>forcedEOSTokenLogitsProcessor._call(input_ids, logits)</code>",ec,Do,Ov="Apply the processor to input_ids and logits.",tc,zo,Gv='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.ForcedEOSTokenLogitsProcessor"><code>ForcedEOSTokenLogitsProcessor</code></a>',oc,Ko,qv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;number&gt;</code></td><td><p>The input ids.</p></td> </tr><tr><td>logits</td><td><code>Tensor</code></td><td><p>The logits tensor.</p></td></tr></tbody>",rc,sc,lc,Wo,ic,j,Be,fn,Uo,Um,fi,Iv="utils/generation.SuppressTokensAtBeginLogitsProcessor ⇐ <code>LogitsProcessor</code>",nc,Jo,Fv=`A LogitsProcessor that suppresses a list of tokens as soon as the <code>generate</code> function starts
generating using <code>begin_index</code> tokens. This should ensure that the tokens defined by
<code>begin_suppress_tokens</code> at not sampled at the begining of the generation.`,ac,Qo,Dv='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',dc,Vo,zv='<li><a href="#module_utils/generation.SuppressTokensAtBeginLogitsProcessor">.SuppressTokensAtBeginLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.SuppressTokensAtBeginLogitsProcessor_new"><code>new SuppressTokensAtBeginLogitsProcessor(begin_suppress_tokens, begin_index)</code></a></li> <li><a href="#module_utils/generation.SuppressTokensAtBeginLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',cc,pc,hc,Xo,uc,O,je,vn,Yo,Jm,vi,Kv="<code>new SuppressTokensAtBeginLogitsProcessor(begin_suppress_tokens, begin_index)</code>",gc,Zo,Wv="Create a SuppressTokensAtBeginLogitsProcessor.",mc,er,Uv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>begin_suppress_tokens</td><td><code>Array.&lt;number&gt;</code></td><td><p>The IDs of the tokens to suppress.</p></td> </tr><tr><td>begin_index</td><td><code>number</code></td><td><p>The number of tokens to generate before suppressing tokens.</p></td></tr></tbody>",fc,vc,_c,tr,Lc,G,Oe,_n,or,Qm,_i,Jv="<code>suppressTokensAtBeginLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",bc,rr,Qv="Apply the BOS token forcing to the logits.",wc,sr,Vv='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.SuppressTokensAtBeginLogitsProcessor"><code>SuppressTokensAtBeginLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The logits with BOS token forcing.',Tc,lr,Xv="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",kc,Pc,yc,ir,xc,q,Ge,Ln,nr,Vm,Li,Yv="utils/generation.WhisperTimeStampLogitsProcessor ⇐ <code>LogitsProcessor</code>",$c,ar,Zv="A LogitsProcessor that handles adding timestamps to generated text.",Hc,dr,e_='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',Ac,cr,t_='<li><a href="#module_utils/generation.WhisperTimeStampLogitsProcessor">.WhisperTimeStampLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.WhisperTimeStampLogitsProcessor_new"><code>new WhisperTimeStampLogitsProcessor(generate_config)</code></a></li> <li><a href="#module_utils/generation.WhisperTimeStampLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Tensor</code></li></ul></li>',Mc,Cc,Sc,pr,Ec,I,qe,bn,hr,Xm,bi,o_="<code>new WhisperTimeStampLogitsProcessor(generate_config)</code>",Nc,ur,r_="Constructs a new WhisperTimeStampLogitsProcessor.",Rc,gr,s_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>generate_config</td><td><code>Object</code></td><td><p>The config object passed to the <code>generate()</code> method of a transformer model.</p></td> </tr><tr><td>generate_config.eos_token_id</td><td><code>number</code></td><td><p>The ID of the end-of-sequence token.</p></td> </tr><tr><td>generate_config.no_timestamps_token_id</td><td><code>number</code></td><td><p>The ID of the token used to indicate that a token should not have a timestamp.</p></td> </tr><tr><td>[generate_config.forced_decoder_ids]</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>An array of two-element arrays representing decoder IDs that are forced to appear in the output. The second element of each array indicates whether the token is a timestamp.</p></td> </tr><tr><td>[generate_config.max_initial_timestamp_index]</td><td><code>number</code></td><td><p>The maximum index at which an initial timestamp can appear.</p></td></tr></tbody>",Bc,jc,Oc,mr,Gc,F,Ie,wn,fr,Ym,wi,l_="<code>whisperTimeStampLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Tensor</code>",qc,vr,i_="Modify the logits to handle timestamp tokens.",Ic,_r,n_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.WhisperTimeStampLogitsProcessor"><code>WhisperTimeStampLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Tensor</code> - The modified logits.',Fc,Lr,a_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input sequence of tokens.</p></td> </tr><tr><td>logits</td><td><code>Tensor</code></td><td><p>The logits output by the model.</p></td></tr></tbody>",Dc,zc,Kc,br,Wc,D,Fe,Tn,wr,Zm,Ti,d_="utils/generation.NoRepeatNGramLogitsProcessor ⇐ <code>LogitsProcessor</code>",Uc,Tr,c_="A logits processor that disallows ngrams of a certain size to be repeated.",Jc,kr,p_='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',Qc,Pr,h_='<li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor">.NoRepeatNGramLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.NoRepeatNGramLogitsProcessor_new"><code>new NoRepeatNGramLogitsProcessor(no_repeat_ngram_size)</code></a></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+getNgrams"><code>.getNgrams(prevInputIds)</code></a> ⇒ <code>Map.&lt;string, Array&lt;number&gt;&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+getGeneratedNgrams"><code>.getGeneratedNgrams(bannedNgrams, prevInputIds)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+calcBannedNgramTokens"><code>.calcBannedNgramTokens(prevInputIds)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/generation.NoRepeatNGramLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',Vc,Xc,Yc,yr,Zc,z,De,kn,xr,ef,ki,u_="<code>new NoRepeatNGramLogitsProcessor(no_repeat_ngram_size)</code>",ep,$r,g_="Create a NoRepeatNGramLogitsProcessor.",tp,Hr,m_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>no_repeat_ngram_size</td><td><code>number</code></td><td><p>The no-repeat-ngram size. All ngrams of this size can only occur once.</p></td></tr></tbody>",op,rp,sp,Ar,lp,K,ze,Pn,Mr,tf,Pi,f_="<code>noRepeatNGramLogitsProcessor.getNgrams(prevInputIds)</code> ⇒ <code>Map.&lt;string, Array&lt;number&gt;&gt;</code>",ip,Cr,v_="Generate n-grams from a sequence of token ids.",np,Sr,__='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.NoRepeatNGramLogitsProcessor"><code>NoRepeatNGramLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Map.&lt;string, Array&lt;number&gt;&gt;</code> - Map of generated n-grams',ap,Er,L_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>prevInputIds</td><td><code>Array.&lt;number&gt;</code></td><td><p>List of previous input ids</p></td></tr></tbody>",dp,cp,pp,Nr,hp,W,Ke,yn,Rr,of,yi,b_="<code>noRepeatNGramLogitsProcessor.getGeneratedNgrams(bannedNgrams, prevInputIds)</code> ⇒ <code>Array.&lt;number&gt;</code>",up,Br,w_="Generate n-grams from a sequence of token ids.",gp,jr,T_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.NoRepeatNGramLogitsProcessor"><code>NoRepeatNGramLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - Map of generated n-grams',mp,Or,k_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>bannedNgrams</td><td><code>Map.&lt;string, Array&lt;number&gt;&gt;</code></td><td><p>Map of banned n-grams</p></td> </tr><tr><td>prevInputIds</td><td><code>Array.&lt;number&gt;</code></td><td><p>List of previous input ids</p></td></tr></tbody>",fp,vp,_p,Gr,Lp,U,We,xn,qr,rf,xi,P_="<code>noRepeatNGramLogitsProcessor.calcBannedNgramTokens(prevInputIds)</code> ⇒ <code>Array.&lt;number&gt;</code>",bp,Ir,y_="Calculate banned n-gram tokens",wp,Fr,x_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.NoRepeatNGramLogitsProcessor"><code>NoRepeatNGramLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - Map of generated n-grams',Tp,Dr,$_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>prevInputIds</td><td><code>Array.&lt;number&gt;</code></td><td><p>List of previous input ids</p></td></tr></tbody>",kp,Pp,yp,zr,xp,J,Ue,$n,Kr,sf,$i,H_="<code>noRepeatNGramLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",$p,Wr,A_="Apply the no-repeat-ngram processor to the logits.",Hp,Ur,M_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.NoRepeatNGramLogitsProcessor"><code>NoRepeatNGramLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The logits with no-repeat-ngram processing.',Ap,Jr,C_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",Mp,Cp,Sp,Qr,Ep,Q,Je,Hn,Vr,lf,Hi,S_="utils/generation.RepetitionPenaltyLogitsProcessor ⇐ <code>LogitsProcessor</code>",Np,Xr,E_="A logits processor that penalises repeated output tokens.",Rp,Yr,N_='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',Bp,Zr,R_='<li><a href="#module_utils/generation.RepetitionPenaltyLogitsProcessor">.RepetitionPenaltyLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.RepetitionPenaltyLogitsProcessor_new"><code>new RepetitionPenaltyLogitsProcessor(penalty)</code></a></li> <li><a href="#module_utils/generation.RepetitionPenaltyLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',jp,Op,Gp,es,qp,V,Qe,An,ts,nf,Ai,B_="<code>new RepetitionPenaltyLogitsProcessor(penalty)</code>",Ip,os,j_="Create a RepetitionPenaltyLogitsProcessor.",Fp,rs,O_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>penalty</td><td><code>number</code></td><td><p>The penalty to apply for repeated tokens.</p></td></tr></tbody>",Dp,zp,Kp,ss,Wp,X,Ve,Mn,ls,af,Mi,G_="<code>repetitionPenaltyLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",Up,is,q_="Apply the repetition penalty to the logits.",Jp,ns,I_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.RepetitionPenaltyLogitsProcessor"><code>RepetitionPenaltyLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The logits with repetition penalty processing.',Qp,as,F_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",Vp,Xp,Yp,ds,Zp,Y,Xe,Cn,cs,df,Ci,D_="utils/generation.MinLengthLogitsProcessor ⇐ <code>LogitsProcessor</code>",eh,ps,z_="A logits processor that enforces a minimum number of tokens.",th,hs,K_='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',oh,us,W_='<li><a href="#module_utils/generation.MinLengthLogitsProcessor">.MinLengthLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.MinLengthLogitsProcessor_new"><code>new MinLengthLogitsProcessor(min_length, eos_token_id)</code></a></li> <li><a href="#module_utils/generation.MinLengthLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',rh,sh,lh,gs,ih,Z,Ye,Sn,ms,cf,Si,U_="<code>new MinLengthLogitsProcessor(min_length, eos_token_id)</code>",nh,fs,J_="Create a MinLengthLogitsProcessor.",ah,vs,Q_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>min_length</td><td><code>number</code></td><td><p>The minimum length below which the score of <code>eos_token_id</code> is set to negative infinity.</p></td> </tr><tr><td>eos_token_id</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><p>The ID/IDs of the end-of-sequence token.</p></td></tr></tbody>",dh,ch,ph,_s,hh,ee,Ze,En,Ls,pf,Ei,V_="<code>minLengthLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",uh,bs,X_="Apply logit processor.",gh,ws,Y_='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.MinLengthLogitsProcessor"><code>MinLengthLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The processed logits.',mh,Ts,Z_="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",fh,vh,_h,ks,Lh,te,et,Nn,Ps,hf,Ni,e1="utils/generation.MinNewTokensLengthLogitsProcessor ⇐ <code>LogitsProcessor</code>",bh,ys,t1="A logits processor that enforces a minimum number of new tokens.",wh,xs,o1='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>LogitsProcessor</code>',Th,$s,r1='<li><a href="#module_utils/generation.MinNewTokensLengthLogitsProcessor">.MinNewTokensLengthLogitsProcessor</a> ⇐ <code>LogitsProcessor</code><ul><li><a href="#new_module_utils/generation.MinNewTokensLengthLogitsProcessor_new"><code>new MinNewTokensLengthLogitsProcessor(prompt_length_to_skip, min_new_tokens, eos_token_id)</code></a></li> <li><a href="#module_utils/generation.MinNewTokensLengthLogitsProcessor+_call"><code>._call(input_ids, logits)</code></a> ⇒ <code>Object</code></li></ul></li>',kh,Ph,yh,Hs,xh,oe,tt,Rn,As,uf,Ri,s1="<code>new MinNewTokensLengthLogitsProcessor(prompt_length_to_skip, min_new_tokens, eos_token_id)</code>",$h,Ms,l1="Create a MinNewTokensLengthLogitsProcessor.",Hh,Cs,i1="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>prompt_length_to_skip</td><td><code>number</code></td><td><p>The input tokens length.</p></td> </tr><tr><td>min_new_tokens</td><td><code>number</code></td><td><p>The minimum <em>new</em> tokens length below which the score of <code>eos_token_id</code> is set to negative infinity.</p></td> </tr><tr><td>eos_token_id</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><p>The ID/IDs of the end-of-sequence token.</p></td></tr></tbody>",Ah,Mh,Ch,Ss,Sh,re,ot,Bn,Es,gf,Bi,n1="<code>minNewTokensLengthLogitsProcessor._call(input_ids, logits)</code> ⇒ <code>Object</code>",Eh,Ns,a1="Apply logit processor.",Nh,Rs,d1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.MinNewTokensLengthLogitsProcessor"><code>MinNewTokensLengthLogitsProcessor</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The processed logits.',Rh,Bs,c1="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array</code></td><td><p>The input IDs.</p></td> </tr><tr><td>logits</td><td><code>Object</code></td><td><p>The logits.</p></td></tr></tbody>",Bh,jh,Oh,js,Gh,se,rt,jn,Os,mf,ji,p1="utils/generation.GenerationConfig",qh,Gs,h1="Class that holds a configuration for a generation task.",Ih,qs,u1='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a>',Fh,Dh,zh,Is,Kh,le,st,On,Fs,ff,Oi,g1="<code>new GenerationConfig([kwargs])</code>",Wh,Ds,m1="Create a GenerationConfig object",Uh,zs,f1='<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>The configuration parameters. If not set, the default values are used.</p></td> </tr><tr><td>[kwargs.max_length]</td><td><code>number</code></td><td><code>20</code></td><td><p>The maximum length the generated tokens can have. Corresponds to the length of the input prompt + <code>max_new_tokens</code>. Its effect is overridden by <code>max_new_tokens</code>, if also set.</p></td> </tr><tr><td>[kwargs.max_new_tokens]</td><td><code>number</code></td><td><code></code></td><td><p>The maximum numbers of tokens to generate, ignoring the number of tokens in the prompt.</p></td> </tr><tr><td>[kwargs.min_length]</td><td><code>number</code></td><td><code>0</code></td><td><p>The minimum length of the sequence to be generated. Corresponds to the length of the input prompt + <code>min_new_tokens</code>. Its effect is overridden by <code>min_new_tokens</code>, if also set.</p></td> </tr><tr><td>[kwargs.min_new_tokens]</td><td><code>number</code></td><td><code></code></td><td><p>The minimum numbers of tokens to generate, ignoring the number of tokens in the prompt.</p></td> </tr><tr><td>[kwargs.early_stopping]</td><td><code>boolean</code> | <code>&quot;never&quot;</code></td><td><code>false</code></td><td><p>Controls the stopping condition for beam-based methods, like beam-search. It accepts the following values:</p> <ul><li><code>true</code>, where the generation stops as soon as there are <code>num_beams</code> complete candidates;</li> <li><code>false</code>, where an heuristic is applied and the generation stops when is it very unlikely to find better candidates;</li> <li><code>&quot;never&quot;</code>, where the beam search procedure only stops when there cannot be better candidates (canonical beam search algorithm).</li></ul></td> </tr><tr><td>[kwargs.max_time]</td><td><code>number</code></td><td><code></code></td><td><p>The maximum amount of time you allow the computation to run for in seconds. Generation will still finish the current pass after allocated time has been passed.</p></td> </tr><tr><td>[kwargs.do_sample]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to use sampling; use greedy decoding otherwise.</p></td> </tr><tr><td>[kwargs.num_beams]</td><td><code>number</code></td><td><code>1</code></td><td><p>Number of beams for beam search. 1 means no beam search.</p></td> </tr><tr><td>[kwargs.num_beam_groups]</td><td><code>number</code></td><td><code>1</code></td><td><p>Number of groups to divide <code>num_beams</code> into in order to ensure diversity among different groups of beams. See <a href="https://arxiv.org/pdf/1610.02424.pdf">this paper</a> for more details.</p></td> </tr><tr><td>[kwargs.penalty_alpha]</td><td><code>number</code></td><td><code></code></td><td><p>The values balance the model confidence and the degeneration penalty in contrastive search decoding.</p></td> </tr><tr><td>[kwargs.use_cache]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether or not the model should use the past last key/values attentions (if applicable to the model) to speed up decoding.</p></td> </tr><tr><td>[kwargs.temperature]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>The value used to modulate the next token probabilities.</p></td> </tr><tr><td>[kwargs.top_k]</td><td><code>number</code></td><td><code>50</code></td><td><p>The number of highest probability vocabulary tokens to keep for top-k-filtering.</p></td> </tr><tr><td>[kwargs.top_p]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>If set to float &amp;lt; 1, only the smallest set of most probable tokens with probabilities that add up to <code>top_p</code> or higher are kept for generation.</p></td> </tr><tr><td>[kwargs.typical_p]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>Local typicality measures how similar the conditional probability of predicting a target token next is to the expected conditional probability of predicting a random token next, given the partial text already generated. If set to float &amp;lt; 1, the smallest set of the most locally typical tokens with probabilities that add up to <code>typical_p</code> or higher are kept for generation. See <a href="https://arxiv.org/pdf/2202.00666.pdf">this paper</a> for more details.</p></td> </tr><tr><td>[kwargs.epsilon_cutoff]</td><td><code>number</code></td><td><code>0.0</code></td><td><p>If set to float strictly between 0 and 1, only tokens with a conditional probability greater than <code>epsilon_cutoff</code> will be sampled. In the paper, suggested values range from 3e-4 to 9e-4, depending on the size of the model. See <a href="https://arxiv.org/abs/2210.15191">Truncation Sampling as Language Model Desmoothing</a> for more details.</p></td> </tr><tr><td>[kwargs.eta_cutoff]</td><td><code>number</code></td><td><code>0.0</code></td><td><p>Eta sampling is a hybrid of locally typical sampling and epsilon sampling. If set to float strictly between 0 and 1, a token is only considered if it is greater than either <code>eta_cutoff</code> or <code>sqrt(eta_cutoff) * exp(-entropy(softmax(next_token_logits)))</code>. The latter term is intuitively the expected next token probability, scaled by <code>sqrt(eta_cutoff)</code>. In the paper, suggested values range from 3e-4 to 2e-3, depending on the size of the model. See <a href="https://arxiv.org/abs/2210.15191">Truncation Sampling as Language Model Desmoothing</a> for more details.</p></td> </tr><tr><td>[kwargs.diversity_penalty]</td><td><code>number</code></td><td><code>0.0</code></td><td><p>This value is subtracted from a beam&#39;s score if it generates a token same as any beam from other group at a particular time. Note that <code>diversity_penalty</code> is only effective if <code>group beam search</code> is enabled.</p></td> </tr><tr><td>[kwargs.repetition_penalty]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>The parameter for repetition penalty. 1.0 means no penalty. See <a href="https://arxiv.org/pdf/1909.05858.pdf">this paper</a> for more details.</p></td> </tr><tr><td>[kwargs.encoder_repetition_penalty]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>The paramater for encoder_repetition_penalty. An exponential penalty on sequences that are not in the original input. 1.0 means no penalty.</p></td> </tr><tr><td>[kwargs.length_penalty]</td><td><code>number</code></td><td><code>1.0</code></td><td><p>Exponential penalty to the length that is used with beam-based generation. It is applied as an exponent to the sequence length, which in turn is used to divide the score of the sequence. Since the score is the log likelihood of the sequence (i.e. negative), <code>length_penalty</code> &amp;gt; 0.0 promotes longer sequences, while <code>length_penalty</code> &amp;lt; 0.0 encourages shorter sequences.</p></td> </tr><tr><td>[kwargs.no_repeat_ngram_size]</td><td><code>number</code></td><td><code>0</code></td><td><p>If set to int &amp;gt; 0, all ngrams of that size can only occur once.</p></td> </tr><tr><td>[kwargs.bad_words_ids]</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><code></code></td><td><p>List of token ids that are not allowed to be generated. In order to get the token ids of the words that should not appear in the generated text, use <code>(await tokenizer(bad_words, {add_prefix_space: true, add_special_tokens: false})).input_ids</code>.</p></td> </tr><tr><td>[kwargs.force_words_ids]</td><td><code>Array&lt;Array&lt;number&gt;&gt;</code> | <code>Array&lt;Array&lt;Array&lt;number&gt;&gt;&gt;</code></td><td><code></code></td><td><p>List of token ids that must be generated. If given a <code>number[][]</code>, this is treated as a simple list of words that must be included, the opposite to <code>bad_words_ids</code>. If given <code>number[][][]</code>, this triggers a <a href="https://github.com/huggingface/transformers/issues/14081">disjunctive constraint</a>, where one can allow different forms of each word.</p></td> </tr><tr><td>[kwargs.renormalize_logits]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to renormalize the logits after applying all the logits processors or warpers (including the custom ones). It&#39;s highly recommended to set this flag to <code>true</code> as the search algorithms suppose the score logits are normalized but some logit processors or warpers break the normalization.</p></td> </tr><tr><td>[kwargs.constraints]</td><td><code>Array.&lt;Object&gt;</code></td><td><code></code></td><td><p>Custom constraints that can be added to the generation to ensure that the output will contain the use of certain tokens as defined by <code>Constraint</code> objects, in the most sensible way possible.</p></td> </tr><tr><td>[kwargs.forced_bos_token_id]</td><td><code>number</code></td><td><code></code></td><td><p>The id of the token to force as the first generated token after the <code>decoder_start_token_id</code>. Useful for multilingual models like mBART where the first generated token needs to be the target language token.</p></td> </tr><tr><td>[kwargs.forced_eos_token_id]</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><code></code></td><td><p>The id of the token to force as the last generated token when <code>max_length</code> is reached. Optionally, use a list to set multiple <em>end-of-sequence</em> tokens.</p></td> </tr><tr><td>[kwargs.remove_invalid_values]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to remove possible <em>nan</em> and <em>inf</em> outputs of the model to prevent the generation method to crash. Note that using <code>remove_invalid_values</code> can slow down generation.</p></td> </tr><tr><td>[kwargs.exponential_decay_length_penalty]</td><td><code>Array.&lt;number&gt;</code></td><td><code></code></td><td><p>This Tuple adds an exponentially increasing length penalty, after a certain amount of tokens have been generated. The tuple shall consist of: <code>(start_index, decay_factor)</code> where <code>start_index</code> indicates where penalty starts and <code>decay_factor</code> represents the factor of exponential decay.</p></td> </tr><tr><td>[kwargs.suppress_tokens]</td><td><code>Array.&lt;number&gt;</code></td><td><code></code></td><td><p>A list of tokens that will be suppressed at generation. The <code>SupressTokens</code> logit processor will set their log probs to <code>-inf</code> so that they are not sampled.</p></td> </tr><tr><td>[kwargs.begin_suppress_tokens]</td><td><code>Array.&lt;number&gt;</code></td><td><code></code></td><td><p>A list of tokens that will be suppressed at the beginning of the generation. The <code>SupressBeginTokens</code> logit processor will set their log probs to <code>-inf</code> so that they are not sampled.</p></td> </tr><tr><td>[kwargs.forced_decoder_ids]</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><code></code></td><td><p>A list of pairs of integers which indicates a mapping from generation indices to token indices that will be forced before sampling. For example, <code>[[1, 123]]</code> means the second generated token will always be a token of index 123.</p></td> </tr><tr><td>[kwargs.num_return_sequences]</td><td><code>number</code></td><td><code>1</code></td><td><p>The number of independently computed returned sequences for each element in the batch.</p></td> </tr><tr><td>[kwargs.output_attentions]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned tensors for more details.</p></td> </tr><tr><td>[kwargs.output_hidden_states]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for more details.</p></td> </tr><tr><td>[kwargs.output_scores]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to return the prediction scores. See <code>scores</code> under returned tensors for more details.</p></td> </tr><tr><td>[kwargs.return_dict_in_generate]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to return a <code>ModelOutput</code> instead of a plain tuple.</p></td> </tr><tr><td>[kwargs.pad_token_id]</td><td><code>number</code></td><td><code></code></td><td><p>The id of the <em>padding</em> token.</p></td> </tr><tr><td>[kwargs.bos_token_id]</td><td><code>number</code></td><td><code></code></td><td><p>The id of the <em>beginning-of-sequence</em> token.</p></td> </tr><tr><td>[kwargs.eos_token_id]</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><code></code></td><td><p>The id of the <em>end-of-sequence</em> token. Optionally, use a list to set multiple <em>end-of-sequence</em> tokens.</p></td> </tr><tr><td>[kwargs.encoder_no_repeat_ngram_size]</td><td><code>number</code></td><td><code>0</code></td><td><p>If set to int &amp;gt; 0, all ngrams of that size that occur in the <code>encoder_input_ids</code> cannot occur in the <code>decoder_input_ids</code>.</p></td> </tr><tr><td>[kwargs.decoder_start_token_id]</td><td><code>number</code></td><td><code></code></td><td><p>If an encoder-decoder model starts decoding with a different token than <em>bos</em>, the id of that token.</p></td> </tr><tr><td>[kwargs.generation_kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>Additional generation kwargs will be forwarded to the <code>generate</code> function of the model. Kwargs that are not present in <code>generate</code>&#39;s signature will be used in the model forward pass.</p></td></tr></tbody>',Jh,Qh,Vh,Ks,Xh,ie,lt,Gn,Ws,vf,Gi,v1="utils/generation.Sampler",Yh,Us,_1="Sampler is a base class for all sampling methods used for text generation.",Zh,Js,L1='<strong>Kind</strong>: static class of <a href="#module_utils/generation"><code>utils/generation</code></a>',eu,Qs,b1='<li><a href="#module_utils/generation.Sampler">.Sampler</a><ul><li><a href="#new_module_utils/generation.Sampler_new"><code>new Sampler(generation_config)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/generation.Sampler+_call"><code>._call(logits, index)</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/generation.Sampler+sample"><code>.sample(logits, index)</code></a></li> <li><a href="#module_utils/generation.Sampler+getLogits"><code>.getLogits(logits, index)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/generation.Sampler+randomSelect"><code>.randomSelect(probabilities)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/generation.Sampler.getSampler"><code>.getSampler(generation_config)</code></a> ⇒ <code>Sampler</code></li></ul></li></ul></li>',tu,ou,ru,Vs,su,ne,it,qn,Xs,_f,qi,w1="<code>new Sampler(generation_config)</code>",lu,Ys,T1="Creates a new Sampler object with the specified generation config.",iu,Zs,k1="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>generation_config</td><td><code>GenerationConfig</code></td><td><p>The generation config.</p></td></tr></tbody>",nu,au,du,el,cu,ae,nt,In,tl,Lf,Ii,P1="<code>sampler._call(logits, index)</code> ⇒ <code>void</code>",pu,ol,y1="Executes the sampler, using the specified logits.",hu,rl,x1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.Sampler"><code>Sampler</code></a>',uu,sl,$1="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",gu,mu,fu,ll,vu,de,at,Fn,il,bf,Fi,H1="<code>sampler.sample(logits, index)</code>",_u,nl,A1="Abstract method for sampling the logits.",Lu,al,M1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.Sampler"><code>Sampler</code></a><br/> <strong>Throws</strong>:',bu,dl,C1="<li><code>Error</code></li>",wu,cl,S1="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",Tu,ku,Pu,pl,yu,ce,dt,Dn,hl,wf,Di,E1="<code>sampler.getLogits(logits, index)</code> ⇒ <code>Array</code>",xu,ul,N1="Returns the specified logits as an array, with temperature applied.",$u,gl,R1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.Sampler"><code>Sampler</code></a>',Hu,ml,B1="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",Au,Mu,Cu,fl,Su,pe,ct,zn,vl,Tf,zi,j1="<code>sampler.randomSelect(probabilities)</code> ⇒ <code>number</code>",Eu,_l,O1="Selects an item randomly based on the specified probabilities.",Nu,Ll,G1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation.Sampler"><code>Sampler</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index of the selected item.',Ru,bl,q1="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>probabilities</td><td><code>Array</code></td><td><p>An array of probabilities to use for selection.</p></td></tr></tbody>",Bu,ju,Ou,wl,Gu,he,pt,Kn,Tl,kf,Ki,I1="<code>Sampler.getSampler(generation_config)</code> ⇒ <code>Sampler</code>",qu,kl,F1="Returns a Sampler object based on the specified options.",Iu,Pl,D1='<strong>Kind</strong>: static method of <a href="#module_utils/generation.Sampler"><code>Sampler</code></a><br/> <strong>Returns</strong>: <code>Sampler</code> - A Sampler object.',Fu,yl,z1="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>generation_config</td><td><code>GenerationConfig</code></td><td><p>An object containing options for the sampler.</p></td></tr></tbody>",Du,zu,Ku,xl,Wu,ue,ht,Wn,$l,Pf,Wi,K1="utils/generation~GreedySampler ⇐ <code>Sampler</code>",Uu,Hl,W1="Class representing a Greedy Sampler.",Ju,Al,U1='<strong>Kind</strong>: inner class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>Sampler</code>',Qu,Vu,Xu,Ml,Yu,ge,ut,Un,Cl,yf,Ui,J1="<code>greedySampler.sample(logits, [index])</code> ⇒ <code>Array</code>",Zu,Sl,Q1="Sample the maximum probability of a given logits tensor.",eg,El,V1='<strong>Kind</strong>: instance method of <a href="#module_utils/generation..GreedySampler"><code>GreedySampler</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array with a single tuple, containing the index of the maximum value and a meaningless score (since this is a greedy search).',tg,Nl,X1="<thead><tr><th>Param</th><th>Type</th><th>Default</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td><td></td> </tr><tr><td>[index]</td><td><code>number</code></td><td><code>-1</code></td></tr></tbody>",og,rg,sg,Rl,lg,me,gt,Jn,Bl,xf,Ji,Y1="utils/generation~MultinomialSampler ⇐ <code>Sampler</code>",ig,jl,Z1="Class representing a MultinomialSampler.",ng,Ol,eL='<strong>Kind</strong>: inner class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>Sampler</code>',ag,dg,cg,Gl,pg,fe,mt,Qn,ql,$f,Qi,tL="<code>multinomialSampler.sample(logits, index)</code> ⇒ <code>Array</code>",hg,Il,oL="Sample from the logits.",ug,Fl,rL='<strong>Kind</strong>: instance method of <a href="#module_utils/generation..MultinomialSampler"><code>MultinomialSampler</code></a>',gg,Dl,sL="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",mg,fg,vg,zl,_g,ve,ft,Vn,Kl,Hf,Vi,lL="utils/generation~BeamSearchSampler ⇐ <code>Sampler</code>",Lg,Wl,iL="Class representing a BeamSearchSampler.",bg,Ul,nL='<strong>Kind</strong>: inner class of <a href="#module_utils/generation"><code>utils/generation</code></a><br/> <strong>Extends</strong>: <code>Sampler</code>',wg,Tg,kg,Jl,Pg,_e,vt,Xn,Ql,Af,Xi,aL="<code>beamSearchSampler.sample(logits, index)</code> ⇒ <code>Array</code>",yg,Vl,dL="Sample from the logits.",xg,Xl,cL='<strong>Kind</strong>: instance method of <a href="#module_utils/generation..BeamSearchSampler"><code>BeamSearchSampler</code></a>',$g,Yl,pL="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>logits</td><td><code>Tensor</code></td> </tr><tr><td>index</td><td><code>number</code></td></tr></tbody>",Hg,Ag,Mg;return Lt=new _({}),yt=new _({}),Mt=new _({}),Et=new _({}),Ot=new _({}),Dt=new _({}),Jt=new _({}),Yt=new _({}),so=new _({}),co=new _({}),go=new _({}),Lo=new _({}),Po=new _({}),Ho=new _({}),Eo=new _({}),Oo=new _({}),Fo=new _({}),Uo=new _({}),Yo=new _({}),or=new _({}),nr=new _({}),hr=new _({}),fr=new _({}),wr=new _({}),xr=new _({}),Mr=new _({}),Rr=new _({}),qr=new _({}),Kr=new _({}),Vr=new _({}),ts=new _({}),ls=new _({}),cs=new _({}),ms=new _({}),Ls=new _({}),Ps=new _({}),As=new _({}),Es=new _({}),Os=new _({}),Fs=new _({}),Ws=new _({}),Xs=new _({}),tl=new _({}),il=new _({}),hl=new _({}),vl=new _({}),Tl=new _({}),$l=new _({}),Cl=new _({}),Bl=new _({}),ql=new _({}),Kl=new _({}),Ql=new _({}),{c(){L=s("meta"),Yn=i(),_t=s("a"),Zn=i(),b=s("h1"),Le=s("a"),Yi=s("span"),h(Lt.$$.fragment),Mm=i(),Zl=s("span"),Zl.textContent=Cf,ea=i(),bt=s("p"),bt.textContent=Sf,ta=i(),wt=s("p"),wt.innerHTML=Ef,oa=i(),Tt=s("ul"),Tt.innerHTML=Nf,ra=i(),kt=s("ul"),kt.innerHTML=Rf,sa=i(),la=s("hr"),ia=i(),Pt=s("a"),na=i(),w=s("h2"),be=s("a"),Zi=s("span"),h(yt.$$.fragment),Cm=i(),ei=s("span"),ei.innerHTML=Bf,aa=i(),xt=s("p"),xt.textContent=jf,da=i(),$t=s("p"),$t.innerHTML=Of,ca=i(),Ht=s("ul"),Ht.innerHTML=Gf,pa=i(),ha=s("hr"),ua=i(),At=s("a"),ga=i(),T=s("h3"),we=s("a"),en=s("span"),h(Mt.$$.fragment),Sm=i(),ti=s("span"),ti.innerHTML=qf,ma=i(),Ct=s("p"),Ct.innerHTML=If,fa=i(),va=s("hr"),_a=i(),St=s("a"),La=i(),k=s("h3"),Te=s("a"),tn=s("span"),h(Et.$$.fragment),Em=i(),oi=s("span"),oi.innerHTML=Ff,ba=i(),Nt=s("p"),Nt.textContent=Df,wa=i(),Rt=s("p"),Rt.innerHTML=zf,Ta=i(),Bt=s("table"),Bt.innerHTML=Kf,ka=i(),Pa=s("hr"),ya=i(),jt=s("a"),xa=i(),P=s("h3"),ke=s("a"),on=s("span"),h(Ot.$$.fragment),Nm=i(),ri=s("span"),ri.innerHTML=Wf,$a=i(),Gt=s("p"),Gt.textContent=Uf,Ha=i(),qt=s("p"),qt.innerHTML=Jf,Aa=i(),It=s("table"),It.innerHTML=Qf,Ma=i(),Ca=s("hr"),Sa=i(),Ft=s("a"),Ea=i(),y=s("h3"),Pe=s("a"),rn=s("span"),h(Dt.$$.fragment),Rm=i(),si=s("span"),si.innerHTML=Vf,Na=i(),zt=s("p"),zt.textContent=Xf,Ra=i(),Kt=s("p"),Kt.innerHTML=Yf,Ba=i(),Wt=s("table"),Wt.innerHTML=Zf,ja=i(),Oa=s("hr"),Ga=i(),Ut=s("a"),qa=i(),x=s("h2"),ye=s("a"),sn=s("span"),h(Jt.$$.fragment),Bm=i(),li=s("span"),li.innerHTML=ev,Ia=i(),Qt=s("p"),Qt.textContent=tv,Fa=i(),Vt=s("p"),Vt.innerHTML=ov,Da=i(),za=s("hr"),Ka=i(),Xt=s("a"),Wa=i(),$=s("h3"),xe=s("a"),ln=s("span"),h(Yt.$$.fragment),jm=i(),ii=s("span"),ii.innerHTML=rv,Ua=i(),Zt=s("p"),Zt.textContent=sv,Ja=i(),eo=s("p"),eo.innerHTML=lv,Qa=i(),to=s("ul"),to.innerHTML=iv,Va=i(),oo=s("table"),oo.innerHTML=nv,Xa=i(),Ya=s("hr"),Za=i(),ro=s("a"),ed=i(),H=s("h2"),$e=s("a"),nn=s("span"),h(so.$$.fragment),Om=i(),ni=s("span"),ni.innerHTML=av,td=i(),lo=s("p"),lo.textContent=dv,od=i(),io=s("p"),io.innerHTML=cv,rd=i(),no=s("ul"),no.innerHTML=pv,sd=i(),ld=s("hr"),id=i(),ao=s("a"),nd=i(),A=s("h3"),He=s("a"),an=s("span"),h(co.$$.fragment),Gm=i(),ai=s("span"),ai.innerHTML=hv,ad=i(),po=s("p"),po.innerHTML=uv,dd=i(),ho=s("table"),ho.innerHTML=gv,cd=i(),pd=s("hr"),hd=i(),uo=s("a"),ud=i(),M=s("h3"),Ae=s("a"),dn=s("span"),h(go.$$.fragment),qm=i(),di=s("span"),di.innerHTML=mv,gd=i(),mo=s("p"),mo.textContent=fv,md=i(),fo=s("p"),fo.innerHTML=vv,fd=i(),vo=s("table"),vo.innerHTML=_v,vd=i(),_d=s("hr"),Ld=i(),_o=s("a"),bd=i(),C=s("h2"),Me=s("a"),cn=s("span"),h(Lo.$$.fragment),Im=i(),ci=s("span"),ci.innerHTML=Lv,wd=i(),bo=s("p"),bo.textContent=bv,Td=i(),wo=s("p"),wo.innerHTML=wv,kd=i(),To=s("ul"),To.innerHTML=Tv,Pd=i(),yd=s("hr"),xd=i(),ko=s("a"),$d=i(),S=s("h3"),Ce=s("a"),pn=s("span"),h(Po.$$.fragment),Fm=i(),pi=s("span"),pi.innerHTML=kv,Hd=i(),yo=s("p"),yo.textContent=Pv,Ad=i(),xo=s("table"),xo.innerHTML=yv,Md=i(),Cd=s("hr"),Sd=i(),$o=s("a"),Ed=i(),E=s("h3"),Se=s("a"),hn=s("span"),h(Ho.$$.fragment),Dm=i(),hi=s("span"),hi.innerHTML=xv,Nd=i(),Ao=s("p"),Ao.textContent=$v,Rd=i(),Mo=s("p"),Mo.innerHTML=Hv,Bd=i(),Co=s("table"),Co.innerHTML=Av,jd=i(),Od=s("hr"),Gd=i(),So=s("a"),qd=i(),N=s("h2"),Ee=s("a"),un=s("span"),h(Eo.$$.fragment),zm=i(),ui=s("span"),ui.innerHTML=Mv,Id=i(),No=s("p"),No.textContent=Cv,Fd=i(),Ro=s("p"),Ro.innerHTML=Sv,Dd=i(),Bo=s("ul"),Bo.innerHTML=Ev,zd=i(),Kd=s("hr"),Wd=i(),jo=s("a"),Ud=i(),R=s("h3"),Ne=s("a"),gn=s("span"),h(Oo.$$.fragment),Km=i(),gi=s("span"),gi.innerHTML=Nv,Jd=i(),Go=s("p"),Go.textContent=Rv,Qd=i(),qo=s("table"),qo.innerHTML=Bv,Vd=i(),Xd=s("hr"),Yd=i(),Io=s("a"),Zd=i(),B=s("h3"),Re=s("a"),mn=s("span"),h(Fo.$$.fragment),Wm=i(),mi=s("span"),mi.innerHTML=jv,ec=i(),Do=s("p"),Do.textContent=Ov,tc=i(),zo=s("p"),zo.innerHTML=Gv,oc=i(),Ko=s("table"),Ko.innerHTML=qv,rc=i(),sc=s("hr"),lc=i(),Wo=s("a"),ic=i(),j=s("h2"),Be=s("a"),fn=s("span"),h(Uo.$$.fragment),Um=i(),fi=s("span"),fi.innerHTML=Iv,nc=i(),Jo=s("p"),Jo.innerHTML=Fv,ac=i(),Qo=s("p"),Qo.innerHTML=Dv,dc=i(),Vo=s("ul"),Vo.innerHTML=zv,cc=i(),pc=s("hr"),hc=i(),Xo=s("a"),uc=i(),O=s("h3"),je=s("a"),vn=s("span"),h(Yo.$$.fragment),Jm=i(),vi=s("span"),vi.innerHTML=Kv,gc=i(),Zo=s("p"),Zo.textContent=Wv,mc=i(),er=s("table"),er.innerHTML=Uv,fc=i(),vc=s("hr"),_c=i(),tr=s("a"),Lc=i(),G=s("h3"),Oe=s("a"),_n=s("span"),h(or.$$.fragment),Qm=i(),_i=s("span"),_i.innerHTML=Jv,bc=i(),rr=s("p"),rr.textContent=Qv,wc=i(),sr=s("p"),sr.innerHTML=Vv,Tc=i(),lr=s("table"),lr.innerHTML=Xv,kc=i(),Pc=s("hr"),yc=i(),ir=s("a"),xc=i(),q=s("h2"),Ge=s("a"),Ln=s("span"),h(nr.$$.fragment),Vm=i(),Li=s("span"),Li.innerHTML=Yv,$c=i(),ar=s("p"),ar.textContent=Zv,Hc=i(),dr=s("p"),dr.innerHTML=e_,Ac=i(),cr=s("ul"),cr.innerHTML=t_,Mc=i(),Cc=s("hr"),Sc=i(),pr=s("a"),Ec=i(),I=s("h3"),qe=s("a"),bn=s("span"),h(hr.$$.fragment),Xm=i(),bi=s("span"),bi.innerHTML=o_,Nc=i(),ur=s("p"),ur.textContent=r_,Rc=i(),gr=s("table"),gr.innerHTML=s_,Bc=i(),jc=s("hr"),Oc=i(),mr=s("a"),Gc=i(),F=s("h3"),Ie=s("a"),wn=s("span"),h(fr.$$.fragment),Ym=i(),wi=s("span"),wi.innerHTML=l_,qc=i(),vr=s("p"),vr.textContent=i_,Ic=i(),_r=s("p"),_r.innerHTML=n_,Fc=i(),Lr=s("table"),Lr.innerHTML=a_,Dc=i(),zc=s("hr"),Kc=i(),br=s("a"),Wc=i(),D=s("h2"),Fe=s("a"),Tn=s("span"),h(wr.$$.fragment),Zm=i(),Ti=s("span"),Ti.innerHTML=d_,Uc=i(),Tr=s("p"),Tr.textContent=c_,Jc=i(),kr=s("p"),kr.innerHTML=p_,Qc=i(),Pr=s("ul"),Pr.innerHTML=h_,Vc=i(),Xc=s("hr"),Yc=i(),yr=s("a"),Zc=i(),z=s("h3"),De=s("a"),kn=s("span"),h(xr.$$.fragment),ef=i(),ki=s("span"),ki.innerHTML=u_,ep=i(),$r=s("p"),$r.textContent=g_,tp=i(),Hr=s("table"),Hr.innerHTML=m_,op=i(),rp=s("hr"),sp=i(),Ar=s("a"),lp=i(),K=s("h3"),ze=s("a"),Pn=s("span"),h(Mr.$$.fragment),tf=i(),Pi=s("span"),Pi.innerHTML=f_,ip=i(),Cr=s("p"),Cr.textContent=v_,np=i(),Sr=s("p"),Sr.innerHTML=__,ap=i(),Er=s("table"),Er.innerHTML=L_,dp=i(),cp=s("hr"),pp=i(),Nr=s("a"),hp=i(),W=s("h3"),Ke=s("a"),yn=s("span"),h(Rr.$$.fragment),of=i(),yi=s("span"),yi.innerHTML=b_,up=i(),Br=s("p"),Br.textContent=w_,gp=i(),jr=s("p"),jr.innerHTML=T_,mp=i(),Or=s("table"),Or.innerHTML=k_,fp=i(),vp=s("hr"),_p=i(),Gr=s("a"),Lp=i(),U=s("h3"),We=s("a"),xn=s("span"),h(qr.$$.fragment),rf=i(),xi=s("span"),xi.innerHTML=P_,bp=i(),Ir=s("p"),Ir.textContent=y_,wp=i(),Fr=s("p"),Fr.innerHTML=x_,Tp=i(),Dr=s("table"),Dr.innerHTML=$_,kp=i(),Pp=s("hr"),yp=i(),zr=s("a"),xp=i(),J=s("h3"),Ue=s("a"),$n=s("span"),h(Kr.$$.fragment),sf=i(),$i=s("span"),$i.innerHTML=H_,$p=i(),Wr=s("p"),Wr.textContent=A_,Hp=i(),Ur=s("p"),Ur.innerHTML=M_,Ap=i(),Jr=s("table"),Jr.innerHTML=C_,Mp=i(),Cp=s("hr"),Sp=i(),Qr=s("a"),Ep=i(),Q=s("h2"),Je=s("a"),Hn=s("span"),h(Vr.$$.fragment),lf=i(),Hi=s("span"),Hi.innerHTML=S_,Np=i(),Xr=s("p"),Xr.textContent=E_,Rp=i(),Yr=s("p"),Yr.innerHTML=N_,Bp=i(),Zr=s("ul"),Zr.innerHTML=R_,jp=i(),Op=s("hr"),Gp=i(),es=s("a"),qp=i(),V=s("h3"),Qe=s("a"),An=s("span"),h(ts.$$.fragment),nf=i(),Ai=s("span"),Ai.innerHTML=B_,Ip=i(),os=s("p"),os.textContent=j_,Fp=i(),rs=s("table"),rs.innerHTML=O_,Dp=i(),zp=s("hr"),Kp=i(),ss=s("a"),Wp=i(),X=s("h3"),Ve=s("a"),Mn=s("span"),h(ls.$$.fragment),af=i(),Mi=s("span"),Mi.innerHTML=G_,Up=i(),is=s("p"),is.textContent=q_,Jp=i(),ns=s("p"),ns.innerHTML=I_,Qp=i(),as=s("table"),as.innerHTML=F_,Vp=i(),Xp=s("hr"),Yp=i(),ds=s("a"),Zp=i(),Y=s("h2"),Xe=s("a"),Cn=s("span"),h(cs.$$.fragment),df=i(),Ci=s("span"),Ci.innerHTML=D_,eh=i(),ps=s("p"),ps.textContent=z_,th=i(),hs=s("p"),hs.innerHTML=K_,oh=i(),us=s("ul"),us.innerHTML=W_,rh=i(),sh=s("hr"),lh=i(),gs=s("a"),ih=i(),Z=s("h3"),Ye=s("a"),Sn=s("span"),h(ms.$$.fragment),cf=i(),Si=s("span"),Si.innerHTML=U_,nh=i(),fs=s("p"),fs.textContent=J_,ah=i(),vs=s("table"),vs.innerHTML=Q_,dh=i(),ch=s("hr"),ph=i(),_s=s("a"),hh=i(),ee=s("h3"),Ze=s("a"),En=s("span"),h(Ls.$$.fragment),pf=i(),Ei=s("span"),Ei.innerHTML=V_,uh=i(),bs=s("p"),bs.textContent=X_,gh=i(),ws=s("p"),ws.innerHTML=Y_,mh=i(),Ts=s("table"),Ts.innerHTML=Z_,fh=i(),vh=s("hr"),_h=i(),ks=s("a"),Lh=i(),te=s("h2"),et=s("a"),Nn=s("span"),h(Ps.$$.fragment),hf=i(),Ni=s("span"),Ni.innerHTML=e1,bh=i(),ys=s("p"),ys.textContent=t1,wh=i(),xs=s("p"),xs.innerHTML=o1,Th=i(),$s=s("ul"),$s.innerHTML=r1,kh=i(),Ph=s("hr"),yh=i(),Hs=s("a"),xh=i(),oe=s("h3"),tt=s("a"),Rn=s("span"),h(As.$$.fragment),uf=i(),Ri=s("span"),Ri.innerHTML=s1,$h=i(),Ms=s("p"),Ms.textContent=l1,Hh=i(),Cs=s("table"),Cs.innerHTML=i1,Ah=i(),Mh=s("hr"),Ch=i(),Ss=s("a"),Sh=i(),re=s("h3"),ot=s("a"),Bn=s("span"),h(Es.$$.fragment),gf=i(),Bi=s("span"),Bi.innerHTML=n1,Eh=i(),Ns=s("p"),Ns.textContent=a1,Nh=i(),Rs=s("p"),Rs.innerHTML=d1,Rh=i(),Bs=s("table"),Bs.innerHTML=c1,Bh=i(),jh=s("hr"),Oh=i(),js=s("a"),Gh=i(),se=s("h2"),rt=s("a"),jn=s("span"),h(Os.$$.fragment),mf=i(),ji=s("span"),ji.textContent=p1,qh=i(),Gs=s("p"),Gs.textContent=h1,Ih=i(),qs=s("p"),qs.innerHTML=u1,Fh=i(),Dh=s("hr"),zh=i(),Is=s("a"),Kh=i(),le=s("h3"),st=s("a"),On=s("span"),h(Fs.$$.fragment),ff=i(),Oi=s("span"),Oi.innerHTML=g1,Wh=i(),Ds=s("p"),Ds.textContent=m1,Uh=i(),zs=s("table"),zs.innerHTML=f1,Jh=i(),Qh=s("hr"),Vh=i(),Ks=s("a"),Xh=i(),ie=s("h2"),lt=s("a"),Gn=s("span"),h(Ws.$$.fragment),vf=i(),Gi=s("span"),Gi.textContent=v1,Yh=i(),Us=s("p"),Us.textContent=_1,Zh=i(),Js=s("p"),Js.innerHTML=L1,eu=i(),Qs=s("ul"),Qs.innerHTML=b1,tu=i(),ou=s("hr"),ru=i(),Vs=s("a"),su=i(),ne=s("h3"),it=s("a"),qn=s("span"),h(Xs.$$.fragment),_f=i(),qi=s("span"),qi.innerHTML=w1,lu=i(),Ys=s("p"),Ys.textContent=T1,iu=i(),Zs=s("table"),Zs.innerHTML=k1,nu=i(),au=s("hr"),du=i(),el=s("a"),cu=i(),ae=s("h3"),nt=s("a"),In=s("span"),h(tl.$$.fragment),Lf=i(),Ii=s("span"),Ii.innerHTML=P1,pu=i(),ol=s("p"),ol.textContent=y1,hu=i(),rl=s("p"),rl.innerHTML=x1,uu=i(),sl=s("table"),sl.innerHTML=$1,gu=i(),mu=s("hr"),fu=i(),ll=s("a"),vu=i(),de=s("h3"),at=s("a"),Fn=s("span"),h(il.$$.fragment),bf=i(),Fi=s("span"),Fi.innerHTML=H1,_u=i(),nl=s("p"),nl.textContent=A1,Lu=i(),al=s("p"),al.innerHTML=M1,bu=i(),dl=s("ul"),dl.innerHTML=C1,wu=i(),cl=s("table"),cl.innerHTML=S1,Tu=i(),ku=s("hr"),Pu=i(),pl=s("a"),yu=i(),ce=s("h3"),dt=s("a"),Dn=s("span"),h(hl.$$.fragment),wf=i(),Di=s("span"),Di.innerHTML=E1,xu=i(),ul=s("p"),ul.textContent=N1,$u=i(),gl=s("p"),gl.innerHTML=R1,Hu=i(),ml=s("table"),ml.innerHTML=B1,Au=i(),Mu=s("hr"),Cu=i(),fl=s("a"),Su=i(),pe=s("h3"),ct=s("a"),zn=s("span"),h(vl.$$.fragment),Tf=i(),zi=s("span"),zi.innerHTML=j1,Eu=i(),_l=s("p"),_l.textContent=O1,Nu=i(),Ll=s("p"),Ll.innerHTML=G1,Ru=i(),bl=s("table"),bl.innerHTML=q1,Bu=i(),ju=s("hr"),Ou=i(),wl=s("a"),Gu=i(),he=s("h3"),pt=s("a"),Kn=s("span"),h(Tl.$$.fragment),kf=i(),Ki=s("span"),Ki.innerHTML=I1,qu=i(),kl=s("p"),kl.textContent=F1,Iu=i(),Pl=s("p"),Pl.innerHTML=D1,Fu=i(),yl=s("table"),yl.innerHTML=z1,Du=i(),zu=s("hr"),Ku=i(),xl=s("a"),Wu=i(),ue=s("h2"),ht=s("a"),Wn=s("span"),h($l.$$.fragment),Pf=i(),Wi=s("span"),Wi.innerHTML=K1,Uu=i(),Hl=s("p"),Hl.textContent=W1,Ju=i(),Al=s("p"),Al.innerHTML=U1,Qu=i(),Vu=s("hr"),Xu=i(),Ml=s("a"),Yu=i(),ge=s("h3"),ut=s("a"),Un=s("span"),h(Cl.$$.fragment),yf=i(),Ui=s("span"),Ui.innerHTML=J1,Zu=i(),Sl=s("p"),Sl.textContent=Q1,eg=i(),El=s("p"),El.innerHTML=V1,tg=i(),Nl=s("table"),Nl.innerHTML=X1,og=i(),rg=s("hr"),sg=i(),Rl=s("a"),lg=i(),me=s("h2"),gt=s("a"),Jn=s("span"),h(Bl.$$.fragment),xf=i(),Ji=s("span"),Ji.innerHTML=Y1,ig=i(),jl=s("p"),jl.textContent=Z1,ng=i(),Ol=s("p"),Ol.innerHTML=eL,ag=i(),dg=s("hr"),cg=i(),Gl=s("a"),pg=i(),fe=s("h3"),mt=s("a"),Qn=s("span"),h(ql.$$.fragment),$f=i(),Qi=s("span"),Qi.innerHTML=tL,hg=i(),Il=s("p"),Il.textContent=oL,ug=i(),Fl=s("p"),Fl.innerHTML=rL,gg=i(),Dl=s("table"),Dl.innerHTML=sL,mg=i(),fg=s("hr"),vg=i(),zl=s("a"),_g=i(),ve=s("h2"),ft=s("a"),Vn=s("span"),h(Kl.$$.fragment),Hf=i(),Vi=s("span"),Vi.innerHTML=lL,Lg=i(),Wl=s("p"),Wl.textContent=iL,bg=i(),Ul=s("p"),Ul.innerHTML=nL,wg=i(),Tg=s("hr"),kg=i(),Jl=s("a"),Pg=i(),_e=s("h3"),vt=s("a"),Xn=s("span"),h(Ql.$$.fragment),Af=i(),Xi=s("span"),Xi.innerHTML=aL,yg=i(),Vl=s("p"),Vl.textContent=dL,xg=i(),Xl=s("p"),Xl.innerHTML=cL,$g=i(),Yl=s("table"),Yl.innerHTML=pL,Hg=i(),Ag=s("hr"),this.h()},l(e){const o=mw("svelte-1phssyn",document.head);L=l(o,"META",{name:!0,content:!0}),o.forEach(t),Yn=n(e),_t=l(e,"A",{id:!0,class:!0}),c(_t).forEach(t),Zn=n(e),b=l(e,"H1",{class:!0});var Cg=c(b);Le=l(Cg,"A",{id:!0,class:!0,href:!0});var hL=c(Le);Yi=l(hL,"SPAN",{});var uL=c(Yi);u(Lt.$$.fragment,uL),uL.forEach(t),hL.forEach(t),Mm=n(Cg),Zl=l(Cg,"SPAN",{"data-svelte-h":!0}),p(Zl)!=="svelte-lrooup"&&(Zl.textContent=Cf),Cg.forEach(t),ea=n(e),bt=l(e,"P",{"data-svelte-h":!0}),p(bt)!=="svelte-sqdsz9"&&(bt.textContent=Sf),ta=n(e),wt=l(e,"P",{"data-svelte-h":!0}),p(wt)!=="svelte-1dx7r99"&&(wt.innerHTML=Ef),oa=n(e),Tt=l(e,"UL",{"data-svelte-h":!0}),p(Tt)!=="svelte-145ffvq"&&(Tt.innerHTML=Nf),ra=n(e),kt=l(e,"UL",{"data-svelte-h":!0}),p(kt)!=="svelte-km0fby"&&(kt.innerHTML=Rf),sa=n(e),la=l(e,"HR",{}),ia=n(e),Pt=l(e,"A",{id:!0,class:!0}),c(Pt).forEach(t),na=n(e),w=l(e,"H2",{class:!0});var Sg=c(w);be=l(Sg,"A",{id:!0,class:!0,href:!0});var gL=c(be);Zi=l(gL,"SPAN",{});var mL=c(Zi);u(yt.$$.fragment,mL),mL.forEach(t),gL.forEach(t),Cm=n(Sg),ei=l(Sg,"SPAN",{"data-svelte-h":!0}),p(ei)!=="svelte-ytd7rk"&&(ei.innerHTML=Bf),Sg.forEach(t),aa=n(e),xt=l(e,"P",{"data-svelte-h":!0}),p(xt)!=="svelte-3s9f37"&&(xt.textContent=jf),da=n(e),$t=l(e,"P",{"data-svelte-h":!0}),p($t)!=="svelte-2xq34v"&&($t.innerHTML=Of),ca=n(e),Ht=l(e,"UL",{"data-svelte-h":!0}),p(Ht)!=="svelte-a0tc84"&&(Ht.innerHTML=Gf),pa=n(e),ha=l(e,"HR",{}),ua=n(e),At=l(e,"A",{id:!0,class:!0}),c(At).forEach(t),ga=n(e),T=l(e,"H3",{class:!0});var Eg=c(T);we=l(Eg,"A",{id:!0,class:!0,href:!0});var fL=c(we);en=l(fL,"SPAN",{});var vL=c(en);u(Mt.$$.fragment,vL),vL.forEach(t),fL.forEach(t),Sm=n(Eg),ti=l(Eg,"SPAN",{"data-svelte-h":!0}),p(ti)!=="svelte-qk1gol"&&(ti.innerHTML=qf),Eg.forEach(t),ma=n(e),Ct=l(e,"P",{"data-svelte-h":!0}),p(Ct)!=="svelte-7qo2qs"&&(Ct.innerHTML=If),fa=n(e),va=l(e,"HR",{}),_a=n(e),St=l(e,"A",{id:!0,class:!0}),c(St).forEach(t),La=n(e),k=l(e,"H3",{class:!0});var Ng=c(k);Te=l(Ng,"A",{id:!0,class:!0,href:!0});var _L=c(Te);tn=l(_L,"SPAN",{});var LL=c(tn);u(Et.$$.fragment,LL),LL.forEach(t),_L.forEach(t),Em=n(Ng),oi=l(Ng,"SPAN",{"data-svelte-h":!0}),p(oi)!=="svelte-1sghuk2"&&(oi.innerHTML=Ff),Ng.forEach(t),ba=n(e),Nt=l(e,"P",{"data-svelte-h":!0}),p(Nt)!=="svelte-y2lyqr"&&(Nt.textContent=Df),wa=n(e),Rt=l(e,"P",{"data-svelte-h":!0}),p(Rt)!=="svelte-ye1us2"&&(Rt.innerHTML=zf),Ta=n(e),Bt=l(e,"TABLE",{"data-svelte-h":!0}),p(Bt)!=="svelte-wth0th"&&(Bt.innerHTML=Kf),ka=n(e),Pa=l(e,"HR",{}),ya=n(e),jt=l(e,"A",{id:!0,class:!0}),c(jt).forEach(t),xa=n(e),P=l(e,"H3",{class:!0});var Rg=c(P);ke=l(Rg,"A",{id:!0,class:!0,href:!0});var bL=c(ke);on=l(bL,"SPAN",{});var wL=c(on);u(Ot.$$.fragment,wL),wL.forEach(t),bL.forEach(t),Nm=n(Rg),ri=l(Rg,"SPAN",{"data-svelte-h":!0}),p(ri)!=="svelte-7g4hux"&&(ri.innerHTML=Wf),Rg.forEach(t),$a=n(e),Gt=l(e,"P",{"data-svelte-h":!0}),p(Gt)!=="svelte-19ybhdd"&&(Gt.textContent=Uf),Ha=n(e),qt=l(e,"P",{"data-svelte-h":!0}),p(qt)!=="svelte-ye1us2"&&(qt.innerHTML=Jf),Aa=n(e),It=l(e,"TABLE",{"data-svelte-h":!0}),p(It)!=="svelte-qfvccr"&&(It.innerHTML=Qf),Ma=n(e),Ca=l(e,"HR",{}),Sa=n(e),Ft=l(e,"A",{id:!0,class:!0}),c(Ft).forEach(t),Ea=n(e),y=l(e,"H3",{class:!0});var Bg=c(y);Pe=l(Bg,"A",{id:!0,class:!0,href:!0});var TL=c(Pe);rn=l(TL,"SPAN",{});var kL=c(rn);u(Dt.$$.fragment,kL),kL.forEach(t),TL.forEach(t),Rm=n(Bg),si=l(Bg,"SPAN",{"data-svelte-h":!0}),p(si)!=="svelte-1fkfzle"&&(si.innerHTML=Vf),Bg.forEach(t),Na=n(e),zt=l(e,"P",{"data-svelte-h":!0}),p(zt)!=="svelte-1a5adsy"&&(zt.textContent=Xf),Ra=n(e),Kt=l(e,"P",{"data-svelte-h":!0}),p(Kt)!=="svelte-ye1us2"&&(Kt.innerHTML=Yf),Ba=n(e),Wt=l(e,"TABLE",{"data-svelte-h":!0}),p(Wt)!=="svelte-afve8l"&&(Wt.innerHTML=Zf),ja=n(e),Oa=l(e,"HR",{}),Ga=n(e),Ut=l(e,"A",{id:!0,class:!0}),c(Ut).forEach(t),qa=n(e),x=l(e,"H2",{class:!0});var jg=c(x);ye=l(jg,"A",{id:!0,class:!0,href:!0});var PL=c(ye);sn=l(PL,"SPAN",{});var yL=c(sn);u(Jt.$$.fragment,yL),yL.forEach(t),PL.forEach(t),Bm=n(jg),li=l(jg,"SPAN",{"data-svelte-h":!0}),p(li)!=="svelte-12w3w0k"&&(li.innerHTML=ev),jg.forEach(t),Ia=n(e),Qt=l(e,"P",{"data-svelte-h":!0}),p(Qt)!=="svelte-1skhj6b"&&(Qt.textContent=tv),Fa=n(e),Vt=l(e,"P",{"data-svelte-h":!0}),p(Vt)!=="svelte-2xq34v"&&(Vt.innerHTML=ov),Da=n(e),za=l(e,"HR",{}),Ka=n(e),Xt=l(e,"A",{id:!0,class:!0}),c(Xt).forEach(t),Wa=n(e),$=l(e,"H3",{class:!0});var Og=c($);xe=l(Og,"A",{id:!0,class:!0,href:!0});var xL=c(xe);ln=l(xL,"SPAN",{});var $L=c(ln);u(Yt.$$.fragment,$L),$L.forEach(t),xL.forEach(t),jm=n(Og),ii=l(Og,"SPAN",{"data-svelte-h":!0}),p(ii)!=="svelte-18qvuq1"&&(ii.innerHTML=rv),Og.forEach(t),Ua=n(e),Zt=l(e,"P",{"data-svelte-h":!0}),p(Zt)!=="svelte-pof7bn"&&(Zt.textContent=sv),Ja=n(e),eo=l(e,"P",{"data-svelte-h":!0}),p(eo)!=="svelte-1v7ihvu"&&(eo.innerHTML=lv),Qa=n(e),to=l(e,"UL",{"data-svelte-h":!0}),p(to)!=="svelte-1881dk3"&&(to.innerHTML=iv),Va=n(e),oo=l(e,"TABLE",{"data-svelte-h":!0}),p(oo)!=="svelte-znwo1g"&&(oo.innerHTML=nv),Xa=n(e),Ya=l(e,"HR",{}),Za=n(e),ro=l(e,"A",{id:!0,class:!0}),c(ro).forEach(t),ed=n(e),H=l(e,"H2",{class:!0});var Gg=c(H);$e=l(Gg,"A",{id:!0,class:!0,href:!0});var HL=c($e);nn=l(HL,"SPAN",{});var AL=c(nn);u(so.$$.fragment,AL),AL.forEach(t),HL.forEach(t),Om=n(Gg),ni=l(Gg,"SPAN",{"data-svelte-h":!0}),p(ni)!=="svelte-vdgih9"&&(ni.innerHTML=av),Gg.forEach(t),td=n(e),lo=l(e,"P",{"data-svelte-h":!0}),p(lo)!=="svelte-1d43oth"&&(lo.textContent=dv),od=n(e),io=l(e,"P",{"data-svelte-h":!0}),p(io)!=="svelte-9hwh5b"&&(io.innerHTML=cv),rd=n(e),no=l(e,"UL",{"data-svelte-h":!0}),p(no)!=="svelte-8mww04"&&(no.innerHTML=pv),sd=n(e),ld=l(e,"HR",{}),id=n(e),ao=l(e,"A",{id:!0,class:!0}),c(ao).forEach(t),nd=n(e),A=l(e,"H3",{class:!0});var qg=c(A);He=l(qg,"A",{id:!0,class:!0,href:!0});var ML=c(He);an=l(ML,"SPAN",{});var CL=c(an);u(co.$$.fragment,CL),CL.forEach(t),ML.forEach(t),Gm=n(qg),ai=l(qg,"SPAN",{"data-svelte-h":!0}),p(ai)!=="svelte-mus4yb"&&(ai.innerHTML=hv),qg.forEach(t),ad=n(e),po=l(e,"P",{"data-svelte-h":!0}),p(po)!=="svelte-1shgsb3"&&(po.innerHTML=uv),dd=n(e),ho=l(e,"TABLE",{"data-svelte-h":!0}),p(ho)!=="svelte-wcljf3"&&(ho.innerHTML=gv),cd=n(e),pd=l(e,"HR",{}),hd=n(e),uo=l(e,"A",{id:!0,class:!0}),c(uo).forEach(t),ud=n(e),M=l(e,"H3",{class:!0});var Ig=c(M);Ae=l(Ig,"A",{id:!0,class:!0,href:!0});var SL=c(Ae);dn=l(SL,"SPAN",{});var EL=c(dn);u(go.$$.fragment,EL),EL.forEach(t),SL.forEach(t),qm=n(Ig),di=l(Ig,"SPAN",{"data-svelte-h":!0}),p(di)!=="svelte-48vkeg"&&(di.innerHTML=mv),Ig.forEach(t),gd=n(e),mo=l(e,"P",{"data-svelte-h":!0}),p(mo)!=="svelte-pof7bn"&&(mo.textContent=fv),md=n(e),fo=l(e,"P",{"data-svelte-h":!0}),p(fo)!=="svelte-1fawzos"&&(fo.innerHTML=vv),fd=n(e),vo=l(e,"TABLE",{"data-svelte-h":!0}),p(vo)!=="svelte-znwo1g"&&(vo.innerHTML=_v),vd=n(e),_d=l(e,"HR",{}),Ld=n(e),_o=l(e,"A",{id:!0,class:!0}),c(_o).forEach(t),bd=n(e),C=l(e,"H2",{class:!0});var Fg=c(C);Me=l(Fg,"A",{id:!0,class:!0,href:!0});var NL=c(Me);cn=l(NL,"SPAN",{});var RL=c(cn);u(Lo.$$.fragment,RL),RL.forEach(t),NL.forEach(t),Im=n(Fg),ci=l(Fg,"SPAN",{"data-svelte-h":!0}),p(ci)!=="svelte-1qgzhiu"&&(ci.innerHTML=Lv),Fg.forEach(t),wd=n(e),bo=l(e,"P",{"data-svelte-h":!0}),p(bo)!=="svelte-o4hur7"&&(bo.textContent=bv),Td=n(e),wo=l(e,"P",{"data-svelte-h":!0}),p(wo)!=="svelte-9hwh5b"&&(wo.innerHTML=wv),kd=n(e),To=l(e,"UL",{"data-svelte-h":!0}),p(To)!=="svelte-1p5owii"&&(To.innerHTML=Tv),Pd=n(e),yd=l(e,"HR",{}),xd=n(e),ko=l(e,"A",{id:!0,class:!0}),c(ko).forEach(t),$d=n(e),S=l(e,"H3",{class:!0});var Dg=c(S);Ce=l(Dg,"A",{id:!0,class:!0,href:!0});var BL=c(Ce);pn=l(BL,"SPAN",{});var jL=c(pn);u(Po.$$.fragment,jL),jL.forEach(t),BL.forEach(t),Fm=n(Dg),pi=l(Dg,"SPAN",{"data-svelte-h":!0}),p(pi)!=="svelte-104rekz"&&(pi.innerHTML=kv),Dg.forEach(t),Hd=n(e),yo=l(e,"P",{"data-svelte-h":!0}),p(yo)!=="svelte-1gtxb4f"&&(yo.textContent=Pv),Ad=n(e),xo=l(e,"TABLE",{"data-svelte-h":!0}),p(xo)!=="svelte-5i4wcj"&&(xo.innerHTML=yv),Md=n(e),Cd=l(e,"HR",{}),Sd=n(e),$o=l(e,"A",{id:!0,class:!0}),c($o).forEach(t),Ed=n(e),E=l(e,"H3",{class:!0});var zg=c(E);Se=l(zg,"A",{id:!0,class:!0,href:!0});var OL=c(Se);hn=l(OL,"SPAN",{});var GL=c(hn);u(Ho.$$.fragment,GL),GL.forEach(t),OL.forEach(t),Dm=n(zg),hi=l(zg,"SPAN",{"data-svelte-h":!0}),p(hi)!=="svelte-1rsyauv"&&(hi.innerHTML=xv),zg.forEach(t),Nd=n(e),Ao=l(e,"P",{"data-svelte-h":!0}),p(Ao)!=="svelte-uhajj6"&&(Ao.textContent=$v),Rd=n(e),Mo=l(e,"P",{"data-svelte-h":!0}),p(Mo)!=="svelte-1ljjg3x"&&(Mo.innerHTML=Hv),Bd=n(e),Co=l(e,"TABLE",{"data-svelte-h":!0}),p(Co)!=="svelte-aks9lu"&&(Co.innerHTML=Av),jd=n(e),Od=l(e,"HR",{}),Gd=n(e),So=l(e,"A",{id:!0,class:!0}),c(So).forEach(t),qd=n(e),N=l(e,"H2",{class:!0});var Kg=c(N);Ee=l(Kg,"A",{id:!0,class:!0,href:!0});var qL=c(Ee);un=l(qL,"SPAN",{});var IL=c(un);u(Eo.$$.fragment,IL),IL.forEach(t),qL.forEach(t),zm=n(Kg),ui=l(Kg,"SPAN",{"data-svelte-h":!0}),p(ui)!=="svelte-ekbnlt"&&(ui.innerHTML=Mv),Kg.forEach(t),Id=n(e),No=l(e,"P",{"data-svelte-h":!0}),p(No)!=="svelte-13qkt8b"&&(No.textContent=Cv),Fd=n(e),Ro=l(e,"P",{"data-svelte-h":!0}),p(Ro)!=="svelte-9hwh5b"&&(Ro.innerHTML=Sv),Dd=n(e),Bo=l(e,"UL",{"data-svelte-h":!0}),p(Bo)!=="svelte-1kyyz39"&&(Bo.innerHTML=Ev),zd=n(e),Kd=l(e,"HR",{}),Wd=n(e),jo=l(e,"A",{id:!0,class:!0}),c(jo).forEach(t),Ud=n(e),R=l(e,"H3",{class:!0});var Wg=c(R);Ne=l(Wg,"A",{id:!0,class:!0,href:!0});var FL=c(Ne);gn=l(FL,"SPAN",{});var DL=c(gn);u(Oo.$$.fragment,DL),DL.forEach(t),FL.forEach(t),Km=n(Wg),gi=l(Wg,"SPAN",{"data-svelte-h":!0}),p(gi)!=="svelte-4lli02"&&(gi.innerHTML=Nv),Wg.forEach(t),Jd=n(e),Go=l(e,"P",{"data-svelte-h":!0}),p(Go)!=="svelte-16ugs6s"&&(Go.textContent=Rv),Qd=n(e),qo=l(e,"TABLE",{"data-svelte-h":!0}),p(qo)!=="svelte-ahgedn"&&(qo.innerHTML=Bv),Vd=n(e),Xd=l(e,"HR",{}),Yd=n(e),Io=l(e,"A",{id:!0,class:!0}),c(Io).forEach(t),Zd=n(e),B=l(e,"H3",{class:!0});var Ug=c(B);Re=l(Ug,"A",{id:!0,class:!0,href:!0});var zL=c(Re);mn=l(zL,"SPAN",{});var KL=c(mn);u(Fo.$$.fragment,KL),KL.forEach(t),zL.forEach(t),Wm=n(Ug),mi=l(Ug,"SPAN",{"data-svelte-h":!0}),p(mi)!=="svelte-o7akjg"&&(mi.innerHTML=jv),Ug.forEach(t),ec=n(e),Do=l(e,"P",{"data-svelte-h":!0}),p(Do)!=="svelte-2wlv12"&&(Do.textContent=Ov),tc=n(e),zo=l(e,"P",{"data-svelte-h":!0}),p(zo)!=="svelte-9znmwc"&&(zo.innerHTML=Gv),oc=n(e),Ko=l(e,"TABLE",{"data-svelte-h":!0}),p(Ko)!=="svelte-je9vmv"&&(Ko.innerHTML=qv),rc=n(e),sc=l(e,"HR",{}),lc=n(e),Wo=l(e,"A",{id:!0,class:!0}),c(Wo).forEach(t),ic=n(e),j=l(e,"H2",{class:!0});var Jg=c(j);Be=l(Jg,"A",{id:!0,class:!0,href:!0});var WL=c(Be);fn=l(WL,"SPAN",{});var UL=c(fn);u(Uo.$$.fragment,UL),UL.forEach(t),WL.forEach(t),Um=n(Jg),fi=l(Jg,"SPAN",{"data-svelte-h":!0}),p(fi)!=="svelte-xjckk1"&&(fi.innerHTML=Iv),Jg.forEach(t),nc=n(e),Jo=l(e,"P",{"data-svelte-h":!0}),p(Jo)!=="svelte-5s9hr2"&&(Jo.innerHTML=Fv),ac=n(e),Qo=l(e,"P",{"data-svelte-h":!0}),p(Qo)!=="svelte-9hwh5b"&&(Qo.innerHTML=Dv),dc=n(e),Vo=l(e,"UL",{"data-svelte-h":!0}),p(Vo)!=="svelte-1otb2bz"&&(Vo.innerHTML=zv),cc=n(e),pc=l(e,"HR",{}),hc=n(e),Xo=l(e,"A",{id:!0,class:!0}),c(Xo).forEach(t),uc=n(e),O=l(e,"H3",{class:!0});var Qg=c(O);je=l(Qg,"A",{id:!0,class:!0,href:!0});var JL=c(je);vn=l(JL,"SPAN",{});var QL=c(vn);u(Yo.$$.fragment,QL),QL.forEach(t),JL.forEach(t),Jm=n(Qg),vi=l(Qg,"SPAN",{"data-svelte-h":!0}),p(vi)!=="svelte-1i9pamy"&&(vi.innerHTML=Kv),Qg.forEach(t),gc=n(e),Zo=l(e,"P",{"data-svelte-h":!0}),p(Zo)!=="svelte-459vk0"&&(Zo.textContent=Wv),mc=n(e),er=l(e,"TABLE",{"data-svelte-h":!0}),p(er)!=="svelte-rmc35r"&&(er.innerHTML=Uv),fc=n(e),vc=l(e,"HR",{}),_c=n(e),tr=l(e,"A",{id:!0,class:!0}),c(tr).forEach(t),Lc=n(e),G=l(e,"H3",{class:!0});var Vg=c(G);Oe=l(Vg,"A",{id:!0,class:!0,href:!0});var VL=c(Oe);_n=l(VL,"SPAN",{});var XL=c(_n);u(or.$$.fragment,XL),XL.forEach(t),VL.forEach(t),Qm=n(Vg),_i=l(Vg,"SPAN",{"data-svelte-h":!0}),p(_i)!=="svelte-luhm5m"&&(_i.innerHTML=Jv),Vg.forEach(t),bc=n(e),rr=l(e,"P",{"data-svelte-h":!0}),p(rr)!=="svelte-uhajj6"&&(rr.textContent=Qv),wc=n(e),sr=l(e,"P",{"data-svelte-h":!0}),p(sr)!=="svelte-ysooxp"&&(sr.innerHTML=Vv),Tc=n(e),lr=l(e,"TABLE",{"data-svelte-h":!0}),p(lr)!=="svelte-aks9lu"&&(lr.innerHTML=Xv),kc=n(e),Pc=l(e,"HR",{}),yc=n(e),ir=l(e,"A",{id:!0,class:!0}),c(ir).forEach(t),xc=n(e),q=l(e,"H2",{class:!0});var Xg=c(q);Ge=l(Xg,"A",{id:!0,class:!0,href:!0});var YL=c(Ge);Ln=l(YL,"SPAN",{});var ZL=c(Ln);u(nr.$$.fragment,ZL),ZL.forEach(t),YL.forEach(t),Vm=n(Xg),Li=l(Xg,"SPAN",{"data-svelte-h":!0}),p(Li)!=="svelte-1wc63ss"&&(Li.innerHTML=Yv),Xg.forEach(t),$c=n(e),ar=l(e,"P",{"data-svelte-h":!0}),p(ar)!=="svelte-7cf1c8"&&(ar.textContent=Zv),Hc=n(e),dr=l(e,"P",{"data-svelte-h":!0}),p(dr)!=="svelte-9hwh5b"&&(dr.innerHTML=e_),Ac=n(e),cr=l(e,"UL",{"data-svelte-h":!0}),p(cr)!=="svelte-1df9ntq"&&(cr.innerHTML=t_),Mc=n(e),Cc=l(e,"HR",{}),Sc=n(e),pr=l(e,"A",{id:!0,class:!0}),c(pr).forEach(t),Ec=n(e),I=l(e,"H3",{class:!0});var Yg=c(I);qe=l(Yg,"A",{id:!0,class:!0,href:!0});var eb=c(qe);bn=l(eb,"SPAN",{});var tb=c(bn);u(hr.$$.fragment,tb),tb.forEach(t),eb.forEach(t),Xm=n(Yg),bi=l(Yg,"SPAN",{"data-svelte-h":!0}),p(bi)!=="svelte-18xgyn5"&&(bi.innerHTML=o_),Yg.forEach(t),Nc=n(e),ur=l(e,"P",{"data-svelte-h":!0}),p(ur)!=="svelte-h97ofl"&&(ur.textContent=r_),Rc=n(e),gr=l(e,"TABLE",{"data-svelte-h":!0}),p(gr)!=="svelte-ouguny"&&(gr.innerHTML=s_),Bc=n(e),jc=l(e,"HR",{}),Oc=n(e),mr=l(e,"A",{id:!0,class:!0}),c(mr).forEach(t),Gc=n(e),F=l(e,"H3",{class:!0});var Zg=c(F);Ie=l(Zg,"A",{id:!0,class:!0,href:!0});var ob=c(Ie);wn=l(ob,"SPAN",{});var rb=c(wn);u(fr.$$.fragment,rb),rb.forEach(t),ob.forEach(t),Ym=n(Zg),wi=l(Zg,"SPAN",{"data-svelte-h":!0}),p(wi)!=="svelte-8np2xn"&&(wi.innerHTML=l_),Zg.forEach(t),qc=n(e),vr=l(e,"P",{"data-svelte-h":!0}),p(vr)!=="svelte-t6pj9i"&&(vr.textContent=i_),Ic=n(e),_r=l(e,"P",{"data-svelte-h":!0}),p(_r)!=="svelte-1ba862j"&&(_r.innerHTML=n_),Fc=n(e),Lr=l(e,"TABLE",{"data-svelte-h":!0}),p(Lr)!=="svelte-1i9o6ca"&&(Lr.innerHTML=a_),Dc=n(e),zc=l(e,"HR",{}),Kc=n(e),br=l(e,"A",{id:!0,class:!0}),c(br).forEach(t),Wc=n(e),D=l(e,"H2",{class:!0});var em=c(D);Fe=l(em,"A",{id:!0,class:!0,href:!0});var sb=c(Fe);Tn=l(sb,"SPAN",{});var lb=c(Tn);u(wr.$$.fragment,lb),lb.forEach(t),sb.forEach(t),Zm=n(em),Ti=l(em,"SPAN",{"data-svelte-h":!0}),p(Ti)!=="svelte-oywgvt"&&(Ti.innerHTML=d_),em.forEach(t),Uc=n(e),Tr=l(e,"P",{"data-svelte-h":!0}),p(Tr)!=="svelte-1nbhk1j"&&(Tr.textContent=c_),Jc=n(e),kr=l(e,"P",{"data-svelte-h":!0}),p(kr)!=="svelte-9hwh5b"&&(kr.innerHTML=p_),Qc=n(e),Pr=l(e,"UL",{"data-svelte-h":!0}),p(Pr)!=="svelte-1hjyvkl"&&(Pr.innerHTML=h_),Vc=n(e),Xc=l(e,"HR",{}),Yc=n(e),yr=l(e,"A",{id:!0,class:!0}),c(yr).forEach(t),Zc=n(e),z=l(e,"H3",{class:!0});var tm=c(z);De=l(tm,"A",{id:!0,class:!0,href:!0});var ib=c(De);kn=l(ib,"SPAN",{});var nb=c(kn);u(xr.$$.fragment,nb),nb.forEach(t),ib.forEach(t),ef=n(tm),ki=l(tm,"SPAN",{"data-svelte-h":!0}),p(ki)!=="svelte-njan53"&&(ki.innerHTML=u_),tm.forEach(t),ep=n(e),$r=l(e,"P",{"data-svelte-h":!0}),p($r)!=="svelte-ztp378"&&($r.textContent=g_),tp=n(e),Hr=l(e,"TABLE",{"data-svelte-h":!0}),p(Hr)!=="svelte-1oeknti"&&(Hr.innerHTML=m_),op=n(e),rp=l(e,"HR",{}),sp=n(e),Ar=l(e,"A",{id:!0,class:!0}),c(Ar).forEach(t),lp=n(e),K=l(e,"H3",{class:!0});var om=c(K);ze=l(om,"A",{id:!0,class:!0,href:!0});var ab=c(ze);Pn=l(ab,"SPAN",{});var db=c(Pn);u(Mr.$$.fragment,db),db.forEach(t),ab.forEach(t),tf=n(om),Pi=l(om,"SPAN",{"data-svelte-h":!0}),p(Pi)!=="svelte-1pqo7qp"&&(Pi.innerHTML=f_),om.forEach(t),ip=n(e),Cr=l(e,"P",{"data-svelte-h":!0}),p(Cr)!=="svelte-kezmb4"&&(Cr.textContent=v_),np=n(e),Sr=l(e,"P",{"data-svelte-h":!0}),p(Sr)!=="svelte-mrmx04"&&(Sr.innerHTML=__),ap=n(e),Er=l(e,"TABLE",{"data-svelte-h":!0}),p(Er)!=="svelte-7hcqif"&&(Er.innerHTML=L_),dp=n(e),cp=l(e,"HR",{}),pp=n(e),Nr=l(e,"A",{id:!0,class:!0}),c(Nr).forEach(t),hp=n(e),W=l(e,"H3",{class:!0});var rm=c(W);Ke=l(rm,"A",{id:!0,class:!0,href:!0});var cb=c(Ke);yn=l(cb,"SPAN",{});var pb=c(yn);u(Rr.$$.fragment,pb),pb.forEach(t),cb.forEach(t),of=n(rm),yi=l(rm,"SPAN",{"data-svelte-h":!0}),p(yi)!=="svelte-1kj2tas"&&(yi.innerHTML=b_),rm.forEach(t),up=n(e),Br=l(e,"P",{"data-svelte-h":!0}),p(Br)!=="svelte-kezmb4"&&(Br.textContent=w_),gp=n(e),jr=l(e,"P",{"data-svelte-h":!0}),p(jr)!=="svelte-1yl1x32"&&(jr.innerHTML=T_),mp=n(e),Or=l(e,"TABLE",{"data-svelte-h":!0}),p(Or)!=="svelte-12kqlqq"&&(Or.innerHTML=k_),fp=n(e),vp=l(e,"HR",{}),_p=n(e),Gr=l(e,"A",{id:!0,class:!0}),c(Gr).forEach(t),Lp=n(e),U=l(e,"H3",{class:!0});var sm=c(U);We=l(sm,"A",{id:!0,class:!0,href:!0});var hb=c(We);xn=l(hb,"SPAN",{});var ub=c(xn);u(qr.$$.fragment,ub),ub.forEach(t),hb.forEach(t),rf=n(sm),xi=l(sm,"SPAN",{"data-svelte-h":!0}),p(xi)!=="svelte-dp4tn7"&&(xi.innerHTML=P_),sm.forEach(t),bp=n(e),Ir=l(e,"P",{"data-svelte-h":!0}),p(Ir)!=="svelte-i6fmo8"&&(Ir.textContent=y_),wp=n(e),Fr=l(e,"P",{"data-svelte-h":!0}),p(Fr)!=="svelte-1yl1x32"&&(Fr.innerHTML=x_),Tp=n(e),Dr=l(e,"TABLE",{"data-svelte-h":!0}),p(Dr)!=="svelte-7hcqif"&&(Dr.innerHTML=$_),kp=n(e),Pp=l(e,"HR",{}),yp=n(e),zr=l(e,"A",{id:!0,class:!0}),c(zr).forEach(t),xp=n(e),J=l(e,"H3",{class:!0});var lm=c(J);Ue=l(lm,"A",{id:!0,class:!0,href:!0});var gb=c(Ue);$n=l(gb,"SPAN",{});var mb=c($n);u(Kr.$$.fragment,mb),mb.forEach(t),gb.forEach(t),sf=n(lm),$i=l(lm,"SPAN",{"data-svelte-h":!0}),p($i)!=="svelte-ahaxsy"&&($i.innerHTML=H_),lm.forEach(t),$p=n(e),Wr=l(e,"P",{"data-svelte-h":!0}),p(Wr)!=="svelte-ns64he"&&(Wr.textContent=A_),Hp=n(e),Ur=l(e,"P",{"data-svelte-h":!0}),p(Ur)!=="svelte-eb379u"&&(Ur.innerHTML=M_),Ap=n(e),Jr=l(e,"TABLE",{"data-svelte-h":!0}),p(Jr)!=="svelte-aks9lu"&&(Jr.innerHTML=C_),Mp=n(e),Cp=l(e,"HR",{}),Sp=n(e),Qr=l(e,"A",{id:!0,class:!0}),c(Qr).forEach(t),Ep=n(e),Q=l(e,"H2",{class:!0});var im=c(Q);Je=l(im,"A",{id:!0,class:!0,href:!0});var fb=c(Je);Hn=l(fb,"SPAN",{});var vb=c(Hn);u(Vr.$$.fragment,vb),vb.forEach(t),fb.forEach(t),lf=n(im),Hi=l(im,"SPAN",{"data-svelte-h":!0}),p(Hi)!=="svelte-1hkeble"&&(Hi.innerHTML=S_),im.forEach(t),Np=n(e),Xr=l(e,"P",{"data-svelte-h":!0}),p(Xr)!=="svelte-1swjk5j"&&(Xr.textContent=E_),Rp=n(e),Yr=l(e,"P",{"data-svelte-h":!0}),p(Yr)!=="svelte-9hwh5b"&&(Yr.innerHTML=N_),Bp=n(e),Zr=l(e,"UL",{"data-svelte-h":!0}),p(Zr)!=="svelte-8ptdd5"&&(Zr.innerHTML=R_),jp=n(e),Op=l(e,"HR",{}),Gp=n(e),es=l(e,"A",{id:!0,class:!0}),c(es).forEach(t),qp=n(e),V=l(e,"H3",{class:!0});var nm=c(V);Qe=l(nm,"A",{id:!0,class:!0,href:!0});var _b=c(Qe);An=l(_b,"SPAN",{});var Lb=c(An);u(ts.$$.fragment,Lb),Lb.forEach(t),_b.forEach(t),nf=n(nm),Ai=l(nm,"SPAN",{"data-svelte-h":!0}),p(Ai)!=="svelte-lckqnq"&&(Ai.innerHTML=B_),nm.forEach(t),Ip=n(e),os=l(e,"P",{"data-svelte-h":!0}),p(os)!=="svelte-1miwk7z"&&(os.textContent=j_),Fp=n(e),rs=l(e,"TABLE",{"data-svelte-h":!0}),p(rs)!=="svelte-qogrf9"&&(rs.innerHTML=O_),Dp=n(e),zp=l(e,"HR",{}),Kp=n(e),ss=l(e,"A",{id:!0,class:!0}),c(ss).forEach(t),Wp=n(e),X=l(e,"H3",{class:!0});var am=c(X);Ve=l(am,"A",{id:!0,class:!0,href:!0});var bb=c(Ve);Mn=l(bb,"SPAN",{});var wb=c(Mn);u(ls.$$.fragment,wb),wb.forEach(t),bb.forEach(t),af=n(am),Mi=l(am,"SPAN",{"data-svelte-h":!0}),p(Mi)!=="svelte-1lywkz7"&&(Mi.innerHTML=G_),am.forEach(t),Up=n(e),is=l(e,"P",{"data-svelte-h":!0}),p(is)!=="svelte-ttelh1"&&(is.textContent=q_),Jp=n(e),ns=l(e,"P",{"data-svelte-h":!0}),p(ns)!=="svelte-1l9hzxj"&&(ns.innerHTML=I_),Qp=n(e),as=l(e,"TABLE",{"data-svelte-h":!0}),p(as)!=="svelte-aks9lu"&&(as.innerHTML=F_),Vp=n(e),Xp=l(e,"HR",{}),Yp=n(e),ds=l(e,"A",{id:!0,class:!0}),c(ds).forEach(t),Zp=n(e),Y=l(e,"H2",{class:!0});var dm=c(Y);Xe=l(dm,"A",{id:!0,class:!0,href:!0});var Tb=c(Xe);Cn=l(Tb,"SPAN",{});var kb=c(Cn);u(cs.$$.fragment,kb),kb.forEach(t),Tb.forEach(t),df=n(dm),Ci=l(dm,"SPAN",{"data-svelte-h":!0}),p(Ci)!=="svelte-21m1ja"&&(Ci.innerHTML=D_),dm.forEach(t),eh=n(e),ps=l(e,"P",{"data-svelte-h":!0}),p(ps)!=="svelte-9c4wc0"&&(ps.textContent=z_),th=n(e),hs=l(e,"P",{"data-svelte-h":!0}),p(hs)!=="svelte-9hwh5b"&&(hs.innerHTML=K_),oh=n(e),us=l(e,"UL",{"data-svelte-h":!0}),p(us)!=="svelte-5gysvm"&&(us.innerHTML=W_),rh=n(e),sh=l(e,"HR",{}),lh=n(e),gs=l(e,"A",{id:!0,class:!0}),c(gs).forEach(t),ih=n(e),Z=l(e,"H3",{class:!0});var cm=c(Z);Ye=l(cm,"A",{id:!0,class:!0,href:!0});var Pb=c(Ye);Sn=l(Pb,"SPAN",{});var yb=c(Sn);u(ms.$$.fragment,yb),yb.forEach(t),Pb.forEach(t),cf=n(cm),Si=l(cm,"SPAN",{"data-svelte-h":!0}),p(Si)!=="svelte-cp7zmt"&&(Si.innerHTML=U_),cm.forEach(t),nh=n(e),fs=l(e,"P",{"data-svelte-h":!0}),p(fs)!=="svelte-1m5mw53"&&(fs.textContent=J_),ah=n(e),vs=l(e,"TABLE",{"data-svelte-h":!0}),p(vs)!=="svelte-1glhq7b"&&(vs.innerHTML=Q_),dh=n(e),ch=l(e,"HR",{}),ph=n(e),_s=l(e,"A",{id:!0,class:!0}),c(_s).forEach(t),hh=n(e),ee=l(e,"H3",{class:!0});var pm=c(ee);Ze=l(pm,"A",{id:!0,class:!0,href:!0});var xb=c(Ze);En=l(xb,"SPAN",{});var $b=c(En);u(Ls.$$.fragment,$b),$b.forEach(t),xb.forEach(t),pf=n(pm),Ei=l(pm,"SPAN",{"data-svelte-h":!0}),p(Ei)!=="svelte-twmq9r"&&(Ei.innerHTML=V_),pm.forEach(t),uh=n(e),bs=l(e,"P",{"data-svelte-h":!0}),p(bs)!=="svelte-uo9cbt"&&(bs.textContent=X_),gh=n(e),ws=l(e,"P",{"data-svelte-h":!0}),p(ws)!=="svelte-r6npgs"&&(ws.innerHTML=Y_),mh=n(e),Ts=l(e,"TABLE",{"data-svelte-h":!0}),p(Ts)!=="svelte-aks9lu"&&(Ts.innerHTML=Z_),fh=n(e),vh=l(e,"HR",{}),_h=n(e),ks=l(e,"A",{id:!0,class:!0}),c(ks).forEach(t),Lh=n(e),te=l(e,"H2",{class:!0});var hm=c(te);et=l(hm,"A",{id:!0,class:!0,href:!0});var Hb=c(et);Nn=l(Hb,"SPAN",{});var Ab=c(Nn);u(Ps.$$.fragment,Ab),Ab.forEach(t),Hb.forEach(t),hf=n(hm),Ni=l(hm,"SPAN",{"data-svelte-h":!0}),p(Ni)!=="svelte-1fdqms2"&&(Ni.innerHTML=e1),hm.forEach(t),bh=n(e),ys=l(e,"P",{"data-svelte-h":!0}),p(ys)!=="svelte-ozjzty"&&(ys.textContent=t1),wh=n(e),xs=l(e,"P",{"data-svelte-h":!0}),p(xs)!=="svelte-9hwh5b"&&(xs.innerHTML=o1),Th=n(e),$s=l(e,"UL",{"data-svelte-h":!0}),p($s)!=="svelte-1ry7094"&&($s.innerHTML=r1),kh=n(e),Ph=l(e,"HR",{}),yh=n(e),Hs=l(e,"A",{id:!0,class:!0}),c(Hs).forEach(t),xh=n(e),oe=l(e,"H3",{class:!0});var um=c(oe);tt=l(um,"A",{id:!0,class:!0,href:!0});var Mb=c(tt);Rn=l(Mb,"SPAN",{});var Cb=c(Rn);u(As.$$.fragment,Cb),Cb.forEach(t),Mb.forEach(t),uf=n(um),Ri=l(um,"SPAN",{"data-svelte-h":!0}),p(Ri)!=="svelte-1n14odd"&&(Ri.innerHTML=s1),um.forEach(t),$h=n(e),Ms=l(e,"P",{"data-svelte-h":!0}),p(Ms)!=="svelte-6z34lb"&&(Ms.textContent=l1),Hh=n(e),Cs=l(e,"TABLE",{"data-svelte-h":!0}),p(Cs)!=="svelte-1hv5g9s"&&(Cs.innerHTML=i1),Ah=n(e),Mh=l(e,"HR",{}),Ch=n(e),Ss=l(e,"A",{id:!0,class:!0}),c(Ss).forEach(t),Sh=n(e),re=l(e,"H3",{class:!0});var gm=c(re);ot=l(gm,"A",{id:!0,class:!0,href:!0});var Sb=c(ot);Bn=l(Sb,"SPAN",{});var Eb=c(Bn);u(Es.$$.fragment,Eb),Eb.forEach(t),Sb.forEach(t),gf=n(gm),Bi=l(gm,"SPAN",{"data-svelte-h":!0}),p(Bi)!=="svelte-5i4k17"&&(Bi.innerHTML=n1),gm.forEach(t),Eh=n(e),Ns=l(e,"P",{"data-svelte-h":!0}),p(Ns)!=="svelte-uo9cbt"&&(Ns.textContent=a1),Nh=n(e),Rs=l(e,"P",{"data-svelte-h":!0}),p(Rs)!=="svelte-1o7er1i"&&(Rs.innerHTML=d1),Rh=n(e),Bs=l(e,"TABLE",{"data-svelte-h":!0}),p(Bs)!=="svelte-aks9lu"&&(Bs.innerHTML=c1),Bh=n(e),jh=l(e,"HR",{}),Oh=n(e),js=l(e,"A",{id:!0,class:!0}),c(js).forEach(t),Gh=n(e),se=l(e,"H2",{class:!0});var mm=c(se);rt=l(mm,"A",{id:!0,class:!0,href:!0});var Nb=c(rt);jn=l(Nb,"SPAN",{});var Rb=c(jn);u(Os.$$.fragment,Rb),Rb.forEach(t),Nb.forEach(t),mf=n(mm),ji=l(mm,"SPAN",{"data-svelte-h":!0}),p(ji)!=="svelte-1nrk8zt"&&(ji.textContent=p1),mm.forEach(t),qh=n(e),Gs=l(e,"P",{"data-svelte-h":!0}),p(Gs)!=="svelte-setd0x"&&(Gs.textContent=h1),Ih=n(e),qs=l(e,"P",{"data-svelte-h":!0}),p(qs)!=="svelte-8k9dr4"&&(qs.innerHTML=u1),Fh=n(e),Dh=l(e,"HR",{}),zh=n(e),Is=l(e,"A",{id:!0,class:!0}),c(Is).forEach(t),Kh=n(e),le=l(e,"H3",{class:!0});var fm=c(le);st=l(fm,"A",{id:!0,class:!0,href:!0});var Bb=c(st);On=l(Bb,"SPAN",{});var jb=c(On);u(Fs.$$.fragment,jb),jb.forEach(t),Bb.forEach(t),ff=n(fm),Oi=l(fm,"SPAN",{"data-svelte-h":!0}),p(Oi)!=="svelte-uhms9g"&&(Oi.innerHTML=g1),fm.forEach(t),Wh=n(e),Ds=l(e,"P",{"data-svelte-h":!0}),p(Ds)!=="svelte-fn6kkw"&&(Ds.textContent=m1),Uh=n(e),zs=l(e,"TABLE",{"data-svelte-h":!0}),p(zs)!=="svelte-1mb2n29"&&(zs.innerHTML=f1),Jh=n(e),Qh=l(e,"HR",{}),Vh=n(e),Ks=l(e,"A",{id:!0,class:!0}),c(Ks).forEach(t),Xh=n(e),ie=l(e,"H2",{class:!0});var vm=c(ie);lt=l(vm,"A",{id:!0,class:!0,href:!0});var Ob=c(lt);Gn=l(Ob,"SPAN",{});var Gb=c(Gn);u(Ws.$$.fragment,Gb),Gb.forEach(t),Ob.forEach(t),vf=n(vm),Gi=l(vm,"SPAN",{"data-svelte-h":!0}),p(Gi)!=="svelte-593ayf"&&(Gi.textContent=v1),vm.forEach(t),Yh=n(e),Us=l(e,"P",{"data-svelte-h":!0}),p(Us)!=="svelte-p0jtpm"&&(Us.textContent=_1),Zh=n(e),Js=l(e,"P",{"data-svelte-h":!0}),p(Js)!=="svelte-8k9dr4"&&(Js.innerHTML=L1),eu=n(e),Qs=l(e,"UL",{"data-svelte-h":!0}),p(Qs)!=="svelte-ait4x5"&&(Qs.innerHTML=b1),tu=n(e),ou=l(e,"HR",{}),ru=n(e),Vs=l(e,"A",{id:!0,class:!0}),c(Vs).forEach(t),su=n(e),ne=l(e,"H3",{class:!0});var _m=c(ne);it=l(_m,"A",{id:!0,class:!0,href:!0});var qb=c(it);qn=l(qb,"SPAN",{});var Ib=c(qn);u(Xs.$$.fragment,Ib),Ib.forEach(t),qb.forEach(t),_f=n(_m),qi=l(_m,"SPAN",{"data-svelte-h":!0}),p(qi)!=="svelte-1uoprhs"&&(qi.innerHTML=w1),_m.forEach(t),lu=n(e),Ys=l(e,"P",{"data-svelte-h":!0}),p(Ys)!=="svelte-cx2gtq"&&(Ys.textContent=T1),iu=n(e),Zs=l(e,"TABLE",{"data-svelte-h":!0}),p(Zs)!=="svelte-i95exv"&&(Zs.innerHTML=k1),nu=n(e),au=l(e,"HR",{}),du=n(e),el=l(e,"A",{id:!0,class:!0}),c(el).forEach(t),cu=n(e),ae=l(e,"H3",{class:!0});var Lm=c(ae);nt=l(Lm,"A",{id:!0,class:!0,href:!0});var Fb=c(nt);In=l(Fb,"SPAN",{});var Db=c(In);u(tl.$$.fragment,Db),Db.forEach(t),Fb.forEach(t),Lf=n(Lm),Ii=l(Lm,"SPAN",{"data-svelte-h":!0}),p(Ii)!=="svelte-8bzkwl"&&(Ii.innerHTML=P1),Lm.forEach(t),pu=n(e),ol=l(e,"P",{"data-svelte-h":!0}),p(ol)!=="svelte-18hhszu"&&(ol.textContent=y1),hu=n(e),rl=l(e,"P",{"data-svelte-h":!0}),p(rl)!=="svelte-1hkhr2u"&&(rl.innerHTML=x1),uu=n(e),sl=l(e,"TABLE",{"data-svelte-h":!0}),p(sl)!=="svelte-1ks6oyq"&&(sl.innerHTML=$1),gu=n(e),mu=l(e,"HR",{}),fu=n(e),ll=l(e,"A",{id:!0,class:!0}),c(ll).forEach(t),vu=n(e),de=l(e,"H3",{class:!0});var bm=c(de);at=l(bm,"A",{id:!0,class:!0,href:!0});var zb=c(at);Fn=l(zb,"SPAN",{});var Kb=c(Fn);u(il.$$.fragment,Kb),Kb.forEach(t),zb.forEach(t),bf=n(bm),Fi=l(bm,"SPAN",{"data-svelte-h":!0}),p(Fi)!=="svelte-1328lh3"&&(Fi.innerHTML=H1),bm.forEach(t),_u=n(e),nl=l(e,"P",{"data-svelte-h":!0}),p(nl)!=="svelte-mhsbvo"&&(nl.textContent=A1),Lu=n(e),al=l(e,"P",{"data-svelte-h":!0}),p(al)!=="svelte-mok1bi"&&(al.innerHTML=M1),bu=n(e),dl=l(e,"UL",{"data-svelte-h":!0}),p(dl)!=="svelte-1ijvx2"&&(dl.innerHTML=C1),wu=n(e),cl=l(e,"TABLE",{"data-svelte-h":!0}),p(cl)!=="svelte-1ks6oyq"&&(cl.innerHTML=S1),Tu=n(e),ku=l(e,"HR",{}),Pu=n(e),pl=l(e,"A",{id:!0,class:!0}),c(pl).forEach(t),yu=n(e),ce=l(e,"H3",{class:!0});var wm=c(ce);dt=l(wm,"A",{id:!0,class:!0,href:!0});var Wb=c(dt);Dn=l(Wb,"SPAN",{});var Ub=c(Dn);u(hl.$$.fragment,Ub),Ub.forEach(t),Wb.forEach(t),wf=n(wm),Di=l(wm,"SPAN",{"data-svelte-h":!0}),p(Di)!=="svelte-8rbja5"&&(Di.innerHTML=E1),wm.forEach(t),xu=n(e),ul=l(e,"P",{"data-svelte-h":!0}),p(ul)!=="svelte-1tthoub"&&(ul.textContent=N1),$u=n(e),gl=l(e,"P",{"data-svelte-h":!0}),p(gl)!=="svelte-1hkhr2u"&&(gl.innerHTML=R1),Hu=n(e),ml=l(e,"TABLE",{"data-svelte-h":!0}),p(ml)!=="svelte-1ks6oyq"&&(ml.innerHTML=B1),Au=n(e),Mu=l(e,"HR",{}),Cu=n(e),fl=l(e,"A",{id:!0,class:!0}),c(fl).forEach(t),Su=n(e),pe=l(e,"H3",{class:!0});var Tm=c(pe);ct=l(Tm,"A",{id:!0,class:!0,href:!0});var Jb=c(ct);zn=l(Jb,"SPAN",{});var Qb=c(zn);u(vl.$$.fragment,Qb),Qb.forEach(t),Jb.forEach(t),Tf=n(Tm),zi=l(Tm,"SPAN",{"data-svelte-h":!0}),p(zi)!=="svelte-t50g8l"&&(zi.innerHTML=j1),Tm.forEach(t),Eu=n(e),_l=l(e,"P",{"data-svelte-h":!0}),p(_l)!=="svelte-yywnzb"&&(_l.textContent=O1),Nu=n(e),Ll=l(e,"P",{"data-svelte-h":!0}),p(Ll)!=="svelte-1o7ozs"&&(Ll.innerHTML=G1),Ru=n(e),bl=l(e,"TABLE",{"data-svelte-h":!0}),p(bl)!=="svelte-415bxe"&&(bl.innerHTML=q1),Bu=n(e),ju=l(e,"HR",{}),Ou=n(e),wl=l(e,"A",{id:!0,class:!0}),c(wl).forEach(t),Gu=n(e),he=l(e,"H3",{class:!0});var km=c(he);pt=l(km,"A",{id:!0,class:!0,href:!0});var Vb=c(pt);Kn=l(Vb,"SPAN",{});var Xb=c(Kn);u(Tl.$$.fragment,Xb),Xb.forEach(t),Vb.forEach(t),kf=n(km),Ki=l(km,"SPAN",{"data-svelte-h":!0}),p(Ki)!=="svelte-z1av9d"&&(Ki.innerHTML=I1),km.forEach(t),qu=n(e),kl=l(e,"P",{"data-svelte-h":!0}),p(kl)!=="svelte-wl8u0w"&&(kl.textContent=F1),Iu=n(e),Pl=l(e,"P",{"data-svelte-h":!0}),p(Pl)!=="svelte-18j5rpb"&&(Pl.innerHTML=D1),Fu=n(e),yl=l(e,"TABLE",{"data-svelte-h":!0}),p(yl)!=="svelte-1vneufm"&&(yl.innerHTML=z1),Du=n(e),zu=l(e,"HR",{}),Ku=n(e),xl=l(e,"A",{id:!0,class:!0}),c(xl).forEach(t),Wu=n(e),ue=l(e,"H2",{class:!0});var Pm=c(ue);ht=l(Pm,"A",{id:!0,class:!0,href:!0});var Yb=c(ht);Wn=l(Yb,"SPAN",{});var Zb=c(Wn);u($l.$$.fragment,Zb),Zb.forEach(t),Yb.forEach(t),Pf=n(Pm),Wi=l(Pm,"SPAN",{"data-svelte-h":!0}),p(Wi)!=="svelte-dkmvxe"&&(Wi.innerHTML=K1),Pm.forEach(t),Uu=n(e),Hl=l(e,"P",{"data-svelte-h":!0}),p(Hl)!=="svelte-1pvj197"&&(Hl.textContent=W1),Ju=n(e),Al=l(e,"P",{"data-svelte-h":!0}),p(Al)!=="svelte-1cm4lld"&&(Al.innerHTML=U1),Qu=n(e),Vu=l(e,"HR",{}),Xu=n(e),Ml=l(e,"A",{id:!0,class:!0}),c(Ml).forEach(t),Yu=n(e),ge=l(e,"H3",{class:!0});var ym=c(ge);ut=l(ym,"A",{id:!0,class:!0,href:!0});var ew=c(ut);Un=l(ew,"SPAN",{});var tw=c(Un);u(Cl.$$.fragment,tw),tw.forEach(t),ew.forEach(t),yf=n(ym),Ui=l(ym,"SPAN",{"data-svelte-h":!0}),p(Ui)!=="svelte-qzg3ux"&&(Ui.innerHTML=J1),ym.forEach(t),Zu=n(e),Sl=l(e,"P",{"data-svelte-h":!0}),p(Sl)!=="svelte-1acvd9s"&&(Sl.textContent=Q1),eg=n(e),El=l(e,"P",{"data-svelte-h":!0}),p(El)!=="svelte-dut2ci"&&(El.innerHTML=V1),tg=n(e),Nl=l(e,"TABLE",{"data-svelte-h":!0}),p(Nl)!=="svelte-tzng1p"&&(Nl.innerHTML=X1),og=n(e),rg=l(e,"HR",{}),sg=n(e),Rl=l(e,"A",{id:!0,class:!0}),c(Rl).forEach(t),lg=n(e),me=l(e,"H2",{class:!0});var xm=c(me);gt=l(xm,"A",{id:!0,class:!0,href:!0});var ow=c(gt);Jn=l(ow,"SPAN",{});var rw=c(Jn);u(Bl.$$.fragment,rw),rw.forEach(t),ow.forEach(t),xf=n(xm),Ji=l(xm,"SPAN",{"data-svelte-h":!0}),p(Ji)!=="svelte-y70xe1"&&(Ji.innerHTML=Y1),xm.forEach(t),ig=n(e),jl=l(e,"P",{"data-svelte-h":!0}),p(jl)!=="svelte-2u15u0"&&(jl.textContent=Z1),ng=n(e),Ol=l(e,"P",{"data-svelte-h":!0}),p(Ol)!=="svelte-1cm4lld"&&(Ol.innerHTML=eL),ag=n(e),dg=l(e,"HR",{}),cg=n(e),Gl=l(e,"A",{id:!0,class:!0}),c(Gl).forEach(t),pg=n(e),fe=l(e,"H3",{class:!0});var $m=c(fe);mt=l($m,"A",{id:!0,class:!0,href:!0});var sw=c(mt);Qn=l(sw,"SPAN",{});var lw=c(Qn);u(ql.$$.fragment,lw),lw.forEach(t),sw.forEach(t),$f=n($m),Qi=l($m,"SPAN",{"data-svelte-h":!0}),p(Qi)!=="svelte-bziowq"&&(Qi.innerHTML=tL),$m.forEach(t),hg=n(e),Il=l(e,"P",{"data-svelte-h":!0}),p(Il)!=="svelte-1uart2f"&&(Il.textContent=oL),ug=n(e),Fl=l(e,"P",{"data-svelte-h":!0}),p(Fl)!=="svelte-6rm4k"&&(Fl.innerHTML=rL),gg=n(e),Dl=l(e,"TABLE",{"data-svelte-h":!0}),p(Dl)!=="svelte-1ks6oyq"&&(Dl.innerHTML=sL),mg=n(e),fg=l(e,"HR",{}),vg=n(e),zl=l(e,"A",{id:!0,class:!0}),c(zl).forEach(t),_g=n(e),ve=l(e,"H2",{class:!0});var Hm=c(ve);ft=l(Hm,"A",{id:!0,class:!0,href:!0});var iw=c(ft);Vn=l(iw,"SPAN",{});var nw=c(Vn);u(Kl.$$.fragment,nw),nw.forEach(t),iw.forEach(t),Hf=n(Hm),Vi=l(Hm,"SPAN",{"data-svelte-h":!0}),p(Vi)!=="svelte-13iu0u9"&&(Vi.innerHTML=lL),Hm.forEach(t),Lg=n(e),Wl=l(e,"P",{"data-svelte-h":!0}),p(Wl)!=="svelte-tcl9v8"&&(Wl.textContent=iL),bg=n(e),Ul=l(e,"P",{"data-svelte-h":!0}),p(Ul)!=="svelte-1cm4lld"&&(Ul.innerHTML=nL),wg=n(e),Tg=l(e,"HR",{}),kg=n(e),Jl=l(e,"A",{id:!0,class:!0}),c(Jl).forEach(t),Pg=n(e),_e=l(e,"H3",{class:!0});var Am=c(_e);vt=l(Am,"A",{id:!0,class:!0,href:!0});var aw=c(vt);Xn=l(aw,"SPAN",{});var dw=c(Xn);u(Ql.$$.fragment,dw),dw.forEach(t),aw.forEach(t),Af=n(Am),Xi=l(Am,"SPAN",{"data-svelte-h":!0}),p(Xi)!=="svelte-16vcjhu"&&(Xi.innerHTML=aL),Am.forEach(t),yg=n(e),Vl=l(e,"P",{"data-svelte-h":!0}),p(Vl)!=="svelte-1uart2f"&&(Vl.textContent=dL),xg=n(e),Xl=l(e,"P",{"data-svelte-h":!0}),p(Xl)!=="svelte-18emm88"&&(Xl.innerHTML=cL),$g=n(e),Yl=l(e,"TABLE",{"data-svelte-h":!0}),p(Yl)!=="svelte-1ks6oyq"&&(Yl.innerHTML=pL),Hg=n(e),Ag=l(e,"HR",{}),this.h()},h(){a(L,"name","hf:doc:metadata"),a(L,"content",JSON.stringify(vw)),a(_t,"id","module_utils/generation"),a(_t,"class","group"),a(Le,"id","utilsgeneration"),a(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Le,"href","#utilsgeneration"),a(b,"class","relative group"),a(Pt,"id","module_utils/generation.LogitsProcessorList"),a(Pt,"class","group"),a(be,"id","utilsgenerationlogitsprocessorlist-codecallablecode"),a(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(be,"href","#utilsgenerationlogitsprocessorlist-codecallablecode"),a(w,"class","relative group"),a(At,"id","new_module_utils/generation.LogitsProcessorList_new"),a(At,"class","group"),a(we,"id","new-logitsprocessorlist"),a(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(we,"href","#new-logitsprocessorlist"),a(T,"class","relative group"),a(St,"id","module_utils/generation.LogitsProcessorList+push"),a(St,"class","group"),a(Te,"id","logitsprocessorlistpushitem"),a(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Te,"href","#logitsprocessorlistpushitem"),a(k,"class","relative group"),a(jt,"id","module_utils/generation.LogitsProcessorList+extend"),a(jt,"class","group"),a(ke,"id","logitsprocessorlistextenditems"),a(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ke,"href","#logitsprocessorlistextenditems"),a(P,"class","relative group"),a(Ft,"id","module_utils/generation.LogitsProcessorList+_call"),a(Ft,"class","group"),a(Pe,"id","logitsprocessorlistcallinputids-batchedlogits"),a(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Pe,"href","#logitsprocessorlistcallinputids-batchedlogits"),a(y,"class","relative group"),a(Ut,"id","module_utils/generation.LogitsProcessor"),a(Ut,"class","group"),a(ye,"id","utilsgenerationlogitsprocessor-codecallablecode"),a(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ye,"href","#utilsgenerationlogitsprocessor-codecallablecode"),a(x,"class","relative group"),a(Xt,"id","module_utils/generation.LogitsProcessor+_call"),a(Xt,"class","group"),a(xe,"id","logitsprocessorcallinputids-logits"),a(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(xe,"href","#logitsprocessorcallinputids-logits"),a($,"class","relative group"),a(ro,"id","module_utils/generation.ForceTokensLogitsProcessor"),a(ro,"class","group"),a($e,"id","utilsgenerationforcetokenslogitsprocessor-codelogitsprocessorcode"),a($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a($e,"href","#utilsgenerationforcetokenslogitsprocessor-codelogitsprocessorcode"),a(H,"class","relative group"),a(ao,"id","new_module_utils/generation.ForceTokensLogitsProcessor_new"),a(ao,"class","group"),a(He,"id","new-forcetokenslogitsprocessorforceddecoderids"),a(He,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(He,"href","#new-forcetokenslogitsprocessorforceddecoderids"),a(A,"class","relative group"),a(uo,"id","module_utils/generation.ForceTokensLogitsProcessor+_call"),a(uo,"class","group"),a(Ae,"id","forcetokenslogitsprocessorcallinputids-logits-codetensorcode"),a(Ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ae,"href","#forcetokenslogitsprocessorcallinputids-logits-codetensorcode"),a(M,"class","relative group"),a(_o,"id","module_utils/generation.ForcedBOSTokenLogitsProcessor"),a(_o,"class","group"),a(Me,"id","utilsgenerationforcedbostokenlogitsprocessor-codelogitsprocessorcode"),a(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Me,"href","#utilsgenerationforcedbostokenlogitsprocessor-codelogitsprocessorcode"),a(C,"class","relative group"),a(ko,"id","new_module_utils/generation.ForcedBOSTokenLogitsProcessor_new"),a(ko,"class","group"),a(Ce,"id","new-forcedbostokenlogitsprocessorbostokenid"),a(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ce,"href","#new-forcedbostokenlogitsprocessorbostokenid"),a(S,"class","relative group"),a($o,"id","module_utils/generation.ForcedBOSTokenLogitsProcessor+_call"),a($o,"class","group"),a(Se,"id","forcedbostokenlogitsprocessorcallinputids-logits-codeobjectcode"),a(Se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Se,"href","#forcedbostokenlogitsprocessorcallinputids-logits-codeobjectcode"),a(E,"class","relative group"),a(So,"id","module_utils/generation.ForcedEOSTokenLogitsProcessor"),a(So,"class","group"),a(Ee,"id","utilsgenerationforcedeostokenlogitsprocessor-codelogitsprocessorcode"),a(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ee,"href","#utilsgenerationforcedeostokenlogitsprocessor-codelogitsprocessorcode"),a(N,"class","relative group"),a(jo,"id","new_module_utils/generation.ForcedEOSTokenLogitsProcessor_new"),a(jo,"class","group"),a(Ne,"id","new-forcedeostokenlogitsprocessormaxlength-forcedeostokenid"),a(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ne,"href","#new-forcedeostokenlogitsprocessormaxlength-forcedeostokenid"),a(R,"class","relative group"),a(Io,"id","module_utils/generation.ForcedEOSTokenLogitsProcessor+_call"),a(Io,"class","group"),a(Re,"id","forcedeostokenlogitsprocessorcallinputids-logits"),a(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Re,"href","#forcedeostokenlogitsprocessorcallinputids-logits"),a(B,"class","relative group"),a(Wo,"id","module_utils/generation.SuppressTokensAtBeginLogitsProcessor"),a(Wo,"class","group"),a(Be,"id","utilsgenerationsuppresstokensatbeginlogitsprocessor-codelogitsprocessorcode"),a(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Be,"href","#utilsgenerationsuppresstokensatbeginlogitsprocessor-codelogitsprocessorcode"),a(j,"class","relative group"),a(Xo,"id","new_module_utils/generation.SuppressTokensAtBeginLogitsProcessor_new"),a(Xo,"class","group"),a(je,"id","new-suppresstokensatbeginlogitsprocessorbeginsuppresstokens-beginindex"),a(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(je,"href","#new-suppresstokensatbeginlogitsprocessorbeginsuppresstokens-beginindex"),a(O,"class","relative group"),a(tr,"id","module_utils/generation.SuppressTokensAtBeginLogitsProcessor+_call"),a(tr,"class","group"),a(Oe,"id","suppresstokensatbeginlogitsprocessorcallinputids-logits-codeobjectcode"),a(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Oe,"href","#suppresstokensatbeginlogitsprocessorcallinputids-logits-codeobjectcode"),a(G,"class","relative group"),a(ir,"id","module_utils/generation.WhisperTimeStampLogitsProcessor"),a(ir,"class","group"),a(Ge,"id","utilsgenerationwhispertimestamplogitsprocessor-codelogitsprocessorcode"),a(Ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ge,"href","#utilsgenerationwhispertimestamplogitsprocessor-codelogitsprocessorcode"),a(q,"class","relative group"),a(pr,"id","new_module_utils/generation.WhisperTimeStampLogitsProcessor_new"),a(pr,"class","group"),a(qe,"id","new-whispertimestamplogitsprocessorgenerateconfig"),a(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(qe,"href","#new-whispertimestamplogitsprocessorgenerateconfig"),a(I,"class","relative group"),a(mr,"id","module_utils/generation.WhisperTimeStampLogitsProcessor+_call"),a(mr,"class","group"),a(Ie,"id","whispertimestamplogitsprocessorcallinputids-logits-codetensorcode"),a(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ie,"href","#whispertimestamplogitsprocessorcallinputids-logits-codetensorcode"),a(F,"class","relative group"),a(br,"id","module_utils/generation.NoRepeatNGramLogitsProcessor"),a(br,"class","group"),a(Fe,"id","utilsgenerationnorepeatngramlogitsprocessor-codelogitsprocessorcode"),a(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Fe,"href","#utilsgenerationnorepeatngramlogitsprocessor-codelogitsprocessorcode"),a(D,"class","relative group"),a(yr,"id","new_module_utils/generation.NoRepeatNGramLogitsProcessor_new"),a(yr,"class","group"),a(De,"id","new-norepeatngramlogitsprocessornorepeatngramsize"),a(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(De,"href","#new-norepeatngramlogitsprocessornorepeatngramsize"),a(z,"class","relative group"),a(Ar,"id","module_utils/generation.NoRepeatNGramLogitsProcessor+getNgrams"),a(Ar,"class","group"),a(ze,"id","norepeatngramlogitsprocessorgetngramsprevinputids-codemapampltstring-arrayampltnumberampgtampgtcode"),a(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ze,"href","#norepeatngramlogitsprocessorgetngramsprevinputids-codemapampltstring-arrayampltnumberampgtampgtcode"),a(K,"class","relative group"),a(Nr,"id","module_utils/generation.NoRepeatNGramLogitsProcessor+getGeneratedNgrams"),a(Nr,"class","group"),a(Ke,"id","norepeatngramlogitsprocessorgetgeneratedngramsbannedngrams-previnputids-codearrayampltnumberampgtcode"),a(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ke,"href","#norepeatngramlogitsprocessorgetgeneratedngramsbannedngrams-previnputids-codearrayampltnumberampgtcode"),a(W,"class","relative group"),a(Gr,"id","module_utils/generation.NoRepeatNGramLogitsProcessor+calcBannedNgramTokens"),a(Gr,"class","group"),a(We,"id","norepeatngramlogitsprocessorcalcbannedngramtokensprevinputids-codearrayampltnumberampgtcode"),a(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(We,"href","#norepeatngramlogitsprocessorcalcbannedngramtokensprevinputids-codearrayampltnumberampgtcode"),a(U,"class","relative group"),a(zr,"id","module_utils/generation.NoRepeatNGramLogitsProcessor+_call"),a(zr,"class","group"),a(Ue,"id","norepeatngramlogitsprocessorcallinputids-logits-codeobjectcode"),a(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ue,"href","#norepeatngramlogitsprocessorcallinputids-logits-codeobjectcode"),a(J,"class","relative group"),a(Qr,"id","module_utils/generation.RepetitionPenaltyLogitsProcessor"),a(Qr,"class","group"),a(Je,"id","utilsgenerationrepetitionpenaltylogitsprocessor-codelogitsprocessorcode"),a(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Je,"href","#utilsgenerationrepetitionpenaltylogitsprocessor-codelogitsprocessorcode"),a(Q,"class","relative group"),a(es,"id","new_module_utils/generation.RepetitionPenaltyLogitsProcessor_new"),a(es,"class","group"),a(Qe,"id","new-repetitionpenaltylogitsprocessorpenalty"),a(Qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Qe,"href","#new-repetitionpenaltylogitsprocessorpenalty"),a(V,"class","relative group"),a(ss,"id","module_utils/generation.RepetitionPenaltyLogitsProcessor+_call"),a(ss,"class","group"),a(Ve,"id","repetitionpenaltylogitsprocessorcallinputids-logits-codeobjectcode"),a(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ve,"href","#repetitionpenaltylogitsprocessorcallinputids-logits-codeobjectcode"),a(X,"class","relative group"),a(ds,"id","module_utils/generation.MinLengthLogitsProcessor"),a(ds,"class","group"),a(Xe,"id","utilsgenerationminlengthlogitsprocessor-codelogitsprocessorcode"),a(Xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Xe,"href","#utilsgenerationminlengthlogitsprocessor-codelogitsprocessorcode"),a(Y,"class","relative group"),a(gs,"id","new_module_utils/generation.MinLengthLogitsProcessor_new"),a(gs,"class","group"),a(Ye,"id","new-minlengthlogitsprocessorminlength-eostokenid"),a(Ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ye,"href","#new-minlengthlogitsprocessorminlength-eostokenid"),a(Z,"class","relative group"),a(_s,"id","module_utils/generation.MinLengthLogitsProcessor+_call"),a(_s,"class","group"),a(Ze,"id","minlengthlogitsprocessorcallinputids-logits-codeobjectcode"),a(Ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ze,"href","#minlengthlogitsprocessorcallinputids-logits-codeobjectcode"),a(ee,"class","relative group"),a(ks,"id","module_utils/generation.MinNewTokensLengthLogitsProcessor"),a(ks,"class","group"),a(et,"id","utilsgenerationminnewtokenslengthlogitsprocessor-codelogitsprocessorcode"),a(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(et,"href","#utilsgenerationminnewtokenslengthlogitsprocessor-codelogitsprocessorcode"),a(te,"class","relative group"),a(Hs,"id","new_module_utils/generation.MinNewTokensLengthLogitsProcessor_new"),a(Hs,"class","group"),a(tt,"id","new-minnewtokenslengthlogitsprocessorpromptlengthtoskip-minnewtokens-eostokenid"),a(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(tt,"href","#new-minnewtokenslengthlogitsprocessorpromptlengthtoskip-minnewtokens-eostokenid"),a(oe,"class","relative group"),a(Ss,"id","module_utils/generation.MinNewTokensLengthLogitsProcessor+_call"),a(Ss,"class","group"),a(ot,"id","minnewtokenslengthlogitsprocessorcallinputids-logits-codeobjectcode"),a(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ot,"href","#minnewtokenslengthlogitsprocessorcallinputids-logits-codeobjectcode"),a(re,"class","relative group"),a(js,"id","module_utils/generation.GenerationConfig"),a(js,"class","group"),a(rt,"id","utilsgenerationgenerationconfig"),a(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(rt,"href","#utilsgenerationgenerationconfig"),a(se,"class","relative group"),a(Is,"id","new_module_utils/generation.GenerationConfig_new"),a(Is,"class","group"),a(st,"id","new-generationconfigkwargs"),a(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(st,"href","#new-generationconfigkwargs"),a(le,"class","relative group"),a(Ks,"id","module_utils/generation.Sampler"),a(Ks,"class","group"),a(lt,"id","utilsgenerationsampler"),a(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(lt,"href","#utilsgenerationsampler"),a(ie,"class","relative group"),a(Vs,"id","new_module_utils/generation.Sampler_new"),a(Vs,"class","group"),a(it,"id","new-samplergenerationconfig"),a(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(it,"href","#new-samplergenerationconfig"),a(ne,"class","relative group"),a(el,"id","module_utils/generation.Sampler+_call"),a(el,"class","group"),a(nt,"id","samplercalllogits-index-codevoidcode"),a(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(nt,"href","#samplercalllogits-index-codevoidcode"),a(ae,"class","relative group"),a(ll,"id","module_utils/generation.Sampler+sample"),a(ll,"class","group"),a(at,"id","samplersamplelogits-index"),a(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(at,"href","#samplersamplelogits-index"),a(de,"class","relative group"),a(pl,"id","module_utils/generation.Sampler+getLogits"),a(pl,"class","group"),a(dt,"id","samplergetlogitslogits-index-codearraycode"),a(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(dt,"href","#samplergetlogitslogits-index-codearraycode"),a(ce,"class","relative group"),a(fl,"id","module_utils/generation.Sampler+randomSelect"),a(fl,"class","group"),a(ct,"id","samplerrandomselectprobabilities-codenumbercode"),a(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ct,"href","#samplerrandomselectprobabilities-codenumbercode"),a(pe,"class","relative group"),a(wl,"id","module_utils/generation.Sampler.getSampler"),a(wl,"class","group"),a(pt,"id","samplergetsamplergenerationconfig-codesamplercode"),a(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(pt,"href","#samplergetsamplergenerationconfig-codesamplercode"),a(he,"class","relative group"),a(xl,"id","module_utils/generation..GreedySampler"),a(xl,"class","group"),a(ht,"id","utilsgenerationgreedysampler-codesamplercode"),a(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ht,"href","#utilsgenerationgreedysampler-codesamplercode"),a(ue,"class","relative group"),a(Ml,"id","module_utils/generation..GreedySampler+sample"),a(Ml,"class","group"),a(ut,"id","greedysamplersamplelogits-index-codearraycode"),a(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ut,"href","#greedysamplersamplelogits-index-codearraycode"),a(ge,"class","relative group"),a(Rl,"id","module_utils/generation..MultinomialSampler"),a(Rl,"class","group"),a(gt,"id","utilsgenerationmultinomialsampler-codesamplercode"),a(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(gt,"href","#utilsgenerationmultinomialsampler-codesamplercode"),a(me,"class","relative group"),a(Gl,"id","module_utils/generation..MultinomialSampler+sample"),a(Gl,"class","group"),a(mt,"id","multinomialsamplersamplelogits-index-codearraycode"),a(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(mt,"href","#multinomialsamplersamplelogits-index-codearraycode"),a(fe,"class","relative group"),a(zl,"id","module_utils/generation..BeamSearchSampler"),a(zl,"class","group"),a(ft,"id","utilsgenerationbeamsearchsampler-codesamplercode"),a(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ft,"href","#utilsgenerationbeamsearchsampler-codesamplercode"),a(ve,"class","relative group"),a(Jl,"id","module_utils/generation..BeamSearchSampler+sample"),a(Jl,"class","group"),a(vt,"id","beamsearchsamplersamplelogits-index-codearraycode"),a(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(vt,"href","#beamsearchsamplersamplelogits-index-codearraycode"),a(_e,"class","relative group")},m(e,o){d(document.head,L),r(e,Yn,o),r(e,_t,o),r(e,Zn,o),r(e,b,o),d(b,Le),d(Le,Yi),g(Lt,Yi,null),d(b,Mm),d(b,Zl),r(e,ea,o),r(e,bt,o),r(e,ta,o),r(e,wt,o),r(e,oa,o),r(e,Tt,o),r(e,ra,o),r(e,kt,o),r(e,sa,o),r(e,la,o),r(e,ia,o),r(e,Pt,o),r(e,na,o),r(e,w,o),d(w,be),d(be,Zi),g(yt,Zi,null),d(w,Cm),d(w,ei),r(e,aa,o),r(e,xt,o),r(e,da,o),r(e,$t,o),r(e,ca,o),r(e,Ht,o),r(e,pa,o),r(e,ha,o),r(e,ua,o),r(e,At,o),r(e,ga,o),r(e,T,o),d(T,we),d(we,en),g(Mt,en,null),d(T,Sm),d(T,ti),r(e,ma,o),r(e,Ct,o),r(e,fa,o),r(e,va,o),r(e,_a,o),r(e,St,o),r(e,La,o),r(e,k,o),d(k,Te),d(Te,tn),g(Et,tn,null),d(k,Em),d(k,oi),r(e,ba,o),r(e,Nt,o),r(e,wa,o),r(e,Rt,o),r(e,Ta,o),r(e,Bt,o),r(e,ka,o),r(e,Pa,o),r(e,ya,o),r(e,jt,o),r(e,xa,o),r(e,P,o),d(P,ke),d(ke,on),g(Ot,on,null),d(P,Nm),d(P,ri),r(e,$a,o),r(e,Gt,o),r(e,Ha,o),r(e,qt,o),r(e,Aa,o),r(e,It,o),r(e,Ma,o),r(e,Ca,o),r(e,Sa,o),r(e,Ft,o),r(e,Ea,o),r(e,y,o),d(y,Pe),d(Pe,rn),g(Dt,rn,null),d(y,Rm),d(y,si),r(e,Na,o),r(e,zt,o),r(e,Ra,o),r(e,Kt,o),r(e,Ba,o),r(e,Wt,o),r(e,ja,o),r(e,Oa,o),r(e,Ga,o),r(e,Ut,o),r(e,qa,o),r(e,x,o),d(x,ye),d(ye,sn),g(Jt,sn,null),d(x,Bm),d(x,li),r(e,Ia,o),r(e,Qt,o),r(e,Fa,o),r(e,Vt,o),r(e,Da,o),r(e,za,o),r(e,Ka,o),r(e,Xt,o),r(e,Wa,o),r(e,$,o),d($,xe),d(xe,ln),g(Yt,ln,null),d($,jm),d($,ii),r(e,Ua,o),r(e,Zt,o),r(e,Ja,o),r(e,eo,o),r(e,Qa,o),r(e,to,o),r(e,Va,o),r(e,oo,o),r(e,Xa,o),r(e,Ya,o),r(e,Za,o),r(e,ro,o),r(e,ed,o),r(e,H,o),d(H,$e),d($e,nn),g(so,nn,null),d(H,Om),d(H,ni),r(e,td,o),r(e,lo,o),r(e,od,o),r(e,io,o),r(e,rd,o),r(e,no,o),r(e,sd,o),r(e,ld,o),r(e,id,o),r(e,ao,o),r(e,nd,o),r(e,A,o),d(A,He),d(He,an),g(co,an,null),d(A,Gm),d(A,ai),r(e,ad,o),r(e,po,o),r(e,dd,o),r(e,ho,o),r(e,cd,o),r(e,pd,o),r(e,hd,o),r(e,uo,o),r(e,ud,o),r(e,M,o),d(M,Ae),d(Ae,dn),g(go,dn,null),d(M,qm),d(M,di),r(e,gd,o),r(e,mo,o),r(e,md,o),r(e,fo,o),r(e,fd,o),r(e,vo,o),r(e,vd,o),r(e,_d,o),r(e,Ld,o),r(e,_o,o),r(e,bd,o),r(e,C,o),d(C,Me),d(Me,cn),g(Lo,cn,null),d(C,Im),d(C,ci),r(e,wd,o),r(e,bo,o),r(e,Td,o),r(e,wo,o),r(e,kd,o),r(e,To,o),r(e,Pd,o),r(e,yd,o),r(e,xd,o),r(e,ko,o),r(e,$d,o),r(e,S,o),d(S,Ce),d(Ce,pn),g(Po,pn,null),d(S,Fm),d(S,pi),r(e,Hd,o),r(e,yo,o),r(e,Ad,o),r(e,xo,o),r(e,Md,o),r(e,Cd,o),r(e,Sd,o),r(e,$o,o),r(e,Ed,o),r(e,E,o),d(E,Se),d(Se,hn),g(Ho,hn,null),d(E,Dm),d(E,hi),r(e,Nd,o),r(e,Ao,o),r(e,Rd,o),r(e,Mo,o),r(e,Bd,o),r(e,Co,o),r(e,jd,o),r(e,Od,o),r(e,Gd,o),r(e,So,o),r(e,qd,o),r(e,N,o),d(N,Ee),d(Ee,un),g(Eo,un,null),d(N,zm),d(N,ui),r(e,Id,o),r(e,No,o),r(e,Fd,o),r(e,Ro,o),r(e,Dd,o),r(e,Bo,o),r(e,zd,o),r(e,Kd,o),r(e,Wd,o),r(e,jo,o),r(e,Ud,o),r(e,R,o),d(R,Ne),d(Ne,gn),g(Oo,gn,null),d(R,Km),d(R,gi),r(e,Jd,o),r(e,Go,o),r(e,Qd,o),r(e,qo,o),r(e,Vd,o),r(e,Xd,o),r(e,Yd,o),r(e,Io,o),r(e,Zd,o),r(e,B,o),d(B,Re),d(Re,mn),g(Fo,mn,null),d(B,Wm),d(B,mi),r(e,ec,o),r(e,Do,o),r(e,tc,o),r(e,zo,o),r(e,oc,o),r(e,Ko,o),r(e,rc,o),r(e,sc,o),r(e,lc,o),r(e,Wo,o),r(e,ic,o),r(e,j,o),d(j,Be),d(Be,fn),g(Uo,fn,null),d(j,Um),d(j,fi),r(e,nc,o),r(e,Jo,o),r(e,ac,o),r(e,Qo,o),r(e,dc,o),r(e,Vo,o),r(e,cc,o),r(e,pc,o),r(e,hc,o),r(e,Xo,o),r(e,uc,o),r(e,O,o),d(O,je),d(je,vn),g(Yo,vn,null),d(O,Jm),d(O,vi),r(e,gc,o),r(e,Zo,o),r(e,mc,o),r(e,er,o),r(e,fc,o),r(e,vc,o),r(e,_c,o),r(e,tr,o),r(e,Lc,o),r(e,G,o),d(G,Oe),d(Oe,_n),g(or,_n,null),d(G,Qm),d(G,_i),r(e,bc,o),r(e,rr,o),r(e,wc,o),r(e,sr,o),r(e,Tc,o),r(e,lr,o),r(e,kc,o),r(e,Pc,o),r(e,yc,o),r(e,ir,o),r(e,xc,o),r(e,q,o),d(q,Ge),d(Ge,Ln),g(nr,Ln,null),d(q,Vm),d(q,Li),r(e,$c,o),r(e,ar,o),r(e,Hc,o),r(e,dr,o),r(e,Ac,o),r(e,cr,o),r(e,Mc,o),r(e,Cc,o),r(e,Sc,o),r(e,pr,o),r(e,Ec,o),r(e,I,o),d(I,qe),d(qe,bn),g(hr,bn,null),d(I,Xm),d(I,bi),r(e,Nc,o),r(e,ur,o),r(e,Rc,o),r(e,gr,o),r(e,Bc,o),r(e,jc,o),r(e,Oc,o),r(e,mr,o),r(e,Gc,o),r(e,F,o),d(F,Ie),d(Ie,wn),g(fr,wn,null),d(F,Ym),d(F,wi),r(e,qc,o),r(e,vr,o),r(e,Ic,o),r(e,_r,o),r(e,Fc,o),r(e,Lr,o),r(e,Dc,o),r(e,zc,o),r(e,Kc,o),r(e,br,o),r(e,Wc,o),r(e,D,o),d(D,Fe),d(Fe,Tn),g(wr,Tn,null),d(D,Zm),d(D,Ti),r(e,Uc,o),r(e,Tr,o),r(e,Jc,o),r(e,kr,o),r(e,Qc,o),r(e,Pr,o),r(e,Vc,o),r(e,Xc,o),r(e,Yc,o),r(e,yr,o),r(e,Zc,o),r(e,z,o),d(z,De),d(De,kn),g(xr,kn,null),d(z,ef),d(z,ki),r(e,ep,o),r(e,$r,o),r(e,tp,o),r(e,Hr,o),r(e,op,o),r(e,rp,o),r(e,sp,o),r(e,Ar,o),r(e,lp,o),r(e,K,o),d(K,ze),d(ze,Pn),g(Mr,Pn,null),d(K,tf),d(K,Pi),r(e,ip,o),r(e,Cr,o),r(e,np,o),r(e,Sr,o),r(e,ap,o),r(e,Er,o),r(e,dp,o),r(e,cp,o),r(e,pp,o),r(e,Nr,o),r(e,hp,o),r(e,W,o),d(W,Ke),d(Ke,yn),g(Rr,yn,null),d(W,of),d(W,yi),r(e,up,o),r(e,Br,o),r(e,gp,o),r(e,jr,o),r(e,mp,o),r(e,Or,o),r(e,fp,o),r(e,vp,o),r(e,_p,o),r(e,Gr,o),r(e,Lp,o),r(e,U,o),d(U,We),d(We,xn),g(qr,xn,null),d(U,rf),d(U,xi),r(e,bp,o),r(e,Ir,o),r(e,wp,o),r(e,Fr,o),r(e,Tp,o),r(e,Dr,o),r(e,kp,o),r(e,Pp,o),r(e,yp,o),r(e,zr,o),r(e,xp,o),r(e,J,o),d(J,Ue),d(Ue,$n),g(Kr,$n,null),d(J,sf),d(J,$i),r(e,$p,o),r(e,Wr,o),r(e,Hp,o),r(e,Ur,o),r(e,Ap,o),r(e,Jr,o),r(e,Mp,o),r(e,Cp,o),r(e,Sp,o),r(e,Qr,o),r(e,Ep,o),r(e,Q,o),d(Q,Je),d(Je,Hn),g(Vr,Hn,null),d(Q,lf),d(Q,Hi),r(e,Np,o),r(e,Xr,o),r(e,Rp,o),r(e,Yr,o),r(e,Bp,o),r(e,Zr,o),r(e,jp,o),r(e,Op,o),r(e,Gp,o),r(e,es,o),r(e,qp,o),r(e,V,o),d(V,Qe),d(Qe,An),g(ts,An,null),d(V,nf),d(V,Ai),r(e,Ip,o),r(e,os,o),r(e,Fp,o),r(e,rs,o),r(e,Dp,o),r(e,zp,o),r(e,Kp,o),r(e,ss,o),r(e,Wp,o),r(e,X,o),d(X,Ve),d(Ve,Mn),g(ls,Mn,null),d(X,af),d(X,Mi),r(e,Up,o),r(e,is,o),r(e,Jp,o),r(e,ns,o),r(e,Qp,o),r(e,as,o),r(e,Vp,o),r(e,Xp,o),r(e,Yp,o),r(e,ds,o),r(e,Zp,o),r(e,Y,o),d(Y,Xe),d(Xe,Cn),g(cs,Cn,null),d(Y,df),d(Y,Ci),r(e,eh,o),r(e,ps,o),r(e,th,o),r(e,hs,o),r(e,oh,o),r(e,us,o),r(e,rh,o),r(e,sh,o),r(e,lh,o),r(e,gs,o),r(e,ih,o),r(e,Z,o),d(Z,Ye),d(Ye,Sn),g(ms,Sn,null),d(Z,cf),d(Z,Si),r(e,nh,o),r(e,fs,o),r(e,ah,o),r(e,vs,o),r(e,dh,o),r(e,ch,o),r(e,ph,o),r(e,_s,o),r(e,hh,o),r(e,ee,o),d(ee,Ze),d(Ze,En),g(Ls,En,null),d(ee,pf),d(ee,Ei),r(e,uh,o),r(e,bs,o),r(e,gh,o),r(e,ws,o),r(e,mh,o),r(e,Ts,o),r(e,fh,o),r(e,vh,o),r(e,_h,o),r(e,ks,o),r(e,Lh,o),r(e,te,o),d(te,et),d(et,Nn),g(Ps,Nn,null),d(te,hf),d(te,Ni),r(e,bh,o),r(e,ys,o),r(e,wh,o),r(e,xs,o),r(e,Th,o),r(e,$s,o),r(e,kh,o),r(e,Ph,o),r(e,yh,o),r(e,Hs,o),r(e,xh,o),r(e,oe,o),d(oe,tt),d(tt,Rn),g(As,Rn,null),d(oe,uf),d(oe,Ri),r(e,$h,o),r(e,Ms,o),r(e,Hh,o),r(e,Cs,o),r(e,Ah,o),r(e,Mh,o),r(e,Ch,o),r(e,Ss,o),r(e,Sh,o),r(e,re,o),d(re,ot),d(ot,Bn),g(Es,Bn,null),d(re,gf),d(re,Bi),r(e,Eh,o),r(e,Ns,o),r(e,Nh,o),r(e,Rs,o),r(e,Rh,o),r(e,Bs,o),r(e,Bh,o),r(e,jh,o),r(e,Oh,o),r(e,js,o),r(e,Gh,o),r(e,se,o),d(se,rt),d(rt,jn),g(Os,jn,null),d(se,mf),d(se,ji),r(e,qh,o),r(e,Gs,o),r(e,Ih,o),r(e,qs,o),r(e,Fh,o),r(e,Dh,o),r(e,zh,o),r(e,Is,o),r(e,Kh,o),r(e,le,o),d(le,st),d(st,On),g(Fs,On,null),d(le,ff),d(le,Oi),r(e,Wh,o),r(e,Ds,o),r(e,Uh,o),r(e,zs,o),r(e,Jh,o),r(e,Qh,o),r(e,Vh,o),r(e,Ks,o),r(e,Xh,o),r(e,ie,o),d(ie,lt),d(lt,Gn),g(Ws,Gn,null),d(ie,vf),d(ie,Gi),r(e,Yh,o),r(e,Us,o),r(e,Zh,o),r(e,Js,o),r(e,eu,o),r(e,Qs,o),r(e,tu,o),r(e,ou,o),r(e,ru,o),r(e,Vs,o),r(e,su,o),r(e,ne,o),d(ne,it),d(it,qn),g(Xs,qn,null),d(ne,_f),d(ne,qi),r(e,lu,o),r(e,Ys,o),r(e,iu,o),r(e,Zs,o),r(e,nu,o),r(e,au,o),r(e,du,o),r(e,el,o),r(e,cu,o),r(e,ae,o),d(ae,nt),d(nt,In),g(tl,In,null),d(ae,Lf),d(ae,Ii),r(e,pu,o),r(e,ol,o),r(e,hu,o),r(e,rl,o),r(e,uu,o),r(e,sl,o),r(e,gu,o),r(e,mu,o),r(e,fu,o),r(e,ll,o),r(e,vu,o),r(e,de,o),d(de,at),d(at,Fn),g(il,Fn,null),d(de,bf),d(de,Fi),r(e,_u,o),r(e,nl,o),r(e,Lu,o),r(e,al,o),r(e,bu,o),r(e,dl,o),r(e,wu,o),r(e,cl,o),r(e,Tu,o),r(e,ku,o),r(e,Pu,o),r(e,pl,o),r(e,yu,o),r(e,ce,o),d(ce,dt),d(dt,Dn),g(hl,Dn,null),d(ce,wf),d(ce,Di),r(e,xu,o),r(e,ul,o),r(e,$u,o),r(e,gl,o),r(e,Hu,o),r(e,ml,o),r(e,Au,o),r(e,Mu,o),r(e,Cu,o),r(e,fl,o),r(e,Su,o),r(e,pe,o),d(pe,ct),d(ct,zn),g(vl,zn,null),d(pe,Tf),d(pe,zi),r(e,Eu,o),r(e,_l,o),r(e,Nu,o),r(e,Ll,o),r(e,Ru,o),r(e,bl,o),r(e,Bu,o),r(e,ju,o),r(e,Ou,o),r(e,wl,o),r(e,Gu,o),r(e,he,o),d(he,pt),d(pt,Kn),g(Tl,Kn,null),d(he,kf),d(he,Ki),r(e,qu,o),r(e,kl,o),r(e,Iu,o),r(e,Pl,o),r(e,Fu,o),r(e,yl,o),r(e,Du,o),r(e,zu,o),r(e,Ku,o),r(e,xl,o),r(e,Wu,o),r(e,ue,o),d(ue,ht),d(ht,Wn),g($l,Wn,null),d(ue,Pf),d(ue,Wi),r(e,Uu,o),r(e,Hl,o),r(e,Ju,o),r(e,Al,o),r(e,Qu,o),r(e,Vu,o),r(e,Xu,o),r(e,Ml,o),r(e,Yu,o),r(e,ge,o),d(ge,ut),d(ut,Un),g(Cl,Un,null),d(ge,yf),d(ge,Ui),r(e,Zu,o),r(e,Sl,o),r(e,eg,o),r(e,El,o),r(e,tg,o),r(e,Nl,o),r(e,og,o),r(e,rg,o),r(e,sg,o),r(e,Rl,o),r(e,lg,o),r(e,me,o),d(me,gt),d(gt,Jn),g(Bl,Jn,null),d(me,xf),d(me,Ji),r(e,ig,o),r(e,jl,o),r(e,ng,o),r(e,Ol,o),r(e,ag,o),r(e,dg,o),r(e,cg,o),r(e,Gl,o),r(e,pg,o),r(e,fe,o),d(fe,mt),d(mt,Qn),g(ql,Qn,null),d(fe,$f),d(fe,Qi),r(e,hg,o),r(e,Il,o),r(e,ug,o),r(e,Fl,o),r(e,gg,o),r(e,Dl,o),r(e,mg,o),r(e,fg,o),r(e,vg,o),r(e,zl,o),r(e,_g,o),r(e,ve,o),d(ve,ft),d(ft,Vn),g(Kl,Vn,null),d(ve,Hf),d(ve,Vi),r(e,Lg,o),r(e,Wl,o),r(e,bg,o),r(e,Ul,o),r(e,wg,o),r(e,Tg,o),r(e,kg,o),r(e,Jl,o),r(e,Pg,o),r(e,_e,o),d(_e,vt),d(vt,Xn),g(Ql,Xn,null),d(_e,Af),d(_e,Xi),r(e,yg,o),r(e,Vl,o),r(e,xg,o),r(e,Xl,o),r(e,$g,o),r(e,Yl,o),r(e,Hg,o),r(e,Ag,o),Mg=!0},p:pw,i(e){Mg||(m(Lt.$$.fragment,e),m(yt.$$.fragment,e),m(Mt.$$.fragment,e),m(Et.$$.fragment,e),m(Ot.$$.fragment,e),m(Dt.$$.fragment,e),m(Jt.$$.fragment,e),m(Yt.$$.fragment,e),m(so.$$.fragment,e),m(co.$$.fragment,e),m(go.$$.fragment,e),m(Lo.$$.fragment,e),m(Po.$$.fragment,e),m(Ho.$$.fragment,e),m(Eo.$$.fragment,e),m(Oo.$$.fragment,e),m(Fo.$$.fragment,e),m(Uo.$$.fragment,e),m(Yo.$$.fragment,e),m(or.$$.fragment,e),m(nr.$$.fragment,e),m(hr.$$.fragment,e),m(fr.$$.fragment,e),m(wr.$$.fragment,e),m(xr.$$.fragment,e),m(Mr.$$.fragment,e),m(Rr.$$.fragment,e),m(qr.$$.fragment,e),m(Kr.$$.fragment,e),m(Vr.$$.fragment,e),m(ts.$$.fragment,e),m(ls.$$.fragment,e),m(cs.$$.fragment,e),m(ms.$$.fragment,e),m(Ls.$$.fragment,e),m(Ps.$$.fragment,e),m(As.$$.fragment,e),m(Es.$$.fragment,e),m(Os.$$.fragment,e),m(Fs.$$.fragment,e),m(Ws.$$.fragment,e),m(Xs.$$.fragment,e),m(tl.$$.fragment,e),m(il.$$.fragment,e),m(hl.$$.fragment,e),m(vl.$$.fragment,e),m(Tl.$$.fragment,e),m($l.$$.fragment,e),m(Cl.$$.fragment,e),m(Bl.$$.fragment,e),m(ql.$$.fragment,e),m(Kl.$$.fragment,e),m(Ql.$$.fragment,e),Mg=!0)},o(e){f(Lt.$$.fragment,e),f(yt.$$.fragment,e),f(Mt.$$.fragment,e),f(Et.$$.fragment,e),f(Ot.$$.fragment,e),f(Dt.$$.fragment,e),f(Jt.$$.fragment,e),f(Yt.$$.fragment,e),f(so.$$.fragment,e),f(co.$$.fragment,e),f(go.$$.fragment,e),f(Lo.$$.fragment,e),f(Po.$$.fragment,e),f(Ho.$$.fragment,e),f(Eo.$$.fragment,e),f(Oo.$$.fragment,e),f(Fo.$$.fragment,e),f(Uo.$$.fragment,e),f(Yo.$$.fragment,e),f(or.$$.fragment,e),f(nr.$$.fragment,e),f(hr.$$.fragment,e),f(fr.$$.fragment,e),f(wr.$$.fragment,e),f(xr.$$.fragment,e),f(Mr.$$.fragment,e),f(Rr.$$.fragment,e),f(qr.$$.fragment,e),f(Kr.$$.fragment,e),f(Vr.$$.fragment,e),f(ts.$$.fragment,e),f(ls.$$.fragment,e),f(cs.$$.fragment,e),f(ms.$$.fragment,e),f(Ls.$$.fragment,e),f(Ps.$$.fragment,e),f(As.$$.fragment,e),f(Es.$$.fragment,e),f(Os.$$.fragment,e),f(Fs.$$.fragment,e),f(Ws.$$.fragment,e),f(Xs.$$.fragment,e),f(tl.$$.fragment,e),f(il.$$.fragment,e),f(hl.$$.fragment,e),f(vl.$$.fragment,e),f(Tl.$$.fragment,e),f($l.$$.fragment,e),f(Cl.$$.fragment,e),f(Bl.$$.fragment,e),f(ql.$$.fragment,e),f(Kl.$$.fragment,e),f(Ql.$$.fragment,e),Mg=!1},d(e){e&&(t(Yn),t(_t),t(Zn),t(b),t(ea),t(bt),t(ta),t(wt),t(oa),t(Tt),t(ra),t(kt),t(sa),t(la),t(ia),t(Pt),t(na),t(w),t(aa),t(xt),t(da),t($t),t(ca),t(Ht),t(pa),t(ha),t(ua),t(At),t(ga),t(T),t(ma),t(Ct),t(fa),t(va),t(_a),t(St),t(La),t(k),t(ba),t(Nt),t(wa),t(Rt),t(Ta),t(Bt),t(ka),t(Pa),t(ya),t(jt),t(xa),t(P),t($a),t(Gt),t(Ha),t(qt),t(Aa),t(It),t(Ma),t(Ca),t(Sa),t(Ft),t(Ea),t(y),t(Na),t(zt),t(Ra),t(Kt),t(Ba),t(Wt),t(ja),t(Oa),t(Ga),t(Ut),t(qa),t(x),t(Ia),t(Qt),t(Fa),t(Vt),t(Da),t(za),t(Ka),t(Xt),t(Wa),t($),t(Ua),t(Zt),t(Ja),t(eo),t(Qa),t(to),t(Va),t(oo),t(Xa),t(Ya),t(Za),t(ro),t(ed),t(H),t(td),t(lo),t(od),t(io),t(rd),t(no),t(sd),t(ld),t(id),t(ao),t(nd),t(A),t(ad),t(po),t(dd),t(ho),t(cd),t(pd),t(hd),t(uo),t(ud),t(M),t(gd),t(mo),t(md),t(fo),t(fd),t(vo),t(vd),t(_d),t(Ld),t(_o),t(bd),t(C),t(wd),t(bo),t(Td),t(wo),t(kd),t(To),t(Pd),t(yd),t(xd),t(ko),t($d),t(S),t(Hd),t(yo),t(Ad),t(xo),t(Md),t(Cd),t(Sd),t($o),t(Ed),t(E),t(Nd),t(Ao),t(Rd),t(Mo),t(Bd),t(Co),t(jd),t(Od),t(Gd),t(So),t(qd),t(N),t(Id),t(No),t(Fd),t(Ro),t(Dd),t(Bo),t(zd),t(Kd),t(Wd),t(jo),t(Ud),t(R),t(Jd),t(Go),t(Qd),t(qo),t(Vd),t(Xd),t(Yd),t(Io),t(Zd),t(B),t(ec),t(Do),t(tc),t(zo),t(oc),t(Ko),t(rc),t(sc),t(lc),t(Wo),t(ic),t(j),t(nc),t(Jo),t(ac),t(Qo),t(dc),t(Vo),t(cc),t(pc),t(hc),t(Xo),t(uc),t(O),t(gc),t(Zo),t(mc),t(er),t(fc),t(vc),t(_c),t(tr),t(Lc),t(G),t(bc),t(rr),t(wc),t(sr),t(Tc),t(lr),t(kc),t(Pc),t(yc),t(ir),t(xc),t(q),t($c),t(ar),t(Hc),t(dr),t(Ac),t(cr),t(Mc),t(Cc),t(Sc),t(pr),t(Ec),t(I),t(Nc),t(ur),t(Rc),t(gr),t(Bc),t(jc),t(Oc),t(mr),t(Gc),t(F),t(qc),t(vr),t(Ic),t(_r),t(Fc),t(Lr),t(Dc),t(zc),t(Kc),t(br),t(Wc),t(D),t(Uc),t(Tr),t(Jc),t(kr),t(Qc),t(Pr),t(Vc),t(Xc),t(Yc),t(yr),t(Zc),t(z),t(ep),t($r),t(tp),t(Hr),t(op),t(rp),t(sp),t(Ar),t(lp),t(K),t(ip),t(Cr),t(np),t(Sr),t(ap),t(Er),t(dp),t(cp),t(pp),t(Nr),t(hp),t(W),t(up),t(Br),t(gp),t(jr),t(mp),t(Or),t(fp),t(vp),t(_p),t(Gr),t(Lp),t(U),t(bp),t(Ir),t(wp),t(Fr),t(Tp),t(Dr),t(kp),t(Pp),t(yp),t(zr),t(xp),t(J),t($p),t(Wr),t(Hp),t(Ur),t(Ap),t(Jr),t(Mp),t(Cp),t(Sp),t(Qr),t(Ep),t(Q),t(Np),t(Xr),t(Rp),t(Yr),t(Bp),t(Zr),t(jp),t(Op),t(Gp),t(es),t(qp),t(V),t(Ip),t(os),t(Fp),t(rs),t(Dp),t(zp),t(Kp),t(ss),t(Wp),t(X),t(Up),t(is),t(Jp),t(ns),t(Qp),t(as),t(Vp),t(Xp),t(Yp),t(ds),t(Zp),t(Y),t(eh),t(ps),t(th),t(hs),t(oh),t(us),t(rh),t(sh),t(lh),t(gs),t(ih),t(Z),t(nh),t(fs),t(ah),t(vs),t(dh),t(ch),t(ph),t(_s),t(hh),t(ee),t(uh),t(bs),t(gh),t(ws),t(mh),t(Ts),t(fh),t(vh),t(_h),t(ks),t(Lh),t(te),t(bh),t(ys),t(wh),t(xs),t(Th),t($s),t(kh),t(Ph),t(yh),t(Hs),t(xh),t(oe),t($h),t(Ms),t(Hh),t(Cs),t(Ah),t(Mh),t(Ch),t(Ss),t(Sh),t(re),t(Eh),t(Ns),t(Nh),t(Rs),t(Rh),t(Bs),t(Bh),t(jh),t(Oh),t(js),t(Gh),t(se),t(qh),t(Gs),t(Ih),t(qs),t(Fh),t(Dh),t(zh),t(Is),t(Kh),t(le),t(Wh),t(Ds),t(Uh),t(zs),t(Jh),t(Qh),t(Vh),t(Ks),t(Xh),t(ie),t(Yh),t(Us),t(Zh),t(Js),t(eu),t(Qs),t(tu),t(ou),t(ru),t(Vs),t(su),t(ne),t(lu),t(Ys),t(iu),t(Zs),t(nu),t(au),t(du),t(el),t(cu),t(ae),t(pu),t(ol),t(hu),t(rl),t(uu),t(sl),t(gu),t(mu),t(fu),t(ll),t(vu),t(de),t(_u),t(nl),t(Lu),t(al),t(bu),t(dl),t(wu),t(cl),t(Tu),t(ku),t(Pu),t(pl),t(yu),t(ce),t(xu),t(ul),t($u),t(gl),t(Hu),t(ml),t(Au),t(Mu),t(Cu),t(fl),t(Su),t(pe),t(Eu),t(_l),t(Nu),t(Ll),t(Ru),t(bl),t(Bu),t(ju),t(Ou),t(wl),t(Gu),t(he),t(qu),t(kl),t(Iu),t(Pl),t(Fu),t(yl),t(Du),t(zu),t(Ku),t(xl),t(Wu),t(ue),t(Uu),t(Hl),t(Ju),t(Al),t(Qu),t(Vu),t(Xu),t(Ml),t(Yu),t(ge),t(Zu),t(Sl),t(eg),t(El),t(tg),t(Nl),t(og),t(rg),t(sg),t(Rl),t(lg),t(me),t(ig),t(jl),t(ng),t(Ol),t(ag),t(dg),t(cg),t(Gl),t(pg),t(fe),t(hg),t(Il),t(ug),t(Fl),t(gg),t(Dl),t(mg),t(fg),t(vg),t(zl),t(_g),t(ve),t(Lg),t(Wl),t(bg),t(Ul),t(wg),t(Tg),t(kg),t(Jl),t(Pg),t(_e),t(yg),t(Vl),t(xg),t(Xl),t($g),t(Yl),t(Hg),t(Ag)),t(L),v(Lt),v(yt),v(Mt),v(Et),v(Ot),v(Dt),v(Jt),v(Yt),v(so),v(co),v(go),v(Lo),v(Po),v(Ho),v(Eo),v(Oo),v(Fo),v(Uo),v(Yo),v(or),v(nr),v(hr),v(fr),v(wr),v(xr),v(Mr),v(Rr),v(qr),v(Kr),v(Vr),v(ts),v(ls),v(cs),v(ms),v(Ls),v(Ps),v(As),v(Es),v(Os),v(Fs),v(Ws),v(Xs),v(tl),v(il),v(hl),v(vl),v(Tl),v($l),v(Cl),v(Bl),v(ql),v(Kl),v(Ql)}}}const vw={local:"utilsgeneration",sections:[{local:"utilsgenerationlogitsprocessorlist-codecallablecode",sections:[{local:"new-logitsprocessorlist",title:"`new LogitsProcessorList()`"},{local:"logitsprocessorlistpushitem",title:"`logitsProcessorList.push(item)`"},{local:"logitsprocessorlistextenditems",title:"`logitsProcessorList.extend(items)`"},{local:"logitsprocessorlistcallinputids-batchedlogits",title:"`logitsProcessorList._call(input_ids, batchedLogits)`"}],title:"utils/generation.LogitsProcessorList ⇐ <code>Callable</code>"},{local:"utilsgenerationlogitsprocessor-codecallablecode",sections:[{local:"logitsprocessorcallinputids-logits",title:"*`logitsProcessor._call(input_ids, logits)`*"}],title:"utils/generation.LogitsProcessor ⇐ <code>Callable</code>"},{local:"utilsgenerationforcetokenslogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-forcetokenslogitsprocessorforceddecoderids",title:"`new ForceTokensLogitsProcessor(forced_decoder_ids)`"},{local:"forcetokenslogitsprocessorcallinputids-logits-codetensorcode",title:"`forceTokensLogitsProcessor._call(input_ids, logits)` ⇒ <code>Tensor</code>"}],title:"utils/generation.ForceTokensLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationforcedbostokenlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-forcedbostokenlogitsprocessorbostokenid",title:"`new ForcedBOSTokenLogitsProcessor(bos_token_id)`"},{local:"forcedbostokenlogitsprocessorcallinputids-logits-codeobjectcode",title:"`forcedBOSTokenLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.ForcedBOSTokenLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationforcedeostokenlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-forcedeostokenlogitsprocessormaxlength-forcedeostokenid",title:"`new ForcedEOSTokenLogitsProcessor(max_length, forced_eos_token_id)`"},{local:"forcedeostokenlogitsprocessorcallinputids-logits",title:"`forcedEOSTokenLogitsProcessor._call(input_ids, logits)`"}],title:"utils/generation.ForcedEOSTokenLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationsuppresstokensatbeginlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-suppresstokensatbeginlogitsprocessorbeginsuppresstokens-beginindex",title:"`new SuppressTokensAtBeginLogitsProcessor(begin_suppress_tokens, begin_index)`"},{local:"suppresstokensatbeginlogitsprocessorcallinputids-logits-codeobjectcode",title:"`suppressTokensAtBeginLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.SuppressTokensAtBeginLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationwhispertimestamplogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-whispertimestamplogitsprocessorgenerateconfig",title:"`new WhisperTimeStampLogitsProcessor(generate_config)`"},{local:"whispertimestamplogitsprocessorcallinputids-logits-codetensorcode",title:"`whisperTimeStampLogitsProcessor._call(input_ids, logits)` ⇒ <code>Tensor</code>"}],title:"utils/generation.WhisperTimeStampLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationnorepeatngramlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-norepeatngramlogitsprocessornorepeatngramsize",title:"`new NoRepeatNGramLogitsProcessor(no_repeat_ngram_size)`"},{local:"norepeatngramlogitsprocessorgetngramsprevinputids-codemapampltstring-arrayampltnumberampgtampgtcode",title:"`noRepeatNGramLogitsProcessor.getNgrams(prevInputIds)` ⇒ <code>Map.&lt;string, Array&lt;number&gt;&gt;</code>"},{local:"norepeatngramlogitsprocessorgetgeneratedngramsbannedngrams-previnputids-codearrayampltnumberampgtcode",title:"`noRepeatNGramLogitsProcessor.getGeneratedNgrams(bannedNgrams, prevInputIds)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"norepeatngramlogitsprocessorcalcbannedngramtokensprevinputids-codearrayampltnumberampgtcode",title:"`noRepeatNGramLogitsProcessor.calcBannedNgramTokens(prevInputIds)` ⇒ <code>Array.&lt;number&gt;</code>"},{local:"norepeatngramlogitsprocessorcallinputids-logits-codeobjectcode",title:"`noRepeatNGramLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.NoRepeatNGramLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationrepetitionpenaltylogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-repetitionpenaltylogitsprocessorpenalty",title:"`new RepetitionPenaltyLogitsProcessor(penalty)`"},{local:"repetitionpenaltylogitsprocessorcallinputids-logits-codeobjectcode",title:"`repetitionPenaltyLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.RepetitionPenaltyLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationminlengthlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-minlengthlogitsprocessorminlength-eostokenid",title:"`new MinLengthLogitsProcessor(min_length, eos_token_id)`"},{local:"minlengthlogitsprocessorcallinputids-logits-codeobjectcode",title:"`minLengthLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.MinLengthLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationminnewtokenslengthlogitsprocessor-codelogitsprocessorcode",sections:[{local:"new-minnewtokenslengthlogitsprocessorpromptlengthtoskip-minnewtokens-eostokenid",title:"`new MinNewTokensLengthLogitsProcessor(prompt_length_to_skip, min_new_tokens, eos_token_id)`"},{local:"minnewtokenslengthlogitsprocessorcallinputids-logits-codeobjectcode",title:"`minNewTokensLengthLogitsProcessor._call(input_ids, logits)` ⇒ <code>Object</code>"}],title:"utils/generation.MinNewTokensLengthLogitsProcessor ⇐ <code>LogitsProcessor</code>"},{local:"utilsgenerationgenerationconfig",sections:[{local:"new-generationconfigkwargs",title:"`new GenerationConfig([kwargs])`"}],title:"utils/generation.GenerationConfig"},{local:"utilsgenerationsampler",sections:[{local:"new-samplergenerationconfig",title:"`new Sampler(generation_config)`"},{local:"samplercalllogits-index-codevoidcode",title:"`sampler._call(logits, index)` ⇒ <code>void</code>"},{local:"samplersamplelogits-index",title:"`sampler.sample(logits, index)`"},{local:"samplergetlogitslogits-index-codearraycode",title:"`sampler.getLogits(logits, index)` ⇒ <code>Array</code>"},{local:"samplerrandomselectprobabilities-codenumbercode",title:"`sampler.randomSelect(probabilities)` ⇒ <code>number</code>"},{local:"samplergetsamplergenerationconfig-codesamplercode",title:"`Sampler.getSampler(generation_config)` ⇒ <code>Sampler</code>"}],title:"utils/generation.Sampler"},{local:"utilsgenerationgreedysampler-codesamplercode",sections:[{local:"greedysamplersamplelogits-index-codearraycode",title:"`greedySampler.sample(logits, [index])` ⇒ <code>Array</code>"}],title:"utils/generation~GreedySampler ⇐ <code>Sampler</code>"},{local:"utilsgenerationmultinomialsampler-codesamplercode",sections:[{local:"multinomialsamplersamplelogits-index-codearraycode",title:"`multinomialSampler.sample(logits, index)` ⇒ <code>Array</code>"}],title:"utils/generation~MultinomialSampler ⇐ <code>Sampler</code>"},{local:"utilsgenerationbeamsearchsampler-codesamplercode",sections:[{local:"beamsearchsamplersamplelogits-index-codearraycode",title:"`beamSearchSampler.sample(logits, index)` ⇒ <code>Array</code>"}],title:"utils/generation~BeamSearchSampler ⇐ <code>Sampler</code>"}],title:"utils/generation"};function _w(Mf){return hw(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tw extends uw{constructor(L){super(),gw(this,L,_w,fw,cw,{})}}export{Tw as component};
