import{s as qo,n as Jo,o as Oo}from"../chunks/scheduler.b108d059.js";import{S as Do,i as Zo,g as i,s as r,p as c,A as Go,h as o,f as t,c as d,j as h,q as u,m,k as n,v as s,a as l,r as p,d as g,t as w,u as f}from"../chunks/index.505cd174.js";import{I as v}from"../chunks/IconCopyLink.74cd415a.js";import{C as Wo}from"../chunks/CodeBlock.35457548.js";function Qo(mi){let _,Kt,Q,qt,R,N,Ht,V,Ql,ct,ci="utils/image",Jt,F,ui="Helper module for image processing.",Ot,X,pi=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Dt,ee,gi='<li><a href="#module_utils/image">utils/image</a><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+_update"><code>._update(data, width, height, channels)</code></a></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li></ul></li>',Zt,Gt,Wt,te,Qt,b,S,Ct,ae,Vl,ut,wi="utils/image.RawImage",Vt,le,fi='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',Ft,ie,vi='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+_update"><code>._update(data, width, height, channels)</code></a></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li>',Xt,ea,ta,oe,aa,I,j,Lt,re,Fl,pt,_i="<code>new RawImage(data, width, height, channels)</code>",la,de,Ri="Create a new <code>RawImage</code> object.",ia,ne,bi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",oa,ra,da,se,na,T,U,Pt,he,Xl,gt,Ii="<code>rawImage._CONTENT_TYPE_MAP</code>",sa,me,Ti="Mapping from file extensions to MIME types.",ha,ce,$i='<strong>Kind</strong>: instance property of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',ma,ca,ua,ue,pa,$,z,Mt,pe,ei,wt,yi="<code>rawImage.grayscale()</code> ⇒ <code>RawImage</code>",ga,ge,xi="Convert the image to grayscale format.",wa,we,Hi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',fa,va,_a,fe,Ra,y,B,Et,ve,ti,ft,Ci="<code>rawImage.rgb()</code> ⇒ <code>RawImage</code>",ba,_e,Li="Convert the image to RGB format.",Ia,Re,Pi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Ta,$a,ya,be,xa,x,Y,At,Ie,ai,vt,Mi="<code>rawImage.rgba()</code> ⇒ <code>RawImage</code>",Ha,Te,Ei="Convert the image to RGBA format.",Ca,$e,Ai='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',La,Pa,Ma,ye,Ea,H,K,kt,xe,li,_t,ki="<code>rawImage.resize(width, height, options)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",Aa,He,Ni="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",ka,Ce,Si='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',Na,Le,ji="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",Sa,ja,Ua,Pe,za,C,q,Nt,Me,ii,Rt,Ui="<code>rawImage._update(data, width, height, channels)</code>",Ba,Ee,zi="Helper method to update the image data.",Ya,Ae,Bi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',Ka,ke,Yi="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td></td><td><p>The new image data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td></td><td><p>The new width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td></td><td><p>The new height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><code></code></td><td><p>The new number of channels of the image.</p></td></tr></tbody>",qa,Ja,Oa,Ne,Da,L,J,St,Se,oi,bt,Ki="<code>rawImage.clone()</code> ⇒ <code>RawImage</code>",Za,je,qi="Clone the image",Ga,Ue,Ji='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',Wa,Qa,Va,ze,Fa,P,O,jt,Be,ri,It,Oi="<code>rawImage.convert(numChannels)</code> ⇒ <code>RawImage</code>",Xa,Ye,Di="Helper method for converting image to have a certain number of channels",el,Ke,Zi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',tl,qe,Gi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",al,ll,il,Je,ol,M,D,Ut,Oe,di,Tt,Wi="<code>rawImage.save(path)</code>",rl,De,Qi="Save the image to the given path.",dl,Ze,Vi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',nl,Ge,Fi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",sl,hl,ml,We,cl,E,Z,zt,Qe,ni,$t,Xi="<code>RawImage.read(input)</code> ⇒ <code>*</code>",ul,Ve,eo="Helper method for reading an image from a variety of input types.",pl,Fe,to='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',gl,Xe,ao="<strong>Example:</strong> Read image from a URL.",wl,et,fl,tt,lo="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",vl,_l,Rl,at,bl,A,G,Bt,lt,si,yt,io="<code>RawImage.fromURL(url)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",Il,it,oo="Read an image from a URL or file path.",Tl,ot,ro='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',$l,rt,no="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",yl,xl,Hl,dt,Cl,k,W,Yt,nt,hi,xt,so="<code>RawImage.fromBlob(blob)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",Ll,st,ho="Helper method to create a new Image from a blob.",Pl,ht,mo='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',Ml,mt,co="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",El,Al,kl;return V=new v({}),ae=new v({}),re=new v({}),he=new v({}),pe=new v({}),ve=new v({}),Ie=new v({}),xe=new v({}),Me=new v({}),Se=new v({}),Be=new v({}),Oe=new v({}),Qe=new v({}),et=new Wo({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMHRlc3QlMjA=",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/main/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// test </span>`}}),lt=new v({}),nt=new v({}),{c(){_=i("meta"),Kt=r(),Q=i("a"),qt=r(),R=i("h1"),N=i("a"),Ht=i("span"),c(V.$$.fragment),Ql=r(),ct=i("span"),ct.textContent=ci,Jt=r(),F=i("p"),F.textContent=ui,Ot=r(),X=i("p"),X.textContent=pi,Dt=r(),ee=i("ul"),ee.innerHTML=gi,Zt=r(),Gt=i("hr"),Wt=r(),te=i("a"),Qt=r(),b=i("h2"),S=i("a"),Ct=i("span"),c(ae.$$.fragment),Vl=r(),ut=i("span"),ut.textContent=wi,Vt=r(),le=i("p"),le.innerHTML=fi,Ft=r(),ie=i("ul"),ie.innerHTML=vi,Xt=r(),ea=i("hr"),ta=r(),oe=i("a"),aa=r(),I=i("h3"),j=i("a"),Lt=i("span"),c(re.$$.fragment),Fl=r(),pt=i("span"),pt.innerHTML=_i,la=r(),de=i("p"),de.innerHTML=Ri,ia=r(),ne=i("table"),ne.innerHTML=bi,oa=r(),ra=i("hr"),da=r(),se=i("a"),na=r(),T=i("h3"),U=i("a"),Pt=i("span"),c(he.$$.fragment),Xl=r(),gt=i("span"),gt.innerHTML=Ii,sa=r(),me=i("p"),me.textContent=Ti,ha=r(),ce=i("p"),ce.innerHTML=$i,ma=r(),ca=i("hr"),ua=r(),ue=i("a"),pa=r(),$=i("h3"),z=i("a"),Mt=i("span"),c(pe.$$.fragment),ei=r(),wt=i("span"),wt.innerHTML=yi,ga=r(),ge=i("p"),ge.textContent=xi,wa=r(),we=i("p"),we.innerHTML=Hi,fa=r(),va=i("hr"),_a=r(),fe=i("a"),Ra=r(),y=i("h3"),B=i("a"),Et=i("span"),c(ve.$$.fragment),ti=r(),ft=i("span"),ft.innerHTML=Ci,ba=r(),_e=i("p"),_e.textContent=Li,Ia=r(),Re=i("p"),Re.innerHTML=Pi,Ta=r(),$a=i("hr"),ya=r(),be=i("a"),xa=r(),x=i("h3"),Y=i("a"),At=i("span"),c(Ie.$$.fragment),ai=r(),vt=i("span"),vt.innerHTML=Mi,Ha=r(),Te=i("p"),Te.textContent=Ei,Ca=r(),$e=i("p"),$e.innerHTML=Ai,La=r(),Pa=i("hr"),Ma=r(),ye=i("a"),Ea=r(),H=i("h3"),K=i("a"),kt=i("span"),c(xe.$$.fragment),li=r(),_t=i("span"),_t.innerHTML=ki,Aa=r(),He=i("p"),He.textContent=Ni,ka=r(),Ce=i("p"),Ce.innerHTML=Si,Na=r(),Le=i("table"),Le.innerHTML=ji,Sa=r(),ja=i("hr"),Ua=r(),Pe=i("a"),za=r(),C=i("h3"),q=i("a"),Nt=i("span"),c(Me.$$.fragment),ii=r(),Rt=i("span"),Rt.innerHTML=Ui,Ba=r(),Ee=i("p"),Ee.textContent=zi,Ya=r(),Ae=i("p"),Ae.innerHTML=Bi,Ka=r(),ke=i("table"),ke.innerHTML=Yi,qa=r(),Ja=i("hr"),Oa=r(),Ne=i("a"),Da=r(),L=i("h3"),J=i("a"),St=i("span"),c(Se.$$.fragment),oi=r(),bt=i("span"),bt.innerHTML=Ki,Za=r(),je=i("p"),je.textContent=qi,Ga=r(),Ue=i("p"),Ue.innerHTML=Ji,Wa=r(),Qa=i("hr"),Va=r(),ze=i("a"),Fa=r(),P=i("h3"),O=i("a"),jt=i("span"),c(Be.$$.fragment),ri=r(),It=i("span"),It.innerHTML=Oi,Xa=r(),Ye=i("p"),Ye.textContent=Di,el=r(),Ke=i("p"),Ke.innerHTML=Zi,tl=r(),qe=i("table"),qe.innerHTML=Gi,al=r(),ll=i("hr"),il=r(),Je=i("a"),ol=r(),M=i("h3"),D=i("a"),Ut=i("span"),c(Oe.$$.fragment),di=r(),Tt=i("span"),Tt.innerHTML=Wi,rl=r(),De=i("p"),De.textContent=Qi,dl=r(),Ze=i("p"),Ze.innerHTML=Vi,nl=r(),Ge=i("table"),Ge.innerHTML=Fi,sl=r(),hl=i("hr"),ml=r(),We=i("a"),cl=r(),E=i("h3"),Z=i("a"),zt=i("span"),c(Qe.$$.fragment),ni=r(),$t=i("span"),$t.innerHTML=Xi,ul=r(),Ve=i("p"),Ve.textContent=eo,pl=r(),Fe=i("p"),Fe.innerHTML=to,gl=r(),Xe=i("p"),Xe.innerHTML=ao,wl=r(),c(et.$$.fragment),fl=r(),tt=i("table"),tt.innerHTML=lo,vl=r(),_l=i("hr"),Rl=r(),at=i("a"),bl=r(),A=i("h3"),G=i("a"),Bt=i("span"),c(lt.$$.fragment),si=r(),yt=i("span"),yt.innerHTML=io,Il=r(),it=i("p"),it.textContent=oo,Tl=r(),ot=i("p"),ot.innerHTML=ro,$l=r(),rt=i("table"),rt.innerHTML=no,yl=r(),xl=i("hr"),Hl=r(),dt=i("a"),Cl=r(),k=i("h3"),W=i("a"),Yt=i("span"),c(nt.$$.fragment),hi=r(),xt=i("span"),xt.innerHTML=so,Ll=r(),st=i("p"),st.textContent=ho,Pl=r(),ht=i("p"),ht.innerHTML=mo,Ml=r(),mt=i("table"),mt.innerHTML=co,El=r(),Al=i("hr"),this.h()},l(e){const a=Go("svelte-1phssyn",document.head);_=o(a,"META",{name:!0,content:!0}),a.forEach(t),Kt=d(e),Q=o(e,"A",{id:!0,class:!0}),h(Q).forEach(t),qt=d(e),R=o(e,"H1",{class:!0});var Nl=h(R);N=o(Nl,"A",{id:!0,class:!0,href:!0});var uo=h(N);Ht=o(uo,"SPAN",{});var po=h(Ht);u(V.$$.fragment,po),po.forEach(t),uo.forEach(t),Ql=d(Nl),ct=o(Nl,"SPAN",{"data-svelte-h":!0}),m(ct)!=="svelte-xi6wf4"&&(ct.textContent=ci),Nl.forEach(t),Jt=d(e),F=o(e,"P",{"data-svelte-h":!0}),m(F)!=="svelte-18hbqrt"&&(F.textContent=ui),Ot=d(e),X=o(e,"P",{"data-svelte-h":!0}),m(X)!=="svelte-il3kl8"&&(X.textContent=pi),Dt=d(e),ee=o(e,"UL",{"data-svelte-h":!0}),m(ee)!=="svelte-bd6d86"&&(ee.innerHTML=gi),Zt=d(e),Gt=o(e,"HR",{}),Wt=d(e),te=o(e,"A",{id:!0,class:!0}),h(te).forEach(t),Qt=d(e),b=o(e,"H2",{class:!0});var Sl=h(b);S=o(Sl,"A",{id:!0,class:!0,href:!0});var go=h(S);Ct=o(go,"SPAN",{});var wo=h(Ct);u(ae.$$.fragment,wo),wo.forEach(t),go.forEach(t),Vl=d(Sl),ut=o(Sl,"SPAN",{"data-svelte-h":!0}),m(ut)!=="svelte-1fbdmyh"&&(ut.textContent=wi),Sl.forEach(t),Vt=d(e),le=o(e,"P",{"data-svelte-h":!0}),m(le)!=="svelte-f7iksk"&&(le.innerHTML=fi),Ft=d(e),ie=o(e,"UL",{"data-svelte-h":!0}),m(ie)!=="svelte-15y11mv"&&(ie.innerHTML=vi),Xt=d(e),ea=o(e,"HR",{}),ta=d(e),oe=o(e,"A",{id:!0,class:!0}),h(oe).forEach(t),aa=d(e),I=o(e,"H3",{class:!0});var jl=h(I);j=o(jl,"A",{id:!0,class:!0,href:!0});var fo=h(j);Lt=o(fo,"SPAN",{});var vo=h(Lt);u(re.$$.fragment,vo),vo.forEach(t),fo.forEach(t),Fl=d(jl),pt=o(jl,"SPAN",{"data-svelte-h":!0}),m(pt)!=="svelte-gto965"&&(pt.innerHTML=_i),jl.forEach(t),la=d(e),de=o(e,"P",{"data-svelte-h":!0}),m(de)!=="svelte-36fe9a"&&(de.innerHTML=Ri),ia=d(e),ne=o(e,"TABLE",{"data-svelte-h":!0}),m(ne)!=="svelte-17p0s1v"&&(ne.innerHTML=bi),oa=d(e),ra=o(e,"HR",{}),da=d(e),se=o(e,"A",{id:!0,class:!0}),h(se).forEach(t),na=d(e),T=o(e,"H3",{class:!0});var Ul=h(T);U=o(Ul,"A",{id:!0,class:!0,href:!0});var _o=h(U);Pt=o(_o,"SPAN",{});var Ro=h(Pt);u(he.$$.fragment,Ro),Ro.forEach(t),_o.forEach(t),Xl=d(Ul),gt=o(Ul,"SPAN",{"data-svelte-h":!0}),m(gt)!=="svelte-l7itwn"&&(gt.innerHTML=Ii),Ul.forEach(t),sa=d(e),me=o(e,"P",{"data-svelte-h":!0}),m(me)!=="svelte-15u13r6"&&(me.textContent=Ti),ha=d(e),ce=o(e,"P",{"data-svelte-h":!0}),m(ce)!=="svelte-x6zkun"&&(ce.innerHTML=$i),ma=d(e),ca=o(e,"HR",{}),ua=d(e),ue=o(e,"A",{id:!0,class:!0}),h(ue).forEach(t),pa=d(e),$=o(e,"H3",{class:!0});var zl=h($);z=o(zl,"A",{id:!0,class:!0,href:!0});var bo=h(z);Mt=o(bo,"SPAN",{});var Io=h(Mt);u(pe.$$.fragment,Io),Io.forEach(t),bo.forEach(t),ei=d(zl),wt=o(zl,"SPAN",{"data-svelte-h":!0}),m(wt)!=="svelte-17j17vj"&&(wt.innerHTML=yi),zl.forEach(t),ga=d(e),ge=o(e,"P",{"data-svelte-h":!0}),m(ge)!=="svelte-1owjjfe"&&(ge.textContent=xi),wa=d(e),we=o(e,"P",{"data-svelte-h":!0}),m(we)!=="svelte-11e9r18"&&(we.innerHTML=Hi),fa=d(e),va=o(e,"HR",{}),_a=d(e),fe=o(e,"A",{id:!0,class:!0}),h(fe).forEach(t),Ra=d(e),y=o(e,"H3",{class:!0});var Bl=h(y);B=o(Bl,"A",{id:!0,class:!0,href:!0});var To=h(B);Et=o(To,"SPAN",{});var $o=h(Et);u(ve.$$.fragment,$o),$o.forEach(t),To.forEach(t),ti=d(Bl),ft=o(Bl,"SPAN",{"data-svelte-h":!0}),m(ft)!=="svelte-iok7d3"&&(ft.innerHTML=Ci),Bl.forEach(t),ba=d(e),_e=o(e,"P",{"data-svelte-h":!0}),m(_e)!=="svelte-qyo04e"&&(_e.textContent=Li),Ia=d(e),Re=o(e,"P",{"data-svelte-h":!0}),m(Re)!=="svelte-11e9r18"&&(Re.innerHTML=Pi),Ta=d(e),$a=o(e,"HR",{}),ya=d(e),be=o(e,"A",{id:!0,class:!0}),h(be).forEach(t),xa=d(e),x=o(e,"H3",{class:!0});var Yl=h(x);Y=o(Yl,"A",{id:!0,class:!0,href:!0});var yo=h(Y);At=o(yo,"SPAN",{});var xo=h(At);u(Ie.$$.fragment,xo),xo.forEach(t),yo.forEach(t),ai=d(Yl),vt=o(Yl,"SPAN",{"data-svelte-h":!0}),m(vt)!=="svelte-1t6d6eg"&&(vt.innerHTML=Mi),Yl.forEach(t),Ha=d(e),Te=o(e,"P",{"data-svelte-h":!0}),m(Te)!=="svelte-19kp14j"&&(Te.textContent=Ei),Ca=d(e),$e=o(e,"P",{"data-svelte-h":!0}),m($e)!=="svelte-11e9r18"&&($e.innerHTML=Ai),La=d(e),Pa=o(e,"HR",{}),Ma=d(e),ye=o(e,"A",{id:!0,class:!0}),h(ye).forEach(t),Ea=d(e),H=o(e,"H3",{class:!0});var Kl=h(H);K=o(Kl,"A",{id:!0,class:!0,href:!0});var Ho=h(K);kt=o(Ho,"SPAN",{});var Co=h(kt);u(xe.$$.fragment,Co),Co.forEach(t),Ho.forEach(t),li=d(Kl),_t=o(Kl,"SPAN",{"data-svelte-h":!0}),m(_t)!=="svelte-1yrurj"&&(_t.innerHTML=ki),Kl.forEach(t),Aa=d(e),He=o(e,"P",{"data-svelte-h":!0}),m(He)!=="svelte-s4dm9o"&&(He.textContent=Ni),ka=d(e),Ce=o(e,"P",{"data-svelte-h":!0}),m(Ce)!=="svelte-ovn1mw"&&(Ce.innerHTML=Si),Na=d(e),Le=o(e,"TABLE",{"data-svelte-h":!0}),m(Le)!=="svelte-ya0vko"&&(Le.innerHTML=ji),Sa=d(e),ja=o(e,"HR",{}),Ua=d(e),Pe=o(e,"A",{id:!0,class:!0}),h(Pe).forEach(t),za=d(e),C=o(e,"H3",{class:!0});var ql=h(C);q=o(ql,"A",{id:!0,class:!0,href:!0});var Lo=h(q);Nt=o(Lo,"SPAN",{});var Po=h(Nt);u(Me.$$.fragment,Po),Po.forEach(t),Lo.forEach(t),ii=d(ql),Rt=o(ql,"SPAN",{"data-svelte-h":!0}),m(Rt)!=="svelte-199uigl"&&(Rt.innerHTML=Ui),ql.forEach(t),Ba=d(e),Ee=o(e,"P",{"data-svelte-h":!0}),m(Ee)!=="svelte-wvdedj"&&(Ee.textContent=zi),Ya=d(e),Ae=o(e,"P",{"data-svelte-h":!0}),m(Ae)!=="svelte-1epyezb"&&(Ae.innerHTML=Bi),Ka=d(e),ke=o(e,"TABLE",{"data-svelte-h":!0}),m(ke)!=="svelte-1oiztfu"&&(ke.innerHTML=Yi),qa=d(e),Ja=o(e,"HR",{}),Oa=d(e),Ne=o(e,"A",{id:!0,class:!0}),h(Ne).forEach(t),Da=d(e),L=o(e,"H3",{class:!0});var Jl=h(L);J=o(Jl,"A",{id:!0,class:!0,href:!0});var Mo=h(J);St=o(Mo,"SPAN",{});var Eo=h(St);u(Se.$$.fragment,Eo),Eo.forEach(t),Mo.forEach(t),oi=d(Jl),bt=o(Jl,"SPAN",{"data-svelte-h":!0}),m(bt)!=="svelte-s7b001"&&(bt.innerHTML=Ki),Jl.forEach(t),Za=d(e),je=o(e,"P",{"data-svelte-h":!0}),m(je)!=="svelte-1eu6jk3"&&(je.textContent=qi),Ga=d(e),Ue=o(e,"P",{"data-svelte-h":!0}),m(Ue)!=="svelte-1w4hta5"&&(Ue.innerHTML=Ji),Wa=d(e),Qa=o(e,"HR",{}),Va=d(e),ze=o(e,"A",{id:!0,class:!0}),h(ze).forEach(t),Fa=d(e),P=o(e,"H3",{class:!0});var Ol=h(P);O=o(Ol,"A",{id:!0,class:!0,href:!0});var Ao=h(O);jt=o(Ao,"SPAN",{});var ko=h(jt);u(Be.$$.fragment,ko),ko.forEach(t),Ao.forEach(t),ri=d(Ol),It=o(Ol,"SPAN",{"data-svelte-h":!0}),m(It)!=="svelte-15nsxpb"&&(It.innerHTML=Oi),Ol.forEach(t),Xa=d(e),Ye=o(e,"P",{"data-svelte-h":!0}),m(Ye)!=="svelte-5ze294"&&(Ye.textContent=Di),el=d(e),Ke=o(e,"P",{"data-svelte-h":!0}),m(Ke)!=="svelte-11e9r18"&&(Ke.innerHTML=Zi),tl=d(e),qe=o(e,"TABLE",{"data-svelte-h":!0}),m(qe)!=="svelte-1hxqxaq"&&(qe.innerHTML=Gi),al=d(e),ll=o(e,"HR",{}),il=d(e),Je=o(e,"A",{id:!0,class:!0}),h(Je).forEach(t),ol=d(e),M=o(e,"H3",{class:!0});var Dl=h(M);D=o(Dl,"A",{id:!0,class:!0,href:!0});var No=h(D);Ut=o(No,"SPAN",{});var So=h(Ut);u(Oe.$$.fragment,So),So.forEach(t),No.forEach(t),di=d(Dl),Tt=o(Dl,"SPAN",{"data-svelte-h":!0}),m(Tt)!=="svelte-1ozxa0w"&&(Tt.innerHTML=Wi),Dl.forEach(t),rl=d(e),De=o(e,"P",{"data-svelte-h":!0}),m(De)!=="svelte-119su55"&&(De.textContent=Qi),dl=d(e),Ze=o(e,"P",{"data-svelte-h":!0}),m(Ze)!=="svelte-1epyezb"&&(Ze.innerHTML=Vi),nl=d(e),Ge=o(e,"TABLE",{"data-svelte-h":!0}),m(Ge)!=="svelte-1h4z9xq"&&(Ge.innerHTML=Fi),sl=d(e),hl=o(e,"HR",{}),ml=d(e),We=o(e,"A",{id:!0,class:!0}),h(We).forEach(t),cl=d(e),E=o(e,"H3",{class:!0});var Zl=h(E);Z=o(Zl,"A",{id:!0,class:!0,href:!0});var jo=h(Z);zt=o(jo,"SPAN",{});var Uo=h(zt);u(Qe.$$.fragment,Uo),Uo.forEach(t),jo.forEach(t),ni=d(Zl),$t=o(Zl,"SPAN",{"data-svelte-h":!0}),m($t)!=="svelte-isria3"&&($t.innerHTML=Xi),Zl.forEach(t),ul=d(e),Ve=o(e,"P",{"data-svelte-h":!0}),m(Ve)!=="svelte-5659h9"&&(Ve.textContent=eo),pl=d(e),Fe=o(e,"P",{"data-svelte-h":!0}),m(Fe)!=="svelte-1800vfp"&&(Fe.innerHTML=to),gl=d(e),Xe=o(e,"P",{"data-svelte-h":!0}),m(Xe)!=="svelte-14z54gq"&&(Xe.innerHTML=ao),wl=d(e),u(et.$$.fragment,e),fl=d(e),tt=o(e,"TABLE",{"data-svelte-h":!0}),m(tt)!=="svelte-eqolu5"&&(tt.innerHTML=lo),vl=d(e),_l=o(e,"HR",{}),Rl=d(e),at=o(e,"A",{id:!0,class:!0}),h(at).forEach(t),bl=d(e),A=o(e,"H3",{class:!0});var Gl=h(A);G=o(Gl,"A",{id:!0,class:!0,href:!0});var zo=h(G);Bt=o(zo,"SPAN",{});var Bo=h(Bt);u(lt.$$.fragment,Bo),Bo.forEach(t),zo.forEach(t),si=d(Gl),yt=o(Gl,"SPAN",{"data-svelte-h":!0}),m(yt)!=="svelte-56ohq6"&&(yt.innerHTML=io),Gl.forEach(t),Il=d(e),it=o(e,"P",{"data-svelte-h":!0}),m(it)!=="svelte-1355z3u"&&(it.textContent=oo),Tl=d(e),ot=o(e,"P",{"data-svelte-h":!0}),m(ot)!=="svelte-nj4ebk"&&(ot.innerHTML=ro),$l=d(e),rt=o(e,"TABLE",{"data-svelte-h":!0}),m(rt)!=="svelte-ncveta"&&(rt.innerHTML=no),yl=d(e),xl=o(e,"HR",{}),Hl=d(e),dt=o(e,"A",{id:!0,class:!0}),h(dt).forEach(t),Cl=d(e),k=o(e,"H3",{class:!0});var Wl=h(k);W=o(Wl,"A",{id:!0,class:!0,href:!0});var Yo=h(W);Yt=o(Yo,"SPAN",{});var Ko=h(Yt);u(nt.$$.fragment,Ko),Ko.forEach(t),Yo.forEach(t),hi=d(Wl),xt=o(Wl,"SPAN",{"data-svelte-h":!0}),m(xt)!=="svelte-11d3338"&&(xt.innerHTML=so),Wl.forEach(t),Ll=d(e),st=o(e,"P",{"data-svelte-h":!0}),m(st)!=="svelte-1s704mu"&&(st.textContent=ho),Pl=d(e),ht=o(e,"P",{"data-svelte-h":!0}),m(ht)!=="svelte-nj4ebk"&&(ht.innerHTML=mo),Ml=d(e),mt=o(e,"TABLE",{"data-svelte-h":!0}),m(mt)!=="svelte-34rbhe"&&(mt.innerHTML=co),El=d(e),Al=o(e,"HR",{}),this.h()},h(){n(_,"name","hf:doc:metadata"),n(_,"content",JSON.stringify(Vo)),n(Q,"id","module_utils/image"),n(Q,"class","group"),n(N,"id","utilsimage"),n(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(N,"href","#utilsimage"),n(R,"class","relative group"),n(te,"id","module_utils/image.RawImage"),n(te,"class","group"),n(S,"id","utilsimagerawimage"),n(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(S,"href","#utilsimagerawimage"),n(b,"class","relative group"),n(oe,"id","new_module_utils/image.RawImage_new"),n(oe,"class","group"),n(j,"id","new-rawimagedata-width-height-channels"),n(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(j,"href","#new-rawimagedata-width-height-channels"),n(I,"class","relative group"),n(se,"id","module_utils/image.RawImage+_CONTENT_TYPE_MAP"),n(se,"class","group"),n(U,"id","rawimagecontenttypemap"),n(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(U,"href","#rawimagecontenttypemap"),n(T,"class","relative group"),n(ue,"id","module_utils/image.RawImage+grayscale"),n(ue,"class","group"),n(z,"id","rawimagegrayscale-coderawimagecode"),n(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(z,"href","#rawimagegrayscale-coderawimagecode"),n($,"class","relative group"),n(fe,"id","module_utils/image.RawImage+rgb"),n(fe,"class","group"),n(B,"id","rawimagergb-coderawimagecode"),n(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(B,"href","#rawimagergb-coderawimagecode"),n(y,"class","relative group"),n(be,"id","module_utils/image.RawImage+rgba"),n(be,"class","group"),n(Y,"id","rawimagergba-coderawimagecode"),n(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Y,"href","#rawimagergba-coderawimagecode"),n(x,"class","relative group"),n(ye,"id","module_utils/image.RawImage+resize"),n(ye,"class","group"),n(K,"id","rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),n(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(K,"href","#rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),n(H,"class","relative group"),n(Pe,"id","module_utils/image.RawImage+_update"),n(Pe,"class","group"),n(q,"id","rawimageupdatedata-width-height-channels"),n(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(q,"href","#rawimageupdatedata-width-height-channels"),n(C,"class","relative group"),n(Ne,"id","module_utils/image.RawImage+clone"),n(Ne,"class","group"),n(J,"id","rawimageclone-coderawimagecode"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#rawimageclone-coderawimagecode"),n(L,"class","relative group"),n(ze,"id","module_utils/image.RawImage+convert"),n(ze,"class","group"),n(O,"id","rawimageconvertnumchannels-coderawimagecode"),n(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(O,"href","#rawimageconvertnumchannels-coderawimagecode"),n(P,"class","relative group"),n(Je,"id","module_utils/image.RawImage+save"),n(Je,"class","group"),n(D,"id","rawimagesavepath"),n(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(D,"href","#rawimagesavepath"),n(M,"class","relative group"),n(We,"id","module_utils/image.RawImage.read"),n(We,"class","group"),n(Z,"id","rawimagereadinput-codecode"),n(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Z,"href","#rawimagereadinput-codecode"),n(E,"class","relative group"),n(at,"id","module_utils/image.RawImage.fromURL"),n(at,"class","group"),n(G,"id","rawimagefromurlurl-codepromiseampltrawimageampgtcode"),n(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(G,"href","#rawimagefromurlurl-codepromiseampltrawimageampgtcode"),n(A,"class","relative group"),n(dt,"id","module_utils/image.RawImage.fromBlob"),n(dt,"class","group"),n(W,"id","rawimagefromblobblob-codepromiseampltrawimageampgtcode"),n(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(W,"href","#rawimagefromblobblob-codepromiseampltrawimageampgtcode"),n(k,"class","relative group")},m(e,a){s(document.head,_),l(e,Kt,a),l(e,Q,a),l(e,qt,a),l(e,R,a),s(R,N),s(N,Ht),p(V,Ht,null),s(R,Ql),s(R,ct),l(e,Jt,a),l(e,F,a),l(e,Ot,a),l(e,X,a),l(e,Dt,a),l(e,ee,a),l(e,Zt,a),l(e,Gt,a),l(e,Wt,a),l(e,te,a),l(e,Qt,a),l(e,b,a),s(b,S),s(S,Ct),p(ae,Ct,null),s(b,Vl),s(b,ut),l(e,Vt,a),l(e,le,a),l(e,Ft,a),l(e,ie,a),l(e,Xt,a),l(e,ea,a),l(e,ta,a),l(e,oe,a),l(e,aa,a),l(e,I,a),s(I,j),s(j,Lt),p(re,Lt,null),s(I,Fl),s(I,pt),l(e,la,a),l(e,de,a),l(e,ia,a),l(e,ne,a),l(e,oa,a),l(e,ra,a),l(e,da,a),l(e,se,a),l(e,na,a),l(e,T,a),s(T,U),s(U,Pt),p(he,Pt,null),s(T,Xl),s(T,gt),l(e,sa,a),l(e,me,a),l(e,ha,a),l(e,ce,a),l(e,ma,a),l(e,ca,a),l(e,ua,a),l(e,ue,a),l(e,pa,a),l(e,$,a),s($,z),s(z,Mt),p(pe,Mt,null),s($,ei),s($,wt),l(e,ga,a),l(e,ge,a),l(e,wa,a),l(e,we,a),l(e,fa,a),l(e,va,a),l(e,_a,a),l(e,fe,a),l(e,Ra,a),l(e,y,a),s(y,B),s(B,Et),p(ve,Et,null),s(y,ti),s(y,ft),l(e,ba,a),l(e,_e,a),l(e,Ia,a),l(e,Re,a),l(e,Ta,a),l(e,$a,a),l(e,ya,a),l(e,be,a),l(e,xa,a),l(e,x,a),s(x,Y),s(Y,At),p(Ie,At,null),s(x,ai),s(x,vt),l(e,Ha,a),l(e,Te,a),l(e,Ca,a),l(e,$e,a),l(e,La,a),l(e,Pa,a),l(e,Ma,a),l(e,ye,a),l(e,Ea,a),l(e,H,a),s(H,K),s(K,kt),p(xe,kt,null),s(H,li),s(H,_t),l(e,Aa,a),l(e,He,a),l(e,ka,a),l(e,Ce,a),l(e,Na,a),l(e,Le,a),l(e,Sa,a),l(e,ja,a),l(e,Ua,a),l(e,Pe,a),l(e,za,a),l(e,C,a),s(C,q),s(q,Nt),p(Me,Nt,null),s(C,ii),s(C,Rt),l(e,Ba,a),l(e,Ee,a),l(e,Ya,a),l(e,Ae,a),l(e,Ka,a),l(e,ke,a),l(e,qa,a),l(e,Ja,a),l(e,Oa,a),l(e,Ne,a),l(e,Da,a),l(e,L,a),s(L,J),s(J,St),p(Se,St,null),s(L,oi),s(L,bt),l(e,Za,a),l(e,je,a),l(e,Ga,a),l(e,Ue,a),l(e,Wa,a),l(e,Qa,a),l(e,Va,a),l(e,ze,a),l(e,Fa,a),l(e,P,a),s(P,O),s(O,jt),p(Be,jt,null),s(P,ri),s(P,It),l(e,Xa,a),l(e,Ye,a),l(e,el,a),l(e,Ke,a),l(e,tl,a),l(e,qe,a),l(e,al,a),l(e,ll,a),l(e,il,a),l(e,Je,a),l(e,ol,a),l(e,M,a),s(M,D),s(D,Ut),p(Oe,Ut,null),s(M,di),s(M,Tt),l(e,rl,a),l(e,De,a),l(e,dl,a),l(e,Ze,a),l(e,nl,a),l(e,Ge,a),l(e,sl,a),l(e,hl,a),l(e,ml,a),l(e,We,a),l(e,cl,a),l(e,E,a),s(E,Z),s(Z,zt),p(Qe,zt,null),s(E,ni),s(E,$t),l(e,ul,a),l(e,Ve,a),l(e,pl,a),l(e,Fe,a),l(e,gl,a),l(e,Xe,a),l(e,wl,a),p(et,e,a),l(e,fl,a),l(e,tt,a),l(e,vl,a),l(e,_l,a),l(e,Rl,a),l(e,at,a),l(e,bl,a),l(e,A,a),s(A,G),s(G,Bt),p(lt,Bt,null),s(A,si),s(A,yt),l(e,Il,a),l(e,it,a),l(e,Tl,a),l(e,ot,a),l(e,$l,a),l(e,rt,a),l(e,yl,a),l(e,xl,a),l(e,Hl,a),l(e,dt,a),l(e,Cl,a),l(e,k,a),s(k,W),s(W,Yt),p(nt,Yt,null),s(k,hi),s(k,xt),l(e,Ll,a),l(e,st,a),l(e,Pl,a),l(e,ht,a),l(e,Ml,a),l(e,mt,a),l(e,El,a),l(e,Al,a),kl=!0},p:Jo,i(e){kl||(g(V.$$.fragment,e),g(ae.$$.fragment,e),g(re.$$.fragment,e),g(he.$$.fragment,e),g(pe.$$.fragment,e),g(ve.$$.fragment,e),g(Ie.$$.fragment,e),g(xe.$$.fragment,e),g(Me.$$.fragment,e),g(Se.$$.fragment,e),g(Be.$$.fragment,e),g(Oe.$$.fragment,e),g(Qe.$$.fragment,e),g(et.$$.fragment,e),g(lt.$$.fragment,e),g(nt.$$.fragment,e),kl=!0)},o(e){w(V.$$.fragment,e),w(ae.$$.fragment,e),w(re.$$.fragment,e),w(he.$$.fragment,e),w(pe.$$.fragment,e),w(ve.$$.fragment,e),w(Ie.$$.fragment,e),w(xe.$$.fragment,e),w(Me.$$.fragment,e),w(Se.$$.fragment,e),w(Be.$$.fragment,e),w(Oe.$$.fragment,e),w(Qe.$$.fragment,e),w(et.$$.fragment,e),w(lt.$$.fragment,e),w(nt.$$.fragment,e),kl=!1},d(e){e&&(t(Kt),t(Q),t(qt),t(R),t(Jt),t(F),t(Ot),t(X),t(Dt),t(ee),t(Zt),t(Gt),t(Wt),t(te),t(Qt),t(b),t(Vt),t(le),t(Ft),t(ie),t(Xt),t(ea),t(ta),t(oe),t(aa),t(I),t(la),t(de),t(ia),t(ne),t(oa),t(ra),t(da),t(se),t(na),t(T),t(sa),t(me),t(ha),t(ce),t(ma),t(ca),t(ua),t(ue),t(pa),t($),t(ga),t(ge),t(wa),t(we),t(fa),t(va),t(_a),t(fe),t(Ra),t(y),t(ba),t(_e),t(Ia),t(Re),t(Ta),t($a),t(ya),t(be),t(xa),t(x),t(Ha),t(Te),t(Ca),t($e),t(La),t(Pa),t(Ma),t(ye),t(Ea),t(H),t(Aa),t(He),t(ka),t(Ce),t(Na),t(Le),t(Sa),t(ja),t(Ua),t(Pe),t(za),t(C),t(Ba),t(Ee),t(Ya),t(Ae),t(Ka),t(ke),t(qa),t(Ja),t(Oa),t(Ne),t(Da),t(L),t(Za),t(je),t(Ga),t(Ue),t(Wa),t(Qa),t(Va),t(ze),t(Fa),t(P),t(Xa),t(Ye),t(el),t(Ke),t(tl),t(qe),t(al),t(ll),t(il),t(Je),t(ol),t(M),t(rl),t(De),t(dl),t(Ze),t(nl),t(Ge),t(sl),t(hl),t(ml),t(We),t(cl),t(E),t(ul),t(Ve),t(pl),t(Fe),t(gl),t(Xe),t(wl),t(fl),t(tt),t(vl),t(_l),t(Rl),t(at),t(bl),t(A),t(Il),t(it),t(Tl),t(ot),t($l),t(rt),t(yl),t(xl),t(Hl),t(dt),t(Cl),t(k),t(Ll),t(st),t(Pl),t(ht),t(Ml),t(mt),t(El),t(Al)),t(_),f(V),f(ae),f(re),f(he),f(pe),f(ve),f(Ie),f(xe),f(Me),f(Se),f(Be),f(Oe),f(Qe),f(et,e),f(lt),f(nt)}}}const Vo={local:"utilsimage",sections:[{local:"utilsimagerawimage",sections:[{local:"new-rawimagedata-width-height-channels",title:"`new RawImage(data, width, height, channels)`"},{local:"rawimagecontenttypemap",title:"`rawImage._CONTENT_TYPE_MAP`"},{local:"rawimagegrayscale-coderawimagecode",title:"`rawImage.grayscale()` ⇒ <code>RawImage</code>"},{local:"rawimagergb-coderawimagecode",title:"`rawImage.rgb()` ⇒ <code>RawImage</code>"},{local:"rawimagergba-coderawimagecode",title:"`rawImage.rgba()` ⇒ <code>RawImage</code>"},{local:"rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode",title:"`rawImage.resize(width, height, options)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimageupdatedata-width-height-channels",title:"`rawImage._update(data, width, height, channels)`"},{local:"rawimageclone-coderawimagecode",title:"`rawImage.clone()` ⇒ <code>RawImage</code>"},{local:"rawimageconvertnumchannels-coderawimagecode",title:"`rawImage.convert(numChannels)` ⇒ <code>RawImage</code>"},{local:"rawimagesavepath",title:"`rawImage.save(path)`"},{local:"rawimagereadinput-codecode",title:"`RawImage.read(input)` ⇒ <code>*</code>"},{local:"rawimagefromurlurl-codepromiseampltrawimageampgtcode",title:"`RawImage.fromURL(url)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimagefromblobblob-codepromiseampltrawimageampgtcode",title:"`RawImage.fromBlob(blob)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"}],title:"utils/image.RawImage"}],title:"utils/image"};function Fo(mi){return Oo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lr extends Do{constructor(_){super(),Zo(this,_,Fo,Qo,qo,{})}}export{lr as component};
